2005-11-08

	* version 1.0.6

2005-11-08

	* src/ldif.c: ldif_get_line(): fixed buffer overflow.

2005-06-27

	* src/imageview.c: fixed a crash that occurred on the view change from
	  imageview to textview (thanks to NINOMIYA Yuuki).

2005-06-23

	* src/editldap.c: made bind password entry invisible.

2005-06-17

	* version 1.0.5

2005-06-14

	* src/mh.c: mh_remove_msg(): fixed a bug that unintentionally set
	  FolderItem::last_num to 0 (which caused wrong unread number
	  display).

2005-05-26

	* src/summaryview.[ch]: enabled DnD to external apps.
	* src/utils.c: uri_list_extract_filenames(): properly parse URI.

2005-05-26

	* src/rfc2015.c: pgp_sign(): fixed missing brackets. Check if
	  result->signatures is not NULL (fix crashes on specific condition).
	* src/sigstatus.c: gpgmegtk_sig_status_to_string(): check if signature
	  is not NULL.

2005-04-12

	* src/compose.c: compose_write_to_file(): don't encode clearsigned
	  text.

2005-04-11

	* configure.in: changed -traditional-cpp to -no-cpp-precomp for newer
	  Mac OS X support.

2005-04-05

	* src/send_message.c: send_message_smtp(): consider EOF right after
	  QUIT successful (workaround for Gmail SMTP server).
	* src/socket.c: ssl_read(), ssl_peek(): check EOF which violates the
	  SSL protocol.

2005-03-25

	* src/about.c: updated copyright year.

2005-03-24

	* version 1.0.4

2005-03-24

	* src/procmime.c:
	  procmime_scan_content_type()
	  procmime_scan_content_disposition(): fixed possible stack buffer
	  overflow.
	* src/codeconv.c: conv_unmime_header()
	  src/unmime.[ch]: unmime_header(): added an argument for buffer size
	  and restricted the size of decoded string to remove the possibility
	  of buffer overflow.

2005-03-18

	* src/smtp.c: smtp_ehlo_recv(): strict check for AUTH string.

2005-03-18

	* src/textview.c: textview_show_html(): force output of newline.

2005-03-18

	* src/account.c: account_find_from_message_file(): added missing
	  NULL terminator of the HeaderEntry array which had introduced
	  crash on re-edit (thanks to Michael Schwendt).

2005-03-04

	* version 1.0.3

2005-03-04

	* src/codeconv.[ch]: removed conv_unmime_header_overwrite() because
	  it had introduced buffer overflow.
	* src/compose.c: compose_parse_header(): don't use
	  conv_unmime_header_overwrite() which introduced buffer overflow.

2005-03-02

	* src/compose.c: compose_destroy(): destroy paned only if it's not
	  attached to window. Fixed memory leak of popup menu.

2005-02-28

	* version 1.0.2

2005-02-28

	* src/compose.c: compose_parse_header(): generate References: from
	  In-Reply-To: even if the parent message doesn't have Message-Id:
	  (thanks to mori).

2005-02-24

	* src/compose.c: compose_write_attach(): force transfer encoding to
	  protect trailing spaces for PGP signing.

2005-02-10

	* src/compose.c: compose_write_file(): force transfer encoding to
	  protect trailing spaces for PGP signing (fixes incompatibility
	  between gnupg 1.2 and 1.4) (thanks to Thorsten Maerz).

2005-02-02

	* INSTALL, INSTALL.jp: modified description about gpgme.

2005-02-01

	* version 1.0.1

2005-01-28

	* src/select-keys.c: use_untrusted(): modified to use alertpanel().

2005-01-28

	* supported gpgme-1.0 (thanks to Toshio Kuratomi).

2005-1-27

	* src/passphrase.c: gpgmegtk_passphrase_cb(): Removed unused variables:
	  passphrase_cb_info_s *info and gpgme_ctx_t ctx.  The
	  passphrase_cb_info_s * was just to get the ctx.  The ctx is no longer
	  needed as gpgme1.0 returns a blank line as the passphrase when an
	  action is cancelled instead of calling gpgme_cancel on the context.
	* src/rfc2015.c:
	  - sig_status_full(): Get rid of gpgme_error_t err as we no longer
	    invoke ant gpgme functions that can return an error.
	  - check_signature(): Initialize verifyresult to NULL and be sure it
	    has been set when using it to get a result string.
	  - rfc2015_create_signers_list(): gpg_error_t is not directly
	    comparable to the error types.  Use gpgme_err_code(err) to get the
	    type of error we are dealing with.
	  - pgp_sign(): Initialize result to NULL.  Catches potential bug on
	    error condition later in the function.
	  - rfc2015_sign():
	    + Initialize bytesRW to -1 which may prevent potential bugs on
	      error conditions.
	    + Remove siginfo.  It was replaced by micalg.
	* src/select-keys.c:
	  - set_row(): When creating the string for the algorithm type, use a
	    normal int rather than a long int.
	  - fill_clist(): Use gpgme_err_code(err) to get type of error as
	    gpg_error_t is not directly comparable to GPG_ERR_* constants.
	  - select_btn_cb(): Remove char *s that temporarily holds the key
	    fingerprint as keylists are now built without using this.
	  - cmp_email(): Remove an extraneous return statement that was left in
	    accidentally when the new code went in above it.

2005-1-27

	* src/select-keys.c:
	  - include gtkdialog.h
	  - use_untrusted(): New function that creates a dialog to ask the user
	    whether to encrypt with an untrusted key.
	  - trust_key_cb(): Callback to use if the user wants to encrypt with
	    an untrusted key.
	  - do_not_trust_key_cb(): Callback to use if the user doesn't want to
	    encrypt with an untrusted key.
	  - select_btn_cb(): Utilize the use_untrusted function to make sure
	    the user wants to encrypt with an untrusted key.
	* src/rfc2015.c: pgp_encrypt(): Use GPGME_ENCRYPT_ALWAYS_TRUST when
	  encrypting.  It is the responsibility of gpgmegtk_recipient_selection
	  to make sure the user knows if recipients are untrusted.

2005-1-27

	* src/textview.c:
	  - Add a new color entry for untrusted but valid signatures.
	  - textview_add_part(): Color untrusted signatures.
	* src/rfc2015.c:
	  - Move sigstatus_to_string() and sig_status_with_name() functionality
	    into sigstatus.c: gpgmegtk_sig_status_to_string().
	* src/sigstatus.c:
	  - gpgmegtk_sig_status_to_string(): Add a boolean name argument that
	    allows us to specify the output should display name information
	    or just a status string.
	    + Check if a signature was created by a trusted key and add that
	      information to the output of the function.
	  - Switch to the new gpgmegtk_sig_status_to_string function.
	* src/sigstatus.h:
	  - Change the interface to gpgmegtk_sig_status_to_string().

2005-1-27

	* src/rfc2015.c:
	  - rfc2015_find_signature(): Changed to return an array of two
	    MimeInfo structs.  The first has the multipart/signed MimeInfo.
	    The second has the signature part of the MimeInfo.  This allows
	    us to work with messages that contain some mime information that
	    was signed and some that was not (as generated by mailman
	    mailing lists.)
	  - rfc2015_find_signature(): If the toplevel Content-Type is
	    multipart/mixed, recursively scan through the subparts for a
	    multipart/signed block.
	  - rfc2015_check_signature(): Use the new interface to
	    rfc2015_find_signature and free the data returned to us from it.
	* src/rfc2015.h: Change the signature for rfc2015_find_signature().
	* src/mimeview.c: Use the new interface to rfc2015_find_signature()
	  and free the data returned from it.

2005-1-27

	* src/rfc2015.c: sig_status_for_key(): Fix a segfault when the key is
	  not found in the user's keyring.

2005-1-27

	* Ported the code to gpgme-1.0.
	  - Many types have had their names changed to conform to GNU
	    standards.  For example, instances of GpgmeCtx have been changed to
	    gpgme_ctx_t.  These cosmetic alterations are not noted below.
	* configure.in: Enable large file support because the gpgme library is
	  built with it.
	  - Update to require gpgme 0.4.5 or above.
	* src/main.c: main(): replaced gpgme_check_engine with
	  several calls that do the equivalent in gpgme 0.4.5 and above:
	  gpgme_check_version, gpgme_set_locale, gpgme_get_engine_info,
	  and gpgme_get_protocol_name are used.
	  - Remove gpgme_register_idle callback.  The gpgme library will now
	    block while processing instead of periodically allowing the gtk
	    mainloop to run.  This can be fixed by interfacing to the gpgme
	    io callback interface if anyone has the ambition.
	* src/passphrase.c: passphrase_mbox(), create_description(), and
	  gpgmegtk_passphrase_cb now take an exploded description of the
	  passphrase to look for since the gpgme library hands us the
	  description in seperate pieces.
	  - gpgmegtk_passphrase_cb(): has been changed to the new gpgme
	    passphrase callback signature -- notably writing the passphrase
	    to a file descriptor and returning a gpgme_error_t to indicate
	    success or failure.
	* src/passphrase.h: Change to the signature of
	  gpgmegtk_passphrase_cb().
	* src/rfc2015.c:
	  - Include errno.h.
	  - Use gpgme_data_seek calls instead of deprecated gpgme_data_rewind.
	  - gpgme_data_read and gpgme_data_write have changed signature to be
	    more like fread/fwrite.  Adapted code to use this.
	  - Convert to gpgme_key_t array from removed GpgmeRecipients.
	  - Use gpgme_signature_t's directly instead of GpgmeSigStat.
	  - sig_status_to_string() and sig_status_with_name(): changed to
	    use a gpgme_error_t instead of removed GpgmeSigStat.
	  - pgp_sign(): Calculate the micalg directly from knowledge of the
	    hash as it's no longer returned from a gpgme library function.
	    This obsoletes find_xml_tag() and extract_micalg() so they've
	    been removed.
	* src/select-keys.c: Adapt struct select_key_s to an array of
	  gpgme_key_t and the length of the array rather than a
	  GpgmeRecipients struct (which is removed.)
	  - gpgmegtk_recipient_selection now returns a gpgme_key_t NULL
	    terminated array instead of a GpgmeRecipients struct.
	  - Use values stored in the gpgme_key_t instead of looking up ATTRs
	    on the key as the ATTR methods are deprecated.
	  - Implement cmp_name() and cmp_email() as wholly separate functions
	    instead of using a common subfunction, cmp_attr() as there's no
	    longer a generic way of combining these two.  Removed cmp_attr()
	    as ATTRs are deprecated.
	* src/select-keys.h: gpgmegtk_recipient_selection signature changed.
	* src/sigstatus.c: Get status information directly from the
	  gpgme_ctx variable.
	  - gpgmegtk_sig_status_to_string(): Uses a gpgme_error_t instead of
	    Removed GpgmeSigStat.
	* src/sigstatus.h: gpgmegtk_sig_status_to_string signature has changed
	  as noted above.

2005-01-25

	* src/template.c: template_write_config(): fixed a memory leak.

2005-01-25

	* src/inc.c: inc_finished(): removed warning when updating a
	  folder item while no folder is selected.

2005-01-19

	* src/mh.c
	  src/utils.c
	  src/procmsg.c: ignore 0-numbered message file. Don't use symbol
	  'fileno' used in stdio.h.
	* src/messageview.c: messageview_show(): check if
	  procmsg_msginfo_get_full_info() succeeds (fixes crash when
	  opening 0-numbered message) (thanks to WAKAI Kazunao).

2005-01-11

	* src/template.c: template_write_config(): fixed potential memory
	  corruption bug.

2005-01-06

	* src/pop.[ch]: added POP3_DONE to Pop3State (it is set when logout
	  is completed).
	  pop3_write_uidl_list(): force output of UIDLs of deleted messages
	  when POP3 session is aborted (thanks to Masahiro Tomita).

2005-01-06

	* src/Makefile.am: use AM_CPPFLAGS and AM_YFLAGS instead of CPPFLAGS
	  and YFLAGS (they are reserved for users).

2004-12-24

	* version 1.0.0

2004-12-22

	* src/account.c: account_delete(): fixed the crash on deleting a
	  remote account if the corresponding folder was selected (Debian BTS
	  #284483).

2004-12-21

	* NEWS, TODO, TODO.jp: updated.
	* manual/ja/sylpheed.sgml: updated.

2004-12-17

	* src/action.c: parse_append_filename(): escape all special characters
	  without quote (thanks to IWAMOTO Kouichi and Yoichi Imai).
	* AUTHORS: updated.

2004-12-16

	* INSTALL
	  INSTALL.jp: updated the confirmation list.

2004-12-15

	* version 1.0.0rc

2004-12-15

	* src/compose.c: compose_wrap_line_all_full(): fixed the logic of
	  space insertion.

2004-12-15

	* manual/ja/sylpheed.sgml: updated.

2004-12-15

	* src/addrbook.c
	  src/addressbook.c
	  src/addrindex.c
	  src/jpilot.c
	  src/ldif.c
	  src/syldap.c
	  src/vcard.c: removed '... defined but not used' warnings.

2004-12-13

	* src/compose.c: compose_wrap_line_all_full(): only insert space
	  when joining lines if the first character of the next line is not
	  space, or it's a boundary between multi- and single-byte characters.

2004-12-13

	* src/action.c: parse_append_filename(): escape special characters
	  (thanks to IWAMOTO Kouichi).
	* src/utils.c: subst_for_filename(): also substitute single quote.

2004-12-10

	* src/compose.c: compose_wrap_line_all_full(): fixed joining line
	  problem when the first character of the next line is not
	  alphanumeric.

2004-12-09

	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb()
	  src/compose.c: compose_send(), compose_send_later_cb(): ask user
	  to switch to online if in offline mode when sending.

2004-12-08

	* src/imap.c: applied bitlength_clean_up.imap.c.patch that fixes the
	  integer length problem on 64-bit platforms (thanks to Alfons).

2004-12-03

	* version 1.0.0beta4

2004-12-03

	* src/pixmaps/regular.xpm: removed unused icon.
	* README
	  README.jp: updated.

2004-12-02

	* src/pop.c: pop3_write_msg_to_file(): don't convert single CRs to
	  LFs (thanks to Alfons).
	* src/utils.[ch]: my_memmem(): original implementation of memmem().

2004-12-01

	* manual/ja/sylpheed.sgml: updated for the latest version.

2004-12-01

	* src/pixmaps/unread.xpm: adjusted the hue of image.

2004-12-01

	* src/filter.c: removed C99 '//' comments.

2004-11-30

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/dir-noselect.xpm
	  src/pixmaps/group.xpm: adjusted the hue of images.

2004-11-29

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/dir-noselect.xpm
	  src/pixmaps/group.xpm: replaced with new images.

2004-11-29

	* src/pixmaps/folder.xpm: removed.

2004-11-26

	* src/summaryview.c: changed one-letter column titles to icons.
	* src/pixmaps/mail.xpm: new.

2004-11-26

	* src/summaryview.c: summary_execute(): pop summary statusbar message.

2004-11-26

	* src/prefs_common.c: added Web browser commands.

2004-11-26

	* manual/ja/sylpheed.sgml: updated for the latest version.
	* manual/ja/Makefile.am: added target 'update-html'.

2004-11-22

	* INSTALL
	  INSTALL.jp: updated the confirmation list.

2004-11-19

	* src/jpilot.c: unify the coding style.
	* src/mainwindow.c: fixed duplicated accelerator.

2004-11-18

	* src/procmsg.c: write_mark_func(): fixed bad cast on the system that
	  sizeof(gpointer) != guint.

2004-11-18

	* src/mainwindow.c: fixed English (trashes -> trash).
	* src/prefs_common.c: prefs_keybind_apply_clicked(): updated menu
	  strings.

2004-11-18

	* src/mainwindow.c: changed the menu label "Empty trash" to
	  "Empty all trashes".

2004-11-16

	* version 1.0.0beta3

2004-11-16

	* src/pixmaps/error.xpm: made them smaller size to fit CList row.

2004-11-16

	* src/jpilot.c: applied the JPilot addressbook Japanese support
	  patch (thanks to IWAMOTO, Kouichi).

2004-11-15

	* src/compose.c
	  src/procmime.[ch]: use BASE64 encoding if the ratio of 8bit
	  characters in attaching text files is greater than 20%, otherwise
	  use quoted-printable (or 7bit if not at all).

2004-11-12

	* src/compose.c: compose_write_attach()
	  src/procmime.c: procmime_decode_content():
	  canonicalize text files before encoding to BASE64, and
	  uncanonicalize after decoding to conform with RFC 2045
	  (thanks to Nicolas Degory).

2004-11-11

	* src/pixmaps/complete.xpm
	  src/pixmaps/continue.xpm: made them smaller size to fit CList
	  row.

2004-11-11

	* src/statusbar.c: statusbar_create(): set the width of widget to 1
	  not to expand automatically.
	* src/utils.[ch]: trim_string_before(): trim beginning characters
	  longer than the specified length and add "...".
	* src/folderview.c
	  src/summaryview.c: use trim_string_before() to display folder name.

2004-11-10

	* src/defs.h
	  src/prefs_common.c: made mozilla-firefox as default browser.

2004-11-09

	* src/summaryview.c: summary_key_pressed()
	  src/textview.c: textview_key_pressed(): back scroll when Shift or
	  Alt and Space key is pressed. Also back scroll when Shift and Enter
	  key is pressed.

2004-11-09

	* src/foldersel.c: foldersel_new_folder(): select newly created
	  folder.

2004-11-08

	* version 1.0.0beta2

2004-11-08

	* src/account.c
	  src/imap.c
	  src/inc.c
	  src/pop.c
	  src/prefs_account.[ch]: obsoleted RecvProtocol::A_APOP and made an
	  option for APOP.
	  prefs_account_protocol_set_optmenu(): refactored.

2004-11-07

	* src/folderview.c: folderview_empty_trash_cb(): removed unused
	  variables.

2004-11-05

	* src/summary_search.c: use C string instead of wide character string.
	  Enabled AND/OR matching.

2004-11-05

	* src/folderview.[ch]
	  src/mainwindow.c: change menu sensitivity of File/Folder and
	  File/Mailbox according to selected folder.
	  Enabled newsgroups subscription from 'File/Folder/Create new folder'.

2004-11-04

	* src/folderview.[ch]
	  src/mainwindow.c: reorganized folder/mailbox menus.
	  Enabled 'Remove mailbox', 'Check for new messages' and
	  'Rebuild folder tree' on main menu.
	  Removed 'Remove mailbox' from the folder context menu.

2004-11-04

	* src/folderview.c
	  src/mainwindow.c
	  src/procmsg.[ch]: added 'Empty trash' to the folder context menu.

2004-11-01

	* src/filter.[ch]
	  src/summaryview.c: don't move/delete immediately when
	  immediate_execution is off.

2004-10-29

	* version 1.0.0beta1

2004-10-29

	* upgraded to gettext-0.14.1.

2004-10-28

	* src/compose.c: reorganized the menu.
	* src/mh.c: removed g_print() for debug.

2004-10-27

	* src/compose.c
	  src/prefs_template.c
	  src/template.[ch]: added Cc: to template parameter.

2004-10-26

	* src/prefs_filter_edit.c: fixed condition menu switching problem
	  on editing existing rules.

2004-10-25

	* src/filter.c: filter_action_exec(): update counters of FolderItem
	  on local filtering (fixes wrong folderview message count).

2004-10-25

	* src/mbox.c: proc_mbox(): check if folder_table is NULL (fix
	  warnings).

2004-10-21

	* src/pixmaps/stock_add_16.xpm
	  src/pixmaps/stock_remove_16.xpm: converted from stock icons in
	  gtk-2.4.
	* src/prefs_filter_edit.c: use icons for add/remove button.
	* src/stock_pixmap.[ch]: added add/remove icons.

2004-10-21

	* src/pixmaps/stock_dialog_error_48.xpm
	  src/pixmaps/stock_dialog_info_48.xpm
	  src/pixmaps/stock_dialog_question_48.xpm
	  src/pixmaps/stock_dialog_warning_48.xpm: converted dialog icons from
	  stock icons in gtk-2.4.
	* src/alertpanel.[ch]: added icons to the alert dialog.
	  alertpanel_message(): Added AlertType.
	* src/stock_pixmaps.[ch]: added dialog icons.


2004-10-08

	* src/procmsg.c: removed verbose debug prints.

2004-10-07

	* version 0.9.99

2004-10-07

	* src/procmsg.c: procmsg_send_queue()
	  src/send_message.c: send_queue_info_free(): fixed segmentation fault
	  when trying to send an invalid queued message.

2004-10-06

	* src/mainwindow.c: added separators to the File menu.
	* src/prefs_filter_edit.c: removed some debug prints.

2004-10-05

	* src/inputdialog.c: input_dialog_open(): don't start auto-checking
	  mail while opening the input dialog.

2004-10-04

	* src/mh.c: mh_remove_all_msg()
	  src/procmsg.c: procmsg_empty_trash(): fixed wrong message count
	  after emptying trash.

2004-10-01

	* src/prefs_filter.c: fixed a bug that didn't add an auto-created
	  rule.
	* src/prefs_filter_edit.c: prefs_filter_edit_dialog_to_rule(): check
	  if rule name exists.

2004-09-30

	* src/filter.c: filter_apply_msginfo(): don't apply filter if
	  FilterRule::enabled == FALSE.
	* src/prefs_filter.c: implemented Enabled column.
	* src/account.c: account_selected(): modified the behavior of
	  double-click.

2004-09-30

	* src/colorlabel.c: modified the menu label size. Removed "None" from
	  color menu.
	* src/filter.[ch]
	  src/prefs_filter_edit.c: implemented color label action.
	* src/summaryview.c: summary_filter_func(): update summary flags
	  when flag action is performed.

2004-09-29

	* src/prefs_filter_edit.c: added color label.
	* src/colorlabel.c: modified the menu label size and border.

2004-09-28

	* src/filter.[ch]
	  src/prefs_filter_edit.c: improved error handling when creating a
	  rule.

2004-09-28

	* src/prefs_common.c: adjusted the default size of views.

2004-09-27

	* src/filter.c
	  src/prefs_filter_edit.c: implemented size/age condition.
	* src/menu.[ch]: menu_get_option_menu_active_user_data(): new.

2004-09-22

	* src/prefs_filter_edit.c: select previous item when editing header
	  finished.

2004-09-22

	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.c
	  src/procheader.[ch]: implemented user-defined header dialog.

2004-09-17

	* src/filter.c:
	  filter_action_exec(): modified local filtering.
	  strmatch_regex(): use case-insensitive regex.
	* src/summaryview.[ch]: display filtering result to the status bar.

2004-09-14

	* src/filter.[ch]: implemented filter rule application timing.
	* src/prefs_fil_er_edit.c: prefs_filter_edit_action_hbox_set():
	  fixed a bug that didn't display parameter of PF_ACTION_EXEC.

2004-09-10

	* src/prefs_filter.c: prefs_filter_write_user_header_list(): use
	  prefs_file_open() instead of fopen().

2004-09-10

	* src/defs.h
	  src/prefs_filter.c: implemented load/save of user-defined
	  header list.

2004-09-09

	* src/inc.c: inc_spool()
	  src/prefs_common.c: modified spool path config so that users can
	  specify both file and directory.

2004-09-09

	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.[ch]: implemented creating filter rule by
	  message.

2004-09-07

	* src/mimeview.c: mimeview_drag_data_get()
	  src/summaryview.c: summary_drag_data_get(): fixed broken URI in
	  DnD.

2004-09-06

	* src/filter.[ch]
	  src/summaryview.c: fixed local filtering.
	* src/mh.c: mh_copy_msgs(): restored missing 'else'.

2004-09-06

	* src/foldersel.c: foldersel_new_folder(): fixed possible memory
	  corruption, and write folder list data after appending.
	* src/summaryview.c: summary_show(): up FolderItem::opened flag
	  after reading message list.

2004-09-03

	* src/filter.c
	  src/inc.c
	  src/mbox.c
	  src/mh.c
	  src/procmsg.[ch]
	  src/summaryview.c: properly handle 'new' flags by using
	  FolderItem::mark_queue.

2004-08-31

	* src/filter.c
	  src/inc.c: modified 'new' flags management.

2004-08-31

	* src/prefs_filter.c: don't move to the last row when opening the
	  dialog. Clear CList when closing.

2004-08-27

	* src/filter.c
	  src/inc.c
	  src/pop.[ch]
	  src/prefs_filter_edit.c
	  src/summaryview.c: implemented FLT_ACTION_EXEC and FLT_ACTION_DELETE.

2004-08-27

	* src/prefs_filter.c: auto-scroll when a new rule is added.
	  open edit dialog when a rule is double-clicked.
	  prefs_filter_copy_cb(): implemented.
	* src/prefs_filter_edit.c: implemented action "Stop rule evaluation".

2004-08-26

	* src/filter.[ch]
	  src/inc.c
	  src/mbox.c
	  src/prefs_filter_edit.c
	  src/summaryview.c: renamed FilterResult to FilterInfo, and added
	  account to its members.
	  Implemented command test, size, age, account, and on-receive
	  condition.
	* src/mh.c
	  src/procheader.c: procheader_parse_file(): also get file size and
	  timestamp.
	* src/utils.c:
	  execute_async()
	  execute_sync()
	  execute_command_line(): return exit status.

2004-08-26

	* src/filter.[ch]
	  src/inc.c: save all types of performed actions.
	  filter_rule_rename_dest_path(): modified for the new system.
	  filter_rule_delete_action_by_dest_path(): delete actions that
	  matches with a path.
	* src/mbox.c: proc_mbox(): ignore FLT_ACTION_NOT_RECEIVE.
	* src/prefs_filter.c: prefs_filter_delete_path(): modified for the new
	  system.
	* src/summaryview.c:
	  summary_filter()
	  summary_filter_func(): modified for the new system.

2004-08-25

	* src/filter.[ch]: implemented message body match.
	* src/procmime.[ch]:
	  procmime_find_string_part()
	  procmime_find_string(): take function pointer for matching.
	* src/procmsg.[ch]: added file_path (which is only used for temporary
	  messages) to MsgInfo.
	  procmsg_msginfo_copy()
	  procmsg_msginfo_free(): handle extra members.
	* src/summary_search.c: modified for procmime_find_string().
	* src/summaryview.c: filter_apply_local() -> filter_apply_msginfo().
	* src/utils.[ch]: added function for string match.
	* src/compose.c
	  src/undo.c: removed redundant debug messages.

2004-08-24

	* implemented the new filtering system (still in progress).
	* src/defs.h
	  src/filter.[ch]: implemented reading/writing of filter XML data.
	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.[ch]: implemented UI for the new filtering
	  system.
	* src/inc.c
	  src/main.c
	  src/mbox.c
	  src/pop.c
	  src/summaryview.c: modified for the new filtering system.
	* src/menu.h: MENUITEM_ADD(): create separator if label is NULL.
	* src/procheader.[ch]: added some utility functions.
	* src/utils.c: open_uri(): modified warning message.

2004-08-09

	* src/main.c: removed parsing of "./gtkrc".

2004-08-04

	* src/socket.c:
	  ssl_read()
	  ssl_peek(): check SSL before reading data (fixes freeze when
	  socket is broken).
	* src/session.[ch]: session_set_access_time(): new.
	* src/imap.c
	  src/news.c
	  src/nntp.c: only update last_access_time when successfully
	  receiving a server response.
	* thanks to Cedric Pradalier for above.

2004-07-23

	* src/xml.[ch]: code cleanup and added some functions.

2004-07-16

	* src/pop.[ch]: pop3_getrange_uidl_recv(): relaxed invalid UIDL
	  checking.

2004-07-16

	* src/account.[ch]
	  src/main.c
	  src/prefs.[ch]
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]: unified *_{save,write}_config() to
	  *_write_config().

2004-06-30

	* src/procheader.c:
	  procheader_get_one_field()
	  procheader_get_unfolded_line(): fixed a bug that unfolding was
	  broken if the sequence 'SP CR LF' appeared (thanks to NOGUCHI,
	  Takuya).

2004-06-23

	* src/prefs_common.c: made the default of confirm_on_exit FALSE.

2004-06-23

	* src/menu.[ch]: added menu_set_active().
	* src/compose.c: don't change 'View/Auto wrapping' mode when selecting
	  accounts.

2004-06-23

	* src/compose.[ch]: autowrap can be switched on/off from the compose
	  window.

2004-06-17

	* version 0.9.12

2004-06-17

	* src/session.c: session_set_timeout(): fixed a bug that didn't
	  reset timeout_tag when interval is 0.

2004-06-16

	* src/gtkstext.c: gtk_stext_update_text(): added null checking for
	  cache (thanks to Jim Hranicky).

2004-06-15

	* src/defs.h: increased CACHE_VERSION to work around the
	  incompatibility of the cache on some platforms (ex. FreeBSD).
	* src/procmsg.c: procmsg_read_cache(): discard all read cache data
	  if an error occurred.

2004-06-10

	* src/summaryview.[ch]: hide 'Re-edit' menu when it's unusable.

2004-06-08

	* src/inc.[ch]
	  src/send_message.c
	  src/session.[ch]: implemented session timeout.
	* src/pop.h: removed unused values from Pop3ErrorValue.

2004-06-07

	* src/inc.c: inc_all_account_mail(): code cleanup.

2004-06-03

	* src/procmsg.c: procmsg_read_cache_data_str(): changed gint32 to
	  guint32 for some platforms.
	* src/summaryview.c: restored 'Print' menu.

2004-06-01

	* src/about.c: modified copyright year.

2004-05-28

	* version 0.9.11

2004-05-21

	* src/smtp.c: comply with RFC 2821 (thanks to Alfons).

2004-05-20

	* src/folderview.[ch]: implemented spring-loaded folder.

2004-05-20

	* src/folderview.c: folderview_button_pressed(): enable menu item
	  'Search messages...' only when opened folder is selected.

2004-05-19

	* src/compose.c
	  src/prefs_common.[ch]: removed the option "Queue messages that fail
	  to send".

2004-05-18

	* src/summaryview.c: cleaned up the context menu.
	* src/mainwindow.c: changed the position of '/Message/Re-edit'
	  menuitem.

2004-05-12

	* src/procmsg.[ch]: fixed the type of integer value in cache data
	  to g(u)int32.

2004-05-11

	* src/nntp.c: nntp_get_article(): ignore the protocol error of
	  response for some broken news servers (thanks to Davide Scola).

2004-05-11

	* src/gtkutils.[ch]: added gtkut_editable_disable_im().
	* src/passphrase.c: disable XIM on entering passphrase.

2004-05-11

	* src/compose.c
	  src/folderview.c
	  src/inc.c
	  src/prefs_display_header.c
	  src/procmsg.h: fixed for AMD64 (and other 64-bit platforms)
	  (thanks to Hiroyuki Ikezoe).

2004-05-10

	* src/inc.[ch]: don't use gtk_timeout_add(), instead use
	  gettimeofday() (to prevent infrequent lockup).

2004-03-19

	* src/defs.h
	  src/inc.[ch]: changed the method of updating the progress dialog
	  to reduce the overhead on a fast network.

2004-03-16

	* src/nntp.c: nntp_session_new(): attempt to authenticate at the
	  beginning of a session (thanks to Shiino Yuki and IWAMOTO, Kouichi).
	* src/news.c
	  src/nntp.c: destroy session when socket error occurred.

2004-03-12

	* src/mainwindow.c
	  src/summaryview.[ch]: added a function to filter selected
	  messages.

2004-03-12

	* src/filter.[ch]
	  src/prefs_filter.c: rewrote the filtering system (the UI is not
	  implemented yet).

2004-03-09

	* src/filter.c: fixed the matching algorithm of "not contain" flag
	  (also match if a header not exist, and handle same multiple
	  headers).
	* src/imageview.c: get_resized_size(): fixed a typo that caused
	  resizing problem.

2004-03-02

	* src/folder.c
	  src/mh.c: only update FolderItem::last_num when removing the last
	  number of message in MH folders, and don't scan in other case
	  (fixes wrong message count on moving).

2004-03-02

	* src/folderview.c
	  src/summaryview.c: always move messages by default when using DnD
	  (except for News folder). Copy messages if Ctrl-key is pressed.
	* src/mainwindow.c: main_window_empty_trash()
	  src/summaryview.c: summary_execute(): added missing
	  statusbar_pop_all().

2004-02-29

	* version 0.9.10

2004-02-26

	* src/prefs_common.c: made the default of "inc_local" FALSE.

2004-02-26

	* src/account.c
	  src/folderview.c: toggle online mode when checking IMAP4 accounts.
	  Pop status bar after that.
	* src/inc.c: code cleanup.
	* src/mainwindow.[ch]: added main_window_get() and
	  main_window_toggle_online_if_offline().
	* src/prefs_common.c: prefs_common_read_config(): fixed a bug that
	  made it offline mode on first execution.

2004-02-25

	* src/imageview.c: enabled automatic resize on window resize.
	  restrict the minimum size to 16 pixels to prevent crash.
	  imageview_init(): don't cache images when using imlib.
	  imageview_show_image(): fixed memory leak.
	* src/mimeview.c: mimeview_init(): call imageview_init().

2004-02-24

	* src/codeconv.[ch]: added ISO-2022-JP-3 encoding.

2004-02-24

	* src/codeconv.c
	  src/mainwindow.c
	  src/messageview.c: added KOI8-U encoding.
	* src/prefs_common.c: prefs_message_create(): modified the string
	  of resizing image option.

2004-02-19

	* src/addressbook.c: addressbook_list_selected(): corrected its
	  argument.
	* src/imageview.[ch]: keep original image data in ImageView, and
	  enabled the toggle of resizing.
	* src/messageview.[ch]
	  src/mimeview.[ch]: handle ImageView in MimeView instead of
	  MessageView.

2004-02-16

	* src/imap.c
	  src/news.c
	  src/summaryview.c: removed statusbar_pop_all() from imap.c and
	  news.c (do it in summaryview.c).

2004-02-12

	* src/inc.[ch]
	  src/pop.[ch]: made inc_drop_message() the virtual function of
	  Pop3Session and removed the dependency of pop.c on inc.h.

2004-02-12

	* src/mainwindow.c
	  src/messageview.[ch]
	  src/textview.c: added statusbar to the message view with new window.

2004-02-10

	* src/inc.[ch]: use hash table for progressive update.
	  changed update interval to 2 sec.
	* src/folder.[ch]
	  src/mh.c
	  src/procmsg.c
	  src/summaryview.c: added FolderItem::unmarked_num to correct the
	  folder message counting.

2004-02-09

	* src/inc.[ch]: update folderview progressively.
	* src/foldersel.c: display full id for selected item.

2004-02-06

	* src/folderview.[ch]: code cleanup.
	  folderview_append_item(): new. It appends the folder to the folder
	  view.
	* src/foldersel.c: foldersel_new_folder(): use
	  folderview_append_item().

2004-02-06

	* src/foldersel.c: implemented 'create new folder' function.
	* src/folder.[ch]: folder_find_child_item_by_name(): new.
	* src/utils.h: AUTORELEASE_STR(): convert malloc'd string into
	  auto-release (alloca'd) one.

2004-02-05

	* src/folderview.c: put together folderview_new_imap_folder_cb() into
	  folderview_new_folder_cb().

2004-02-04

	* src/compose.c: compose_write_to_file(): removed redundant strlen()
	  (thanks to Alfons).
	* src/textview.c: textview_button_pressed(): select correct account
	  when address is clicked.

2004-01-29

	* version 0.9.9

2004-01-29

	* src/folder.c: folder_item_fetch_all_msg()
	  src/folderview.c: folderview_download_cb(): show progress with
	  the progressbar.
	* src/mainwindow.[ch]: added new functions for progressbar.

2004-01-29

	* src/summaryview.c: summary_key_pressed(): GDK_Left should only
	  switch to folderview when summaryview hscrollbar is at the leftmost
	  position (thanks to Alfons).

2004-01-29

	* src/codeconv.c: conv_euctojis(): made JIS X 0201 Kana conversion
	  configurable.
	* src/prefs_common.[ch]: added PrefsCommon::allow_jisx0201_kana
	  (hidden setting).

2004-01-28

	* src/codeconv.c: conv_euctojis(): force JIS X 0201 Kana to JIS X 0208
	  conversion.

2004-01-28

	* src/imap.c: imap_get_msginfo(): fixed wrong counting.

2004-01-28

	* src/base64.c
	  src/codeconv.c
	  src/compose.c
	  src/html.c
	  src/imap.c
	  src/pop.c
	  src/prefs_account.c
	  src/procmime.c
	  src/procmsg.c
	  src/quote_fmt_parse.y
	  src/quoted-printable.c
	  src/textview.c
	  src/unmime.c
	  src/utils.c
	  src/utils.h
	  src/xml.c: fixed wrong type of argument for ctype functions (char
	  had been passed instead of unsigned char).


2004-01-27

	* src/mainwindow.[ch]: added MainWindow::messageview_cid.
	  Clear messageview when it is hidden.
	* src/textview.c: show URL to the statusbar when its link is clicked.
	  textview_uri_security_check(): compare real URL and apparent one
	  and show warning if it seems to be a fake URL.
	* src/utils.[ch]:
	  is_uri_string(): return TRUE if the string seems like a URL.
	  get_uri_path(): return URL except for its scheme part.

2004-01-23

	* src/folder.[ch]: folder_item_fetch_all_msg(): new. It fetches all
	  messages in a folder.
	* src/folderview.c: implemented 'Download' feature.

2004-01-23

	* src/gtkutils.[ch]: implemented ComboButton which adds an arrow
	  menu button to a button.
	* src/mainwindow.[ch]: main_window_toolbar_create(): added combo
	  button to reply and forward button.

2004-01-22

	* src/mainwindow.c: fixed automatic expansion of window size because
	  of toolbar.

2004-01-21

	* src/addr_compl.[ch]
	  src/gtkshruler.[ch]: changed the copyright notice.

2004-01-20

	* src/gtkstext.c: find_line_params(): also break between mutlibyte
	  and single-byte characters.

2004-01-20

	* src/gtkstext.c: find_line_params(): break lines between multibyte
	  characters on word wrap mode.

2004-01-05

	* src/codeconv.c: conv_iconv_strdup(): fixed crashes on LP64
	  environments (thanks to James Noyes).
	* src/compose.c: compose_select_account(): don't turn off the sign/
	  encrypt option automatically.

2003-12-17

	* src/inc.[ch]: made inc_account_mail() public.
	* src/mainwindow.c: moved receive menus into submenu, and added
	  dynamic menus for receiving from each account.

2003-12-15

	* version 0.9.8a

2003-12-15

	* src/procmsg.c: procmsg_open_data_file(): set buffer if DATA_READ
	  is specified and a buffer is given.
	  procmsg_open_cache_file_with_buffer(): new.
	  procmsg_read_cache(): fixed a bug that called setvbuf() after an
	  file I/O which caused buffer read error.

2003-12-12

	* version 0.9.8

2003-12-12

	* configure.in: enable IPv6 support by default.

2003-12-11

	* src/inc.c: inc_mail(), inc_all_account_mail(): ask user to switch
	  to online when in offline mode.
	* src/mainwindow.h: added main_window_toggle_online().

2003-12-11

	* src/foldersel.c
	  src/folderview.[ch]
	  src/mainwindow.c
	  src/stock_pixmap.[ch]
	  src/pixmap/dir-noselect.xpm: made no-select folders display with
	  dim icon and string.
	* src/Makefile.am: added offline.xpm, online.xpm, and
	  dir-noselect.xpm to EXTRA_DIST.

2003-12-11

	* src/folder.h: added macro FOLDER_ITEM_CAN_ADD().
	* src/folderview.c: folderview_drag_motion_cb(): code cleanup.
	  folderview_drag_received_cb(): don't accept at no_select folder or
	  from itself.
	* src/foldersel.c: made folders on which no_select flag is set not
	  selectable.

2003-12-10

	* src/imap.c: imap_do_copy_msgs(), imap_remove_msgs(): code cleanup.
	  set MSG_INVALID flag when messages are deleted.
	* src/mh.c: mh_do_move_msgs(), mh_remove_msg(): set MSG_INVALID flag
	  when messages are deleted.
	* src/procmsg.[ch]:
	  procmsg_move_messages()
	  procmsg_copy_messages(): return error status.
	  Added MSG_INVALID to MsgTmpFlags.
	* src/summaryview.c: summary_execute(): detect errors and only remove
	  nodes that are invalidated.
	  summary_unthread_for_exec(): fixed a bug that didn't remove nodes
	  in collapsed trees.

2003-12-06

	* src/mainwindow.[ch]: added online switch button to the statusbar,
	  and "/File/Work offline" in the menu.
	* src/pixmaps/offline.xpm
	  src/pixmaps/online.xpm: new (borrowed from
	  themes/classic/communicator/icons/ in Mozilla).
	* src/stock_pixmap.[ch]: added online.xpm and offline.xpm.
	* src/textview.[ch]: textview_show_error(): new.
	* src/summaryview.c: summary_display_msg_full(): update marks only
	  if messages are displayed.
	* src/prefs_common.[ch]: added PrefsCommon::online_mode.
	* src/news.c: news_session_get()
	  src/imap.c: imap_session_get(): return NULL when in offline mode.
	* src/messageview.[ch]: messageview_show(): return status whether
	  messages are successfully displayed. Display error messages in
	  the view when failed.
	* src/procmsg.c:
	  procmsg_get_message_file()
	  procmsg_open_message(): don't output warnings when fetch failed.

2003-12-04

	* src/html.c: html_get_tag(): support attributes which don't have
	  values.

2003-12-04

	* src/codeconv.c: conv_get_code_conv_func(): return conv_latintodisp
	  only if src_charset and current charset is identical or current
	  one is multibyte (fixes display of ISO-8859-5 on KOI8-R locale etc.).

2003-11-25

	* autogen.sh: don't include m4 directory in aclocal.
	* intl/libgnuintl.h: removed from cvs.
	* po/.cvsignore: added stamp-po and remove-potcdate.sed.

2003-11-24

	* upgraded to gettext-0.12.1.

2003-11-24  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2003-11-21

	* configure.in: added check for d_type member in struct dirent.
	* src/mh.c: mh_scan_folder(): use d->d_type if available.
	  mh_get_uncached_msgs(): removed redundant stat().
	  mh_parse_msg(): return NULL if not a regular file.
	  mh_scan_tree_recursive(): use d->d_type if available.
	* src/utils.[ch]:
	  dirent_is_regular_file()
	  dirent_is_directory(): new. Use d->d_type to determine the type
	  of entry if available.
	  remove_dir_recursive(): use dirent_is_directory().

2003-11-14

	* src/folder.h: added 'updated' flag to FolderItem.
	* src/folderview.[ch]: folderview_update_all_updated(): new. It
	  updates all updated folders.
	* src/imap.c: set FolderView::update flag on changes of contents.
	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb(): code cleanup.
	* src/mh.c: code cleanup.
	  mh_scan_folder(): correctly count new messages.
	* src/procmsg.[ch]: code cleanup.
	  procmsg_open_cache_file(): new.
	  procmsg_open_mark_file(): enable read/write/append.
	  procmsg_send_queue(): correctly choose outbox for accounts.
	* src/send_message.[ch]: send_get_queue_info(): get a queue
	  information from queued messages.
	  send_queue_info_free(): free QueueInfo.
	  send_message_queue(): take QueueInfo as an argument instead of file.	
	* src/summaryview.c: summary_write_cache(): code cleanup.

2003-11-10

	* src/compose.c: compose_redirect_write_headers(): correctly add
	  Resent-Cc: header.

2003-11-05

	* src/imap.c: imap_get_msg_list(): fallback to FETCH command if SEARCH
	  command to get flags failed.
	  imap_search_flags(): returns UID array and flags hash table using
	  SEARCH command.
	  imap_fetch_flags(): returns UID array and flags hash table using
	  FETCH command.

2003-10-28

	* src/summary_search.c: summary_search_execute(): fixed 'Select all
	  matched' when backward search is enabled.
	  Made the backward search button insensitive when 'select all
	  matched' is enabled.

2003-10-15

	* version 0.9.7

2003-10-15

	* src/imap.c: imap_scan_tree(): check the existence of root directory
	  with LIST instead of STATUS.

2003-10-07

	* src/send_message.c: fixed format string bug (exploitable by
	  malicious SMTP server) when calling alertpanel_error()
	  (thanks to Georgi Guninski).

2003-10-03

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/news.[ch]: refactoring of the folder system (based on the claws'
	  implementation).
	* src/account.c
	  src/foldersel.c
	  src/folderview.c
	  src/mainwindow.c
	  src/messageview.c
	  src/procmsg.c
	  src/setup.c
	  src/summaryview.c: use FOLDER_TYPE() macro at every place.

2003-09-17

	* version 0.9.6

2003-09-17

	* src/addressbook.c:
	  addressbook_folder_load_person()
	  addressbook_folder_load_group(): sort the ctree after the end of
	  the loop (fixes performance issue when many addresses are in one
	  folder) (thanks to christian mock).

2003-09-16

	* src/folderview.c: folder_init(): code cleanup.
	* src/summaryview.c: summary_init(): check if boldfont is
	  successfully loaded.
	* src/grouplistdialog.c: use proper callback for delete_event (thanks
	  to Takuro Ashie).
	* src/imap.c: allow zero-length messages.
	* src/recv.c: recv_bytes_write(): return immediately if size == 0.

2003-09-16

	* src/folderview.c: folderview_init(): if font can't be loaded, fall
	  back to gtk default (fixes crashes on startup). Also removed the
	  redundant code.

2003-09-15

	* src/compose.c: compose_insert_sig(): insert signature at the
	  current cursor position on manual operation.

2003-09-11

	* src/summaryview.c: summary_key_pressed(): don't ignore delete key
	  even if the main window is locked.

2003-09-10

	* src/action.c: improved synchronous action exit code (fixes long
	  delay after action exit on RH9) (thanks to Melvin).
	* src/stringtable.[ch]: string_table_insert_string(): modified the
	  code to remove the warning "dereferencing type-punned pointer will
	  break strict-aliasing rules".
	  Use const gchar * instead of gchar * for arguments.

2003-09-05

	* src/utils.[ch]: generate_mime_boundary(): a new function to create
	  MIME boundary (moved from rfc2015.c).
	  Removed more special characters.
	  Use random() instead of lrand48() which is obsolete.
	  Added an argument for prefix to prevent duplication.
	  Always add "=_" as a counter-QP sequence to simplify the code.
	* src/rfc2015.c:
	  rfc2015_decrypt_message()
	  rfc2015_encrypt()
	  rfc2015_sign(): fixed a bug that didn't handle continuous content
	  lines correctly.
	* src/compose.c
	  src/rfc2015.c: use generate_mime_boundary().

2003-09-05

	* src/folderview.c:
	  folderview_delete_folder_cb()
	  folderview_remove_mailbox_cb(): close currently displayed folder
	  before removing FolderItem (fixes crash on deleting folder).
	* src/folder.h
	  src/imap.[ch]: imap_scan_tree()
	  src/mh.[ch]: mh_scan_tree(): return -1 when scanning failed.
	* src/summaryview.c: summary_clear_all(): also clear the message view.
	* src/imap.c: imap_close(): fail if the specified folder is not
	  selected.
	  imap_scan_tree(): check if the specified root directory exist, and
	  try creating it if not.
	  imap_parse_list(): output warning if a server returns error.
	  imap_find_namespace_from_list(): support not slash-delimited path.
	  imap_status(): don't return values if they're not specified.

2003-09-02

	* sylpheed.spec.in: fixed a typo.

2003-09-02

	* version 0.9.5

2003-09-01

	* src/inc.[ch]
	  src/main.c
	  src/mainwindow.c
	  src/prefs_common.[ch]: added the receive dialog's option to
	  display the dialog only on manual receiving, and the
	  RECV_DIALOG_ACTIVE option was removed.

2003-09-01

	* src/compose.c: compose_write_headers(): also replace ':' in the
	  MIME boundary with '_' (as a workaround for broken servers).

2003-08-28

	* src/imap.c: imap_scan_tree_recursive(): fixed compile error.

2003-08-27

	* src/prefs_filter.c: added 'Top' and 'Bottom' button.

2003-08-26

	* src/folder.[ch]: folder_item_remove_children(): new. It removes
	  all children under a FolderItem.
	* src/folderview.c: folderview_rescan_tree(): modified the message.
	* src/imap.c: imap_scan_tree(), imap_scan_tree_recursive(): reuse
	  the previous FolderItem objects.

2003-08-25

	* src/folder.[ch]: added a reference to its own GNode in FolderItem.
	  folder_item_remove(): free all FolderItem's.
	  folder_tree_destroy(): use folder_item_remove().
	* src/folderview.c: folderview_sort_folders(): keep the order even
	  if special folders' parents are different.
	* src/imap.c: imap_scan_tree_recursive(): fixed a memory leak.
	* src/mh.c: mh_scan_tree(): preserve the previous FolderItem's.
	  mh_remove_missing_folder_items(): scan the directories and remove
	  missing folders.
	  mh_scan_tree_recursive(): reuse the previous FolderItem objects.

2003-08-20

	* src/mainwindow.c: always reflect window size changes.
	* src/folderview.c: folderview_init()
	  src/summaryview.c: summary_init(): realize the widget before
	  creating pixmaps.
	* src/prefs_common.[ch]: remember the folder and mesage view's
	  visibility.

2003-08-07

	* src/mainwindow.c
	  src/prefs_common.[ch]: remember the size and position of
	  separated views.
	  main_window_set_widgets(): fixed a bug that the hidden items on
	  the header view were shown when changing the view type.
	  Instead of setting the window size, set the each view's size.

2003-08-01

	* src/compose.c: compose_select_account(): don't append signature
	  on redirect mode.
	  compose_insert_sig(): don't insert "\n\n" if signature string
	  doesn't exist. Always insert signature at the end of message.

2003-08-01

	* improved sylpheed.spec.in (thanks to Andre Oliveira da Costa).

2003-07-31

	* minor code cleanups for the folder system.
	* src/compose.c: compose_queue(), compose_draft_cb(): code cleanup.
	* src/folder.c: code cleanups.
	* src/imap.c
	  src/mh.c: calculate message numbers inside the functions.
	* src/procmsg.c: procmsg_set_flags(): calculate message numbers.
	* src/summaryview.[ch]: don't calculate and preserve message numbers
	  inside SummaryView,

2003-07-30

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/procmsg.c
	  src/summaryview.c: renamed *_msgs_with_dest() to *_msgs().

2003-07-29

	* src/imap.[ch]: use CAPABILITY to use protocol extentions.
	  imap_greeting(): parse initial server greeting. Also support
	  PREAUTH response.
	  imap_add_msgs()
	  imap_cmd_append(): use APPENDUID responses if UIDPLUS is supported.

2003-07-28

	* src/imap.c: imap_get_flag_str(): fixed a buffer overrun.

2003-07-25

	* version 0.9.4

2003-07-25

	* src/main.c: main(): don't save config files on startup.

2003-07-25

	* src/imap.c:
	  imap_get_msg_list(): removed redundant UID SEARCH ALL when not
	  using cache.
	  Unset MSG_NEW flag if \Seen is set.
	  imap_get_uncached_messages(): fetch all messages if both first_uid
	  and last_uid is 0.

2003-07-24

	* src/imap.c: revamped the implementation so that it always
	  exactly reflects the state of IMAP4 servers.
	  imap_get_msg_list(): examine the state of messages using
	  UID SEARCH commands.
	  imap_delete_cached_message(): removes single message cache.
	  imap_get_uid(): removed.
	  imap_cmd_search(): new. It issues UID SEARCH command and returns
	  an array of UIDs.
	  imap_cmd_gen_recv(): made the length of strings unrestricted.
	  imap_get_uid_table(): returns a hash table from UID array.

2003-07-24

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/news.[ch]: added Folder::close() method.
	* src/summaryview.c: summary_clear_list(): call folder_item_close().

2003-07-23

	* flags are now taken over when copying messages into IMAP folders
	  from others.
	* src/imap.[ch]
	  src/mh.[ch]
	  imap_add_msg()
	  imap_add_msgs()
	  mh_add_msg()
	  mh_add_msgs(): flags can be also specified when adding files.
	* src/folder.[ch]: added assertions for virtual functions.
	* src/procmsg.[ch]: procmsg_get_message_file_list(): return the list
	  of MsgFileInfo.
	  procmsg_message_file_list_free(): new.

2003-07-23

	* src/procmsg.h: changed MsgPermFlags and MsgTmpFlags from enum to
	  guint32 for portability (thanks to Alfons).
	* src/imap.c: imap_add_msgs(): removed redundant unlink().

2003-07-22

	* src/session.[ch]:
	  session_read_msg_cb()
	  session_read_data_cb(): fixed a bug that ran into infinite loop
	  if connection was closed by remote host (thanks to Yoichi Imai).
	  Added SESSION_EOF state to SessionState.
	  session_is_connected(): new.
	* src/inc.[ch]: inc_put_error()
	  src/send_message.c: send_put_error(): also put log messages.

2003-07-18

	* more optimization of IMAP4.
	* src/folder.[ch]: added a method add_msgs() that adds multiple files
	  to a folder.
	  Removed redundant scan() for the operations of FolderItem.
	* src/imap.[ch]: implemented Folder::add_msgs() and optimized move
	  and copy from other Folder instances.
	* src/mh.[ch]: implemented Folder::add_msgs() and cleaned up the code.
	  mh_fetch_msg(): scan folder if required.
	* src/procmsg.[ch]: procmsg_get_message_file_list(): returns file
	  list from message list.
	* src/summaryview.c: don't remove MSG_MARKED flags on
	  delete/move/copy operation.
	  summary_display_msg_full(): removed redundant message fetching.

2003-07-17

	* optimized move/copy/delete/mark operations of IMAP4 by using
	  sequence set when issuing commands (adopted claws' implementation
	  with cleaning it up).
	* src/imap.[ch]:
	  imap_set_message_flags()
	  imap_cmd_envelope()
	  imap_cmd_copy()
	  imap_cmd_store(): take sequence set string instead of UID number.
	  imap_do_copy_msgs_with_dest(): optimized by using sequence set.
	  imap_cmd_fetch(): use BODY.PEEK instead of BODY.
	  imap_remove_all_msg()
	  imap_set_message_flags(): use FLAGS.SILENT instead of FLAGS.
	* src/compose.c
	  src/summaryview.c: use imap_msg_list_{set,unset}_perm_flags()
	  instead of issuing commands for each message.

2003-07-15

	* src/inc.c
	  src/prefs_account.[ch]
	  src/send_message.c
	  src/session.[ch]: added an option to enable/disable non-blocking
	  SSL.

2003-07-15

	* src/compose.c: compose_attach_append(): display message's subject
	  when attaching message/rfc822 file.

2003-07-14

	* src/session.[ch]:
	  session_recv_msg()
	  session_recv_data()
	  session_read_msg_cb()
	  session_read_data_cb(): optimized by removing sock_peek() and
	  buffering received data in user space (correctly implemented
	  this time).

2003-07-11

	* src/session.c: reverted the previous change because it couldn't
	  handle data receiving after messages correctly.

2003-07-11

	* src/session.c:
	  session_recv_msg()
	  session_read_msg_cb(): optimized by removing sock_peek() and
	  buffering messages in user space.

2003-07-11

	* src/imap.[ch]: refactored.
	  Changed all functions that have SockInfo arguments to take
	  IMAPSession.
	  Made imap_cmd_count an instance variable: IMAPSession::cmd_count.
	  imap_open(): only establish TCP (or SSL) connection.
	  imap_session_new(): process greeting and authentication here.

2003-07-10

	* src/imap.[ch]: implemented CRAM-MD5 authentication, and made code
	  cleanups.
	* src/prefs_account.[ch]: added option menu for IMAP4 authentication
	  type in Receive tab, and hide other protocols' frames.

2003-07-10

	* src/mainwindow.c: send_queue_cb(): don't scan folder twice if
	  error occurred.
	* src/procmsg.c: procmsg_send_queue(): return number of sent
	  messages.

2003-07-09

	* src/mainwindow.c:
	  main_window_set_toolbar_sensitive()
	  main_window_set_menu_sensitive(): removed the locking of file
	  operations while receiving mail.

2003-07-09

	* src/folder.[ch]: folder_item_remove_msg(): take MsgInfo as an
	  argument instead of message number.
	* src/imap.[ch]: imap_remove_msg(): reimplemented using
	  imap_remove_msgs().
	* src/mh.[ch]: mh_do_move(): reimplemented using
	  mh_do_move_msgs_with_dest().
	  mh_copy_msg(): reimplemented using mh_copy_msgs_with_dest().
	* src/procmsg.c: procmsg_send_queue(): modified to use message list.

2003-07-08

	* src/rfc2015.c: rfc2015_is_encrypted(): check MimeInfo::mime_type
	  to suppress some warnings.
	* src/logwindow.c: log_window_append(): don't scroll up when trimming
	  lines.

2003-07-07

	* src/compose.c: add 'Content-Disposition: inline' to a text/plain
	  part when using PGP/MIME signing.

2003-07-04

	* version 0.9.3

2003-07-04

	* src/defs.h: changed UI_REFRESH_INTERVAL from 40msec to 50msec.
	* src/session.c: session_read_msg_cb(): make it always fail if
	  sock_read() returns by error.
	* src/socket.[ch]: sock_check(): handle exceptional SSL condition.
	  sock_has_pending_data(): removed.
	  Removed debug output.
	* src/send_message.c: send_recv_message(): display messages to
	  statusbar.

2003-07-03

	* src/inc.[ch]: update received message number on CList while
	  retrieving.
	* src/session.c: session_read_data_cb(): optimized by removing
	  g_malloc() and memcpy().

2003-07-02

	* src/socket.[ch]: sock_add_watch(): new. It monitors SSL by original
	  watch functions (otherwise uses g_io_add_watch()).
	* src/session.[ch]: removed previous workarounds, and replaced
	  g_io_add_watch() with sock_add_watch().

2003-07-01

	* src/socket.[ch]: added sock_has_pending_data() which returns TRUE
	  if socket has pending data.
	* src/session.c: session_recv_msg(), session_recv_data(): check if
	  socket has pending data and call the callbacks immediately in that
	  case (fixes the hang at ESMTP EHLO on SSL).

2003-06-30

	* src/socket.c: check return value in SSL functions.

2003-06-30

	* src/mimeview.c: mimeview_init(): initialize TextView to prevent
	  slowdown caused by GTK+ themes (thanks to Yuri Arapov).

2003-06-27

	* src/session.c: session_read_data_cb(): clear Session::read_data_buf
	  before calling callbacks.

2003-06-26

	* src/socket.c: made socket connection protocol independent.
	* src/session.c: removed debug g_print().
	* src/inc.c: made status bar output less verbose, and show counter
	  on main window's progressbar.

2003-06-26

	* src/session.c: added missing #include <errno.h>.

2003-06-25

	* src/session.[ch]: reimplemented the Session system with non-blocking
	  I/O to solve the performance and the code design issue.
	* src/socket.[ch]: added sock_connect_async() and
	  sock_connect_async_cancel() to enable asynchronous connection.
	  sock_peek(): modified the implementation.
	* src/pop.c: optimized the receiving of the responses of
	  UIDL/LIST/RETR.

2003-06-18

	* src/procmsg.c: procmsg_get_thread_tree(): prevent threading problems
	  when a node is an ancestor (parent / great parent), which mostly
	  happens with circular references (thanks to Phillipe Gramoulle
	  for finding an sample set of messages, and Alfons for the patch).

2003-06-16

	* src/pop3.c: pop3_get_uidl_table(): return empty hash table even if
	  UIDL list is not found (fixes inability of initial retrieval).

2003-06-10

	* src/main.c: added the option '--status-full' which shows the status
	  of each folder specified. The option '--status' also takes
	  following arguments for folders (thanks to Yuri Arapov).
	* src/folder.[ch]: folder_get_status(): new. it takes the array of
	  folders as the argument and returns their status.
	  folder_count_total_msgs(): removed.

2003-06-06

	* version 0.9.2

2003-06-06

	* src/filesel.c
	  src/foldersel.c
	  src/inputdialog.c: use gtk_main_iteration() instead of gtk_main()
	  to prevent abort when a button is double-clicked.

2003-06-02

	* src/addr_compl.c: invalidate_address_completion(): check if
	  g_completion_list is NULL (thanks to Kazuhiro NISHIYAMA).

2003-06-02

	* src/pop.c: pop3_session_recv_data_finished(): fixed a bug that
	  deleted messages that is to be kept on server (thanks to Tristan
	  Wallis).

2003-05-27

	* version 0.9.1

2003-05-26

	* src/socket.[ch]:
	  sock_set_io_timeout(): new. It sets the timeout interval.
	  sock_gdk_input_add(): removed since it's not used anymore.
	* src/prefs_common.[ch]: added an option to set the timeout parameter.

2003-05-26

	* src/action.c: fixed a bug that didn't hide user string in
	  create_io_dialog() (thanks to Markus Amersdorfer).
	  Removed ChildInfo::type and added Children::action_type.

2003-05-23

	* src/inc.c: inc_start(): ask every password before retrieving.
	  Don't popup the redundant error dialog.
	  inc_account_mail()
	  inc_all_account_mail()
	  inc_progress_dialog_set_list(): separated account list display
	  into a new function.
	  inc_progress_dialog_set_label()
	  inc_recv_data_finished()
	  inc_recv_message(): properly update the dialog when RETR finished.

2003-05-22

	* src/imap.c:
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): fixed compilation failure when not
	  using iconv().

2003-05-21

	* src/procmime.c: procmime_scan_multipart_message(): fixed parsing
	  of message/rfc822 parts.

2003-05-21

	* src/pop.c: pop3_ok(): detect timeout error.

2003-05-20

	* src/imap.c: imap_locale_to_modified_utf7(): fixed the encoding bug
	  when locale strings include '+'.
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): at least escape/unescape '&' even
	  if iconv() is not supported.

2003-05-20

	* src/compose.c:
	  compose_insert_sig()
	  compose_get_signature_str(): include separator in signature string.
	  Don't insert separator if signature file is not found.
	  Disabled use of implicit default signature path (~/.signature) when
	  sig_path is NULL.


2003-05-20

	* src/codeconv.c
	  src/gtkshruler.c
	  src/news.c
	  src/procmsg.c
	  src/quote_fmt_parse.y
	  src/smtp.c: suppress warnings that gcc-3.3 issues.
	  src/stringtable.c: use string_entry_free().

2003-05-19

	* src/compose.c: compose_insert_sig(): fixed the bug that always
	  appended signature separator if signature file was not found.
	  compose_get_signature_str(): fixed the bug that caused crash if
	  signature file cannot be opened.

2003-05-16

	* version 0.9.0

2003-05-16

	* src/session.c: session_recv_msg(): removed debug print.

2003-05-15

	* src/imap.c:
	  imap_parse_atom()
	  imap_get_header()
	  imap_cmd_fetch(): check for data size that servers return (fixes
	  vulnerability found in BugTraq).

2003-05-14

	* src/addr_compl.c: get_complete_address()
	  src/addressbook.c: addressbook_format_address()
	  src/compose.c: QUOTE_IF_REQUIRED(): quote if name contains
	  characters that is not defined in atext (RFC 2822, 3.2.4. Atom).
	* src/main.c: main(): set colormap and visual to solve color problem
	  in Solaris (thanks to Markus Schwarzenberg).

2003-05-12

	* version 0.9.0pre1

2003-05-12

	* src/prefs_account.c: temporarily removed POP before SMTP option.

2003-05-09

	* src/prefs_common.[ch]: changed the description of "Open message when
	  cursor keys are pressed on summary".
	* src/summaryview.c: summary_show(): open message when always_show_msg
	  is TRUE.

2003-05-09

	* src/logwindow.[ch]: restrict the maximum lines of the log messages
	  to reduce the memory usage.

2003-05-07

	* src/compose.c: compose_insert_sig(): fixed a crash when signature
	  string contains illegal sequence.
	* src/utils.[ch]: changed get_wcs_len() to get_mbs_len() for accuracy.

2003-05-07

	* major refactoring of MIME structure.
	* src/procmime.c: procmime_scan_message(): decrypt message if
	  gpgme is enabled. Create multipart tree only if content-type is
	  multipart/* or message/rfc822.
	  procmime_scan_multipart_message(): fixed the scanning of
	  message/rfc822 part.
	* src/action.c: parse_append_msgpart()
	  src/messageview.c: messageview_show()
	  src/mimeview.c: mimeview_show_message(): use procmime_scan_message()
	  instead of procmsg_open_message() and procmime_scan_mime_header().
	  mimeview_set_multipart_tree(): conform to the new MIME structure.
	* src/textview.c: textview_show_part(): removed unnecessary check.
	* src/procmsg.c: procmsg_open_message_decrypted(): fixed the file
	  pointer when decryption failed.

2003-05-06

	* src/ssl.c: ssl_init_socket_with_method(): replaced log_warning()
	  by g_warning(), and log_print() by debug_print().
	* src/pop.[ch]: added an error code PS_NOTSUPPORTED, and retry with
	  LAST if UIDL is not supported.

2003-05-01

	* src/codeconv.c: conv_get_code_conv_func(): convert to EUC-JP only
	  if it is the current locale encoding when dest_charset_str is NULL.

2003-05-01

	* src/action.c: execute_actions(): fixed crash when no text widget
	  is selected (thanks to Paul and Melvin).
	* src/action.c
	  src/prefs_actions.c: added missing reference to Claws team in the
	  copyright.

2003-04-28

	* src/session.c:
	  session_send_msg()
	  session_send_data(): fixed a memory leak and data sending bug.
	* src/send_message.c:
	  send_message_smtp(): fixed focus management.

2003-04-25

	* src/smtp.[ch]: set the response string to SMTPSession::error_msg
	  if error occurred.
	* src/send_message.c: show error dialog if error occurred.
	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb(): don't show error dialog here.

2003-04-25

	* src/session.c: session_close(): kill child process only if
	  state is not SESSION_DISCONNECTED.
	* src/send_message.c: send_cancel_button_cb()
	  src/inc.c: inc_cancel(): don't set Session::state to
	  SESSION_DISCONNECTED.
	* src/prefs.[ch]: modified the names of prefs_write_*().
	* src/address.[ch]: removed.

2003-04-24

	* src/compose.c: compose_template_apply(): overwrite recipients.

2003-04-23

	* src/procheader.c: procheader_date_parse(): removed debug print.
	* src/session.c: changed every g_print to debug_print.
	  session_child_input(): removed unrequired session_close() (it'll
	  be closed anyway after returning FALSE).
	* src/send_message.c: send_message_smtp(): changed g_print to
	  debug_print.

2003-04-23

	* src/procheader.c: procheader_procheader_date_parse(): don't add
	  local timezone offset if timezone is unknown.
	  Made the Y2K workaround code to follow RFC 2822.
	  procheader_scan_date_string(): workaround for date strings which
	  don't have timezone specification.
	* src/utils.c: remote_tzoffset_sec(): return -1 if timezone is
	  unknown.

2003-04-22

	* src/action.[ch]: refactored. Also fixed a bug on MIME mode, and
	  some memory leaks on error.
	  action_update_msgview_menu(): new.
	* src/messageview.[ch]: added "Tools/Actions" menu. Keep window list.
	  messageview_get_selected_mime_part(): returns MimeInfo of selected
	  part when MessageView is in MIME mode.
	* src/mimeview.[ch]: mimeview_get_selected_part(): returns MimeInfo
	  of selected part.
	* src/summaryview.[ch]: summary_get_selected_msg_list(): returns
	  MsgInfo list of selected messages.

2003-04-21

	* src/prefs_filter.[ch]: include original message's headers as
	  the preset keywords. Modified the sizes of the widgets.
	* src/utils.[ch]: added str_case_equal() and str_case_hash() for
	  case-insensitive hash.

2003-04-18

	* src/procmsg.c: procmsg_get_filter_keyword(): added X-Sequence to
	  auto-detected headers.
	* src/action.[ch]
	  src/prefs_actions.c
	  src/compose.c
	  src/mainwindow.c: modified function names.
	  get_user_string(): Use input_dialog() instead of its own
	  implementation.

2003-04-17

	* src/codeconv.[ch]: conv_encode_header(): don't include '(' and ')'
	  in encoded strings if addr_field is TRUE.
	* src/compose.c: compose_convert_header(): added a flag 'addr_field'.

2003-04-16

	* src/prefs_actions.[ch]: separated action execution routine into
	  action.[ch].

2003-04-16

	* src/prefs_actions.c: minor code cleanup.

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): fixed the handling of
	  EILSEQ.

2003-04-16

	* src/inc.c:
	  inc_recv_data_progressive()
	  inc_recv_data_finished()
	  inc_recv_message()
	  send_recv_message()
	  send_send_data_progressive()
	  send_send_data_finished(): added assertion.

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): fixed potential memory
	  corruption bug.

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): don't include nul character
	  in source buffer since it messed up some encoding conversion (like
	  UTF-7).

2003-04-15

	* src/procmsg.c: procmsg_get_filter_keyword(): unfold headers and
	  extract ID from List-Id header.
	* src/utils.[ch]: extract_one_parenthesis_with_skip_quote(): removed.
	  extract_list_id_str(): extract ID string from List-Id header.

2003-04-15

	* src/prefs_actions.c: merged from the claws branch. Fixes several
	  bugs and adds some features.

2003-04-14

	* src/compose.c: compose_parse_header(): fixed a bug that unnecessary
	  linebreaks were included on reediting.
	* src/imap.c
	  src/pop.c: fixed typos: 'occured'.

2003-04-11

	* src/compose.[ch]: implemented auto signature replacement on
	  changing accounts.
	  compose_insert_sig(): added a flag to replace current signature.
	  compose_get_signature_str(): new. It returns signature string.
	  compose_insert_command_output(): removed.
	  compose_select_account(): call compose_insert_sig() on account
	  change.
	  compose_destroy(): fixed a memory leak of UndoMain object.
	  Compose::sig_str: new. It stores current signature string.
	* src/gtkutils.[ch]: gtkut_stext_find(): new.
	  Renamed gtk_stext_clear() to gtkut_stext_clear().
	* src/utils.[ch]: get_wcs_len(): returns wide-character length of
	  multibyte string.
	  normalize_newlines(): converts CR+LF and CR into LF.
	  get_command_output(): returns command output.

2003-04-08

	* src/procmsg.[ch]: procmsg_get_filter_keyword(): new. It returns
	  filter keyword for messages.
	* src/summaryview.c: summary_filter_open(): use
	  procmsg_get_filter_keyword().
	* src/messageview.c: create_filter_cb(): implemented.

2003-04-07

	* src/inc.c:
	  inc_start()
	  inc_put_error(): display server responses on error.
	* src/pop.[ch]: added Pop3Session::error_msg, and set server responses
	  on error.

2003-04-04

	* src/messageview.[ch]: separated the forced charset of message view
	  in separate window from the main window.
	  src/textview.c:
	  textview_show_message()
	  textview_show_part()
	  textview_add_part(): use MessageView::forced_charset if specified.

2003-04-03

	* src/mainwindow.c: modified File menu a bit.
	* src/menu.[ch]: added functions to handle item factory rc strings.
	* src/messageview.[ch]: added a menu, and made it take over main
	  window's menu shortcuts.
	  added msginfo which is duplicated on display to MessageView.
	* src/prefs_common.c: prefs_keybind_apply_clicked(): use
	  menu_factory_clear_rc().

2003-03-28

	* send_message.c: send_message_smtp():
	  re-enabled forcing of SMTP AUTH method.
	  Clear temporary password if authentication failed.
	* smtp.c: output warning to log and set SMTPSession::error_val
	  if error occurs.
	* smtp.h: changed error value to enum. Added SMTPSession::error_val.
	* src/mbox.c: proc_mbox(): force updating of folder.

2003-03-28

	* src/pop.h: changed error value to enum.
	* src/pop.c: pop3_retr_recv(): return PS_IOERR when inc_drop_message()
	  failed.
	  pop3_ok(): return appropriate error value based on current state.
	  Output warning to log if error occurs.

2003-03-27

	* src/nntp.[ch]
	  src/news.[ch]: refactored. Remove NNTPSockInfo and use NNTPSession
	  in nntp.c.

2003-03-27

	* src/inc.c: inc_pop3_session_do(): retrun appropriate error if
	  Session::state == SESSION_ERROR.
	* po/POTFILES.in: removed src/automaton.c and src/send.c.
	  Added src/send_message.c.

2003-03-26

	* src/pop.[ch]
	  src/session.c: fixed breakage of POP3 retrieval.
	  session_recv_data_from_sock_unescape(): read until terminator
	  appears and also return the actual size.

2003-03-25

	* src/automaton.[ch]: removed.
	* src/session.c: removed some of the debug output.
	* src/smtp.c: smtp_session_recv_msg(): workaround in case server
	  returns EHLO-style response to HELO command.
	  Ignore all multiline responses except for EHLO since they are
	  allowed for any command.

2003-03-25

	* src/session.[ch]
	  src/pop.c: fixed retrieval of messages which contain dot-escaped
	  lines.
	  session_recv_data(): added a flag for unescape.
	  session_recv_data_from_sock_unescape(): new. It receives message
	  for each line and unescapes dot-escaped lines.
	  Removed the previous workaround.
	* src/defs.h: decreased UI_REFRESH_INTERVAL to 40 msec.

2003-03-25

	* src/pop.[ch]: workaround for brekage of retrieval when given size
	  and actual one is different.

2003-03-24

	* src/pop.c: pop3_retr_eom_recv(): ignore invalid end of message
	  since some servers sometimes return incorrect message size.
	* src/news.c: news_session_new(): zero clear NNTPSession object.
	  Don't initialize Session::sock with nntp_sock->sock to prevent
	  double-free of SockInfo.
	* src/imap.c: zero clear IMAPSession object.
	  imap_cmd_append(): don't close SockInfo.

2003-03-22

	* src/pop.c: pop3_session_recv_msg(): fixed STLS.

2003-03-22

	* src/inc.[ch]
	  src/pop.[ch]: reimplemented using new I/O system.
	* src/session.[ch]: session_recv_data(): new.
	  session_send_data_to_sock()
	  session_recv_data_from_sock(): decreased the frequency of progress
	  notification.

2003-03-22

	* src/smtp.c: smtp_auth_recv(): fixed CRAM-MD5 authentication.

2003-03-20

	* src/session.[ch]: session_start_tls(): new.
	  session_recv_msg(): made it static.

2003-03-20

	* implemented asynchronous network I/O.
	* src/session.[ch]: the interface to communicate with servers through
	  child process.
	* src/smtp.[ch]
	  src/send_message.[ch]: rewrote using new I/O system.
	* src/socket.[ch]: renamed *_write() to *_write_all(), and made
	  *_write() as just a simple wrapper for write().
	* src/utils.c: get_outgoing_rfc2822_str(): new. It modifies the
	  message to send with SMTP or NNTP.
	  file_read_stream_to_str(): new.

2003-03-12

	* src/textview.c: textview_button_pressed(): corrected the range of
	  URI link.
	* src/compose.c: compose_wrap_line_all_full(): treat UTF-8 characters
	  represented with more than 2 bytes as 2 character width and 2 bytes
	  one as a single character width as a workaround for wrapping problem.

2003-03-12

	* src/utils.c: subject_compare_for_sort(): allow null strings (fixes
	  summary sorting).

2003-03-11

	* implemented HTML link correctly.
	* src/html.[ch]: HTMLAttr, HTMLTag: new structure for attributes /
	  tags.
	  html_get_tag(): new. It parses tag and returns HTMLTag object.
	  html_parse_tag(): also parses <a> tags and 'href' attributes.
	* src/textview.c: textview_write_link(): new. It creates link string.

2003-03-10

	* src/compose.c: compose_wrap_line_all_full(): fixed an infinite
	  loop / crash bug (thanks to Darko Koruga).
	  compose_write_to_file(): put correct charset element when
	  conversion failed but want to send anyway.

2003-03-10

	* src/headerview.c: headerview_show()
	  src/textview.c: textview_write_line(): remove unreadable characters
	  from displayed strings to prevent crashes on multi-byte
	  environments.
	* src/codeconv.[ch]: conv_unreadable_locale(): new. It was separated
	  from conv_localetodisp().

2003-03-10

	* src/procmsg.c: procmsg_cmp_by_subject()
	  src/summaryview.c: summary_cmp_by_subject(): ignore Re: when
	  comparing subjects.
	* src/utils.[ch]:
	  subject_compare_for_sort()
	  trim_subject_for_sort(): new.

2003-03-07

	* version 0.8.11

2003-03-07

	* src/defs.h: added -i option to the default sendmail command.

2003-03-06

	* src/codeconv.[ch]: added missing character encodings and locales.

2003-03-06

	* src/procmsg.[ch]:
	  procmsg_get_mark_sum()
	  procmsg_open_mark_file()
	  procmsg_read_mark_file(): take FolderItem instead of directory
	  path.

2003-03-05

	* src/codeconv.c: conv_encode_header(): fixed a bug that spaces
	  which is on the wrap boundary would be lost when encoding long
	  non-ascii strings (thanks to Sergey Vlasov).
	  Don't force wrapping within a long word until it reaches hard line
	  length limit (998 characters) (workaround for the breakage of
	  long address list with no spaces).

2003-03-03

	* src/prefs_account.c: fixed compile failure when using neither
	  gpg or ssl.

2003-03-03

	* src/codeconv.c: fixed UTF-8 locale support.
	  conv_get_code_conv_func(): return conv_noconv if locale encoding
	  is UTF-8. Return conv_latintodisp on ISO-8859-* to locale encoding
	  conversion.
	  conv_convert(): call conv_iconv_strdup() instead of
	  conv_codeset_strdup().
	  conv_codeset_strdup(): moved some codes into conv_iconv_strdup().

2003-02-28

	* src/prefs_account.[ch]: added an option to use command output for
	  signature.
	* src/compose.c: compose_insert_sig(): use command output if
	  specified.
	  compose_insert_command_output(): new.

2003-02-28

	* src/main.c: main(): remove lock socket if sylpheed is not running
	  when --status command is executed.
	  lock_socket_remove(): new.

2003-02-27

	* src/codeconv.c: conv_codeset_strdup(): don't convert if current
	  codeset is US-ASCII (or POSIX).

2003-02-21

	* src/codeconv.c: conv_iconv_strdup(): try to skip invalid characters
	  and continue conversion.

2003-02-21

	* src/summaryview.c: summary_selected(): always update widget
	  sensitivity.

2003-02-20

	* src/utils.c: tzoffset_sec(): fixed a bug that displayed wrong
	  date in timezones more than GMT+12 or less than GMT-12.

2003-02-18

	* src/prefs_common.[ch]
	  src/sourcewindow.c: remember the size of source window.
	* src/md5.c: fixed a compile problem with gcc 3.3.

2003-02-17

	* src/about.c: about_create(): modified the copyright notice.

2003-02-17

	* src/colorlabel.c: don't use pixmaps for label color rect but draw
	  rectangles so we can respect the color map of palette based visuals
	  (fixes the long time crashes on Solaris - thanks to Alfons
	  Hoogervorst).

2003-02-17

	* src/procheader.c: procheader_date_parse(): made month string case
	  insensitive.
	* src/prefs_filter.c: prefs_filter_close(): fixed the crash when the
	  selection list is empty.

2003-02-14

	* src/quote_fmt_parse.y: removed gettext translatable strings.
	* src/unmime.c: unmime_header(): remove broken characters when
	  code conversion failed.
	* src/codeconv.c: conv_encode_header(): fixed a bug that broken
	  headers if long words more than 75 characters are entered.

2003-02-13

	* src/prefs_account.c: prefs_account_receive_create()
	  src/utils.c: to_human_readable(): made units translatable.

2003-02-13

	* src/codeconv.c: isprintableeuckanji(): don't allow more than 0xf4
	  at first byte (fixes abort() problem of glibc).
	* src/html.c: html_read_line(): remove characters which can't be
	  displayed on the current locale.

2003-02-11

	* src/utils.[ch]:
	  trim_subject_for_compare(): renamed from trim_subject().
	  trim_subject(): new. It removes [...] or (...) at the beginning
	  of subject.
	* src/prefs_folder_item.c
	  src/folder.[ch]:
	  added options for trimming summary / compose subject.
	* src/summaryview.c: summary_set_header(): trim subject if the folder
	  option is set.
	* src/compose.c: compose_reply_set_entry(): trim subject if the folder
	  option is set.

2003-02-09

	* src/codeconv.c:
	  LBREAK_IF_REQUIRED(): don't break lines before first word (fixes
	  X-Face header problem).
	  conv_encode_header(): allow up to 97 characters for one word.

2003-02-07

	* src/filter.c: filter_match_condition(): fixed the bug that
	  second condition ignored regex.
	* src/news.h: NewsGroupInfo: use guint for message numbers
	  (fix count in grouplist dialog) (thanks to Thorsten Maerz).

2003-02-06

	* src/codeconv.c: conv_encode_header(): fixed a segfault bug
	  on code conversion failure.
	  conv_get_charset_str()
	  conv_get_charset_from_str(): optimized using hash table.

2003-02-06

	* src/quote_fmt_parse.y:
	  SHOW_MESSAGE_NO_SIGNATURE, SHOW_QUOTED_MESSAGE_NO_SIGNATURE:
	  treat only "\n-- \n" as a signature separator.

2003-02-05

	* src/gtkutils.[ch]: gtkut_ctree_node_prev(): new.
	* src/summary_search.c: summary_search_execute(): search collapsed
	  nodes, too.

2003-02-05

	* src/codeconv.c:
	  conv_unreadable_latin(): include 0x7f as an unreadable character.
	  conv_localetodisp(): don't remove 8bit characters by default.
	  conv_get_current_charset()
	  conv_get_outgoing_charset(): return ISO-8859-15 if "@euro" is
	  appended at the last of locale name.
	* src/compose.c: compose_write_to_file(): show from and to encoding
	  when code conversion failed.

2003-02-04

	* version 0.8.10

2003-02-04

	* src/procmsg.h: WRITE_CACHE_DATA(): little speed improvement
	  (thanks to Colin Leroy).
	* src/mh.c: mh_get_msginfo(): added NULL check (thanks to Thorsten
	  Maerz).

2003-02-03

	* src/textview.c: textview_write_line(): don't convert if conv is
	  NULL.

2003-02-03

	* src/codeconv.[ch]:
	  renamed conv_guess_encoding() to conv_guess_ja_encoding().
	  conv_localetodisp(): new. It removes unreadable characters from
	  (assumed) current locale string.
	  conv_codeset_strdup(): convert into ISO-8859-1 if dest_code is
	  NULL and current locale encoding is US-ASCII.
	  conv_get_code_conv_func(): return conv_ustodisp if US-ASCII is
	  specified for destination charset.
	* src/textview.c: textview_write_line(): use conv_localetodisp()
	  instead of strncpy2() if conversion failed.

2003-01-31

	* src/codeconv.c: conv_iconv_strdup()
	  src/imap.c:
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): use ICONV_CONST macro to remove
	  a warning on some systems.
	* src/codeconv.c: conv_iconv_strdup(): flush iconv() output and
	  truncate buffer.
	  Return NULL instead of incomplete string if conversion failed.

2003-01-30

	* src/summaryview.c: summary_execute(): select appropriate node
	  if currently selected node is to be deleted.
	* src/gtkutils.[ch]: gtkut_ctree_node_is_selected(): new. Returns
	  TRUE if the specified node is selected.

2003-01-30

	* src/summaryview.c: summary_status_show(): fixed a occasional crash
	  on deleting or moving.

2003-01-29

	* src/codeconv.c: conv_unreadable_eucjp(): made the validity check
	  of EUC-JP more accurate.
	  isprintableeuckanji(): new. Use table for validity check of EUC-JP.

2003-01-17

	* version 0.8.9

2003-01-17

	* updated INSTALL.

2003-01-17

	* src/quoted-printable.c: qp_encode_line(): fixed linebreak
	  duplication bug if the source string has CRLF.
	* src/utils.[ch]:
	  canonicalize_str(): new. Returns newly allocated canonicalized
	  string.
	  uncanonicalize_file(): new. Uncanonicalize (CRLF -> LF) text.
	  uncanonicalize_file_replace(): new.
	* src/compose.c: always canonicalize body before processing, and
	  uncanonicalize before returning.

2003-01-17

	* src/procmime.c: procmime_get_encoding_for_charset(): prefer
	  ENC_8BIT for Russian charsets.
	* src/compose.c: compose_write_to_file(): use base64 when signing
	  8bit message.

2003-01-16

	* src/prefs_common.c: prefs_send_create(): added a description for
	  the setting of Content-Transfer-Encoding.

2003-01-16

	* src/codeconv.c: fixed locale_table for Russian locales (thanks to
	  Sergey Vlasov).
	* src/procmime.c: procmime_get_encoding_for_charset(): return
	  ENC_BASE64 for ISO-8859-5, KOI8-* and Windows-1251.
	* src/compose.c: compose_attach_append(): set correct Content-
	  Transfer-Encoding for message/rfc822.
	  compose_write_to_file(): enabled user-definable Content-Transfer-
	  Encoding.
	* src/prefs_common.[ch]: added an option for user-defined Content-
	  Transfer-Encoding.

2003-01-15

	* src/quoted-printable.[ch]: qp_encode_line(): fixed a bug if the
	  line doesn't end with linebreak.

2003-01-15

	* implemented quoted-printable encoding.
	* src/quoted-printable.[ch]: qp_encode_line(): new.
	* src/compose.c:
	  compose_write_to_file()
	  compose_write_attach(): implemented quoted-printable encoding.
	  compose_attach_property_create(): enabled quoted-printable menu
	  item.
	* src/procmime.c: procmime_get_encoding_for_charset(): return
	  ENC_QUOTED_PRINTABLE for ISO-8859-* and CP125* charset.
	* src/Makefile.am: added $(LIBICONV) to sylpheed_LDADD for libiconv
	  support.

2003-01-14

	* src/folderview.c
	  src/summaryview.c
	  src/utils.[ch]: get_abbrev_newsgroup_name(): improved the way
	  of abbreviation of newsgroup name.

2003-01-14

	* configure.in: show the result of iconv detection.

2003-01-13

	* src/codeconv.[ch]: made the transition from libjconv to iconv().
	  conv_iconv_strdup(): new.
	* src/about.c
	  src/imap.c
	  src/mainwindow.c
	  src/prefs_common.c: replaced HAVE_LIBJCONV to HAVE_ICONV.

2003-01-10

	* src/compose.c
	  src/folderview.c
	  src/prefs_folder_item.c: English fix (property -> properties).
	* src/prefs_filter.c: alert if entry is not saved.
	  prefs_filter_dialog_to_filter(): new.

2003-01-09

	* src/codeconv.c: conv_encode_header(): fixed a bug which output raw
	  strings after linefeed.
	* updated INSTALL.

2003-01-08

	* src/codeconv.[ch]: code cleanup and optimization.
	  conv_code_converter_new()
	  conv_convert(): use functions obtained by conv_get_code_conv_func()
	  when using libjconv.
	  conv_codeset_strdup(): code cleanup.
	  conv_get_code_conv_func(): added an argument for destination
	  character set, and generalized.

2003-01-06

	* src/codeconv.c: LBREAK_IF_REQUIRED(): break line only if some
	  characters follow.
	* src/compose.c: compose_convert_header(): remove trailing spaces.
	* src/customheader.c: custom_header_read_str(): strip the spaces
	  of name and value.
	* src/prefs_customheader.c: prefs_custom_header_clist_set_row():
	  strip the spaces of name and value.

2002-12-25

	* version 0.8.8

2002-12-25

	* src/codeconv.c: conv_encode_header(): fixed a bug which will run
	  into infinite loop when encountering invalid characters.

2002-12-25

	* src/procmsg.[ch]: procmsg_sort_msg_list(): new. It sorts message
	  list.
	* src/summaryview.c: summary_show(): removed summary_sort() because
	  it is done inside folder_item_get_msg_list(). This will improve
	  the performance of summary display.
	  Sorted out the summary sort functions using macros.
	* src/mh.c
	  src/imap.c
	  src/news.c
	  src/folder.[ch]: folder_item_get_msg_list(): return pre-sorted
	  list if FolderItem::sort_key is set.
	  Added SORT_BY_TO to FolderSortKey enum.
	* src/mainwindow.c: added "View/Sort/by recipient".

2002-12-20

	* version 0.8.7

2002-12-20

	* src/codeconv.c: conv_encode_header(): fix for redundant space on
	  line-breaking.
	* src/compose.c: compose_convert_header(): always pass string to
	  conv_encode_header() for line-breaking.

2002-12-20

	* src/textview.c: textview_make_clickable_parts(): fixed incorrect
	  parsing of email addresses.

2002-12-19

	* src/defs.h: added DEFAULT_BROWSER_CMD.
	* src/mimeview.c: mimeview_view_file()
	  src/prefs_common.c: prefs_other_create()
	  src/utils.c: open_uri(): changed the default web browser to
	  mozilla, and changed 'raise' command (which is undocumented)
	  to 'new-window' in 'netscape -remote'.

2002-12-19

	* src/compose.c: compose_send_control_enter(): fixed crash on
	  Ctrl-Enter when Message/Send has no accelerator key (thanks to
	  Sergey Vlasov).

2002-12-18

	* src/mainwindow.c:
	  set_charset_cb()
	  sort_summary_cb()
	  sort_summary_type_cb(): prevent unwanted processing on unchecking
	  menu items.

2002-12-18

	* src/main.c: process command line option before gtk_init() to
	  enable remote operation without X (thanks to Ruslan N. Balkin).
	* src/codeconv.c: conv_encode_header(): fixed a potential buffer
	  overflow.

2002-12-18

	* src/Makefile.am: changed $(target_alias) to $(target_triplet)
	  (the spec of autotools seems to be changed).

2002-12-18

	* src/imap.c: get path separator using LIST command if server
	  doesn't support NAMESPACE (based on the patch by Brian Sammon).
	  imap_parse_list(): added an argument to return path separator.
	  imap_get_namespace_by_list(): new.

2002-12-17

	* src/addr_compl.c: add_address(): removed the debug print.
	* src/gtkutils.[ch]: gtkut_window_popup()
	  src/mainwindow.c: main_window_popup(): applied the patch to fix
	  the behavior of window popup from Sergey Vlasov (thanks!)
	* src/account.c: account_edit_create(): use signal_connect_after
	  for row_move signal to fix the row position bug.
	  account_row_moved(): scroll the CList half page.
	* src/prefs_filter.c: prefs_filter_row_move(): scroll the CList
	  half page.
	* src/summaryview.c: summary_reply(): use selection text only if
	  the displayed message is selected (thanks to Sergey Vlasov).

2002-12-13

	* src/codeconv.c: conv_encode_header(): reimplemented the routine
	  of MIME header encoding. And use Q-encoding method if the current
	  locale is single-byte one.
	* src/utils.[ch]: is_next_nonascii(): take multi-byte string instead
	  of wide-character string. Consider control codes as non-ASCII.
	  get_next_word_len(): new. It returns the length of next word.
	  is_next_mbs(), find_wspace(): removed.
	* src/quoted-printable.[ch]: new.
	  qp_decode_line(): decodes one QP line.
	  qp_decode_q_encoding(): decodes Q-encoded string in MIME header.
	  qp_get_q_encoding_len(): returns the length when a string is
	  Q-encoded.
	  qp_q_encode(): Q-encode a string (RFC 2047).
	* src/unmime.c: moved the functions for quoted-printable to
	  quoted-printable.c.

2002-12-05

	* src/send.c: send_message_local(): escape line that only have one
	  dot character (postfix's sendmail command will stop there).

2002-12-05

	* src/send.c: send_message_local(): don't escape first-dot line
	  (thanks to Sergey Vlasov).

2002-12-03

	* autogen.sh: added 'libtoolize --force --copy' to override the
	  current ltmain.sh.
	* acconfig.h: removed.
	* configure.in: increased minimal version of GPGME to 0.3.10.
	  Fixed checking of XIM.
	* ac/check-type.m4
	  ac/gnupg-check-typedef.m4: added an argument for comment.

2002-11-29

	* src/imageview.[ch]: fixed conflicting declarations of
	  imageview_show_image() (thanks to Thorsten Maerz).

2002-11-28

	* src/compose.c: compose_entry_append(): don't add ", " on subject
	  entry.
	* src/codeconv.c: conv_get_outgoing_charset(): obtain outgoing
	  charset from the table (currently disabled for non-Japanese locales).
	  conv_get_current_locale(): also refer to LC_CTYPE.

2002-11-27

	* README: added a description about hidden settings.

2002-11-27

	* src/prefs_common.[ch]: reorganized the common prefs dialog.
	  Made enable_hscrollbar and bold_unread hidden options.

2002-11-26

	* src/quote_fmt_parse.y: fixed a parse error (thanks to Andreas Hinz).

2002-11-26

	* src/account.[ch]:
	  account_find_from_message_file()
	  account_find_from_msginfo(): new. They find an account from the
	  headers like 'From:', 'X-Sylpheed-Account-Id:', and 'AID:' in the
	  specified message.
	* src/compose.c:
	  compose_reedit(): restore messages' previous account on composition.
	  compose_write_headers(): add 'X-Sylpheed-Account-Id:' header
	  on draft mode.

2002-11-26

	* src/compose.c: cleaned up the code using compose_entry_set()
	  (don't use gtk_entry_set_text() directly).

2002-11-25

	* src/imap.c: imap_parse_namespace(): fixed a memory leak.

2002-11-22

	* updated autotools and libtool to the latest version.
	* configure.in: added AC_PREREQ(2.50).

2002-11-22

	* src/textview.c: textview_set_font(): fix for message display in
	  UTF-8 locales (thanks to Sergey Vlasov).

2002-11-21

	* src/imageview.[ch]: imageview_show_image(): resize images to fit
	  the window size if specified.
	* src/prefs_common.[ch]: added an option 'Resize attached images'.

2002-11-20

	* refactoring for SMTP implementation.
	* src/session.h: added ui_func to Session.
	* src/smtp.[ch]: separated the connection routine from
	  smtp_session_new() to smtp_connect().
	  Changed the argument of every function other than smtp_ok() from
	  SockInfo to SMTPSession.
	  Call UI callback from each functions.
	* src/send.c: send_message_smtp(): separated the code for UI update
	  into send_progress_dialog_update().

2002-11-18

	* src/smtp.[ch]: separated smtp_auth() from smtp_from().
	* src/send.c: send_message_smtp(): call smtp_auth() and display
	  the state to the dialog.

2002-11-18

	* src/filter.c: strmatch_regex(): use extended regex (thanks to
	  Fabien Devaux).
	* src/main.c: main(): removed the code for assortrc -> filterrc
	  transition.
	* src/gtkutils.c: gtkut_font_load(): only use gdk_font_load() if
	  current locale is C or POSIX.
	  gtkut_stext_is_uri_string(): include "www." for URI string.
	* src/textview.c: textview_make_clickable_parts(): include "www."
	  for URI string.

2002-11-15

	* version 0.8.6

2002-11-13

	* src/textview.c: textview_add_part(): indicate signature status
	  using different colors.

2002-11-12

	* src/folder.c: folder_write_list_recursive(): escape
	  To/Cc/Bcc/Reply-To strings.

2002-11-11

	* src/codeconv.c: conv_encode_header(): enabled B-encoding of
	  headers on locales other than Japanese when not using libjconv.

2002-11-11

	* src/inc.[ch]: added INC_IO_ERROR to IncState. Also added its
	  corresponding error message.
	  inc_pop3_session_do(): set INC_IO_ERROR instead of INC_NOSPACE
	  on PS_IOERR.

2002-11-07

	* src/prefs_account.[ch]: removed prefs_account_save_config() since
	  it is not used.
	* src/procmime.[ch]: removed procmime_mimeinfo_free() since
	  procmime_mimeinfo_free_all() can be used in every case.

2002-11-06

	* src/account.c: account_get_special_folder(): support F_INBOX, and
	  made code cleanup.

2002-11-06

	* src/compose.[ch]: ComposeEntryType: changed COMPOSE_* to
	  COMPOSE_ENTRY_*, and added
	  COMPOSE_ENTRY_{REPLY_TO,SUBJECT,FOLLOWUP_TO}.
	  compose_reply()
	  compose_forward()
	  compose_redirect(): added FolderItem to the arguments, and reflect
	  settings in the item.
	  compose_entry_set(): new.
	  compose_entry_append(): code cleanup.
	  compose_entries_set_from_item(): take ComposeMode in its arguments,
	  and enabled FolderItem::use_auto_to_on_reply.
	* src/summaryview.c: summary_reply(): pass folder_item to
	  compose_{reply,forward,redirect}().

2002-11-05

	* src/gtkutils.[ch]:
	  gtkut_font_load(): new. It automatically choose font or fontset
	  by current locale.
	  gtkut_font_load_from_fontset(): new. It tries to load single font
	  instead of fontset from a fontset string.
	* src/alertpanel.c
	  src/folderview.c
	  src/headerview.c
	  src/summaryview.c: workaround for the problem that couldn't display
	  8-bit characters in C or POSIX locale (use font instead of fontset).
	* src/compose.c
	  src/sourcewindow.c
	  src/textview.c: made code cleanup using gtkut_font_load*().

2002-10-29

	* src/mh.c: mh_get_msginfo(): set correct message number.

2002-10-29

	* src/folder.[ch]: added a new virtual method Folder::get_msginfo().
	  It returns a new MsgInfo associated to a message number.
	  folder_item_get_msginfo(): new.
	* src/imap.[ch]: imap_get_msginfo(): new.
	* src/mh.[ch]: mh_get_msginfo(): new.
	* src/news.[ch]: news_get_msginfo(): new.

2002-10-28

	* src/codeconv.c: conv_euctojis(): fixed a bug which will cause
	  infinite loop if an invalid code appeared.

2002-10-25

	* src/codeconv.c: conv_codeset_strdup()
	  src/html.[ch]: html_read_line(): don't output conversion failure
	  warnings.
	  Added HTML_CONV_FAILED to the enum HTMLState.

2002-10-24

	* implemented per-folder auto-set address (still in progress).
	* src/compose.[ch]: compose_new(): added FolderItem to its arguments,
	  and set entries from it (if mailto is empty).
	  compose_entry_append(): activate menu if required.
	  compose_entries_set_from_item(): new.
	* src/folder.[ch]: added auto_to, use_auto_to_on_reply, auto_cc,
	  auto_bcc, and auto_replyto to FolderItem, and renamed apply_sub to
	  ac_apply_sub.
	  folder_build_tree(), folder_read_folder_func(),
	  folder_write_list_recursive(): added the above members.
	* src/prefs_folder_item.[ch]: added auto-set addresses.
	* src/pop.[ch]: removed Pop3State::prev_folder.

2002-10-11

	* src/compose.c: allow dropping files by also "moving" files from a
	  file manager (thanks to Alfons).

2002-10-10

	* compose_reply_set_entry(): made Reply-To have priority over
	  List-Post on ML reply.

2002-10-09

	* src/gtksctree.[ch]: gtk_sctree_set_anchor_row(): new.
	* src/summaryview.c: summary_step(): fixed a bug that lost the
	  correct selection anchor.
	  summary_key_pressed(): use gtk_sctree_select() instead of
	  gtk_ctree_select().
	* src/inc.[ch]
	  src/pop.c
	  src/recv.c: differentiate disk full and socket errors
	  (thanks to Colin Leroy).

2002-10-08

	* src/account.c: account_edit_prefs(): removed unused variables.
	* src/compose.[ch]: separated WITH_QUOTE/WITHOUT_QUOTE flags in
	  ComposeMode.
	  compose_reply()
	  compose_reply_set_entry(): receive reply type with one argument.
	* src/summaryview.c: summary_reply(): reduced conditional branches.

2002-10-08

	* src/compose.c: compose_redirect(), compose_reedit(): strip CR
	  from line ends (thanks to Sergey Vlasov).
	* src/folderview.c: renamed 'Rescan folder tree' to 'Rebuild
	  folder tree'.

2002-10-08

	* src/folder.[ch]: added a virtual method Folder::remove_msgs().
	* src/imap.[ch]: implemented imap_remove_msgs() which expunges
	  messages all at once.

2002-10-07

	* src/account.[ch]: account_open(): new. It opens account prefs
	  dialog and reflects to UI when finished.
	* src/folderview.c:
	  folderview_button_pressed()
	  folderview_property_cb(): open account prefs dialog when the
	  property of the root folder of remote account is requested.

2002-10-07

	* src/account.c: account_destroy(): unref account information in
	  folders.
	* src/folder.[ch]: folder_unref_account_all(): new. It unref the
	  specified account information in all folders.
	* src/folderview.c:
	  folderview_rm_imap_server_cb()
	  folderview_rm_news_server_cb(): destroy Folder first because
	  folder_destroy() refers to account information.

2002-10-04

	* src/account.c: account_find_from_item(): fixed a bug which didn't
	  select the correct account.
	* inc_pop3_session_do():
	  fixed the resource leak when SSL initialization failed.
	  Immediately break from temporary event loop if cancelled.

2002-10-04

	* src/account.[ch]: account_find_from_item(): new.
	* src/compose.c:
	  compose_reply(), compose_forward(), compose_redirect()
	  src/mainwindow.c: compose_cb(): select optimal account when
	  composing.
	* src/folder.[ch]: added FolderItem::apply_sub.
	* src/menu.[ch]: menu_find_option_menu_index(): new. It finds the
	  index of option menu which contains the specified data.
	* src/prefs_folder_item(): added Compose tab, and the setting of
	  folder account.

2002-10-04

	* configure.in: added $LDAP_LIBS for lber library detection.

2002-10-03

	* version 0.8.5

2002-10-03

	* src/procmsg.c: procmsg_msginfo_get_full_info(): fixed a memory
	  leak, and added error checking.

2002-10-03

	* src/compose.[ch]: added a flag Compose::use_newsgroups, and
	  removed Compose::orig_account.
	  compose_check_for_valid_recipient(): check only enabled entries.
	  compose_write_headers()
	  compose_redirect_write_headers(): add Newsgroups header only
	  when the entry is enabled.
	  compose_send(): modified the method of finding a mail account
	  from a news account so that it tries to match the From address.
	* src/send.c: send_message_queue(): enabled the queueing of news
	  messages.
	* src/news.[ch]: news_post_stream(): new.

2002-10-03

	* configure.in: check lber first and use $LDAP_LIBS on the check
	  for ldap.

2002-10-02

	* po/*.po: fixed many typos of format strings which will lead to
	  crash (thanks to Sergey Vlasov).

2002-10-02

	* src/procheader.c: procheader_parse_stream(): added Cc header
	  to the target for full parsing.
	* src/procmsg.[ch]: procmsg_msginfo_get_full_info(): new. It
	  returns the full message information from the given information.
	* src/compose.c: compose_reply(), compose_forward(): get full
	  message information for Cc header.

2002-10-02

	* src/inc.c: inc_account_mail(), inc_all_account_mail(): update
	  IMAP4 and NNTP folder summary after checking those accounts.

2002-10-01

	* version 0.8.4

2002-10-01

	* src/prefs_common.c: prefs_compose_create(): modified the label
	  of the option for Reply button.
	* configure.in: add -lldap and -llber to the 5th argument of
	  AC_CHECK_LIB() for LDAP library detection.

2002-09-30

	* INSTALL
	  INSTALL.jp: updated.

2002-09-30

	* src/mainwindow.c: toggle the behavior of Reply button between
	  normal reply and reply-to-list.
	* src/prefs_common.[ch]: added an option to switch the function
	  of Reply button.

2002-09-27

	* src/compose.c: compose_new(): removed the workaround for XIM
	  because it doesn't have any effect and only seems to cause
	  hangs.

2002-09-26

	* src/compose.[ch]: compose_reply(): added a flag for reply-to-ML.
	  compose_parse_header(): parse also List-Post header.
	  compose_reply_set_entry(): support reply-to-ML (fall back to
	  normal reply if ML address is not found).
	* src/mainwindow.c
	  src/prefs_common.c
	  src/summaryview.c: reorganized Reply menu and added 'Reply to
	  mailing list'.
	* src/utils.[ch]: scan_mailto_url(): new. It scans mailto URL and
	  returns newly allocated parameters.

2002-09-25

	* src/account.c: account_read_config_all(): set account information
	  to default before initializing with configuration file.
	* src/prefs_account.[ch]: prefs_account_new(): new. It returns a
	  newly created account information structure initialized by
	  the default settings.

2002-09-24

	* src/addr_compl.c:
	  replace_address_in_edit(): check if newtext is NULL.
	  completion_window_button_press(): fixed a memory leak.
	* src/pop.c: LOOKUP_NEXT_MSG(): don't expire messages whose
	  recv_time is RECV_TIME_KEEP.
	  pop3_getrange_uidl_recv(): only set get_all flag if
	  ac_prefs->getall is set.
	  pop3_retr_recv(): don't delete messages which are not received
	  by filter, and set recv_time to RECV_TIME_KEEP in the case.
	* src/pop.h: added an enum RecvTime.
	* src/inc.c: inc_drop_message(): unlink temporary message file if
	  not received by filter.

2002-09-20

	* src/mainwindow.c: added 'Edit/Select thread' menu.
	* src/summaryview.[ch]: added 'Select thread' to the context menu.
	  summary_select_thread(): new. It selects all messages of current
	  thread.

2002-09-19

	* src/rfc2015.c: check_signature(): corrected error handling and
	  fixed memory leak.

2002-09-19

	* src/rfc2015.c: check_signature(): correctly remove the last empty
	  line, and canonicalize the file part before verifying (this should
	  fix incompatibility with Evolution or some other MUAs).
	* src/utils.[ch]: copy_file_part(): new. It copies the specified
	  range of file stream to another file.

2002-09-19

	* src/compose.c: compose_write_to_file(): force BASE64 encoding for
	  8-bit text when signing (thanks to Colin Leroy).

2002-09-16

	* src/prefs_common.c: prefs_send_create(): fixed the charset string
	  for Cyrillic (Windows-1251).

2002-09-15

	* version 0.8.3

2002-09-15

	* src/codeconv.c: changed the charset for ru_RU.CP1251 to
	  Windows-1251. Added bg_BG locale.

2002-09-11

	* src/compose.c: account_activated(): change the state of menu items
	  and entries according to the selected account.
	  compose_select_account(): new. It changes the state of title bar,
	  menu items and entries.

2002-09-11

	* src/inc.c: inc_mail(): correct new_msgs when inc_spool() returned
	  by error.
	  Don't refresh summary view on fetching when open_inbox_on_inc is
	  set.

2002-09-10

	* src/summaryview.c: summary_show(): refresh even if open_inbox_on_inc
	  is set (to avoid summary refresh problem).
	* src/imap.c: removed warnings by checking the existence of directory
	  before calling remove*_numbered_files().

2002-09-06

	* src/prefs_common.c: corrected English.

2002-09-06

	* src/prefs_common.[ch]: added an option: "Mark messages as read
	  only when opened in new window".

2002-09-04

	* src/folder.c:
	  folder_tree_destroy()
	  folder_write_list_recursive(): added sanity check.
	* src/imap.c: imap_scan_tree(): if folder->node is NULL and
	  can't get session, create empty folder node (based on the
	  Alfons' suggestion).

2002-09-03

	* src/textview.c: textview_key_pressed(): pass GDK_Delete event to
	  SummaryView.
	* src/summaryview.c: summary_key_pressed(): scroll correct TextView
	  on MIME mode.

2002-09-02

	* src/news.c: news_scan_group(): fixed wrong message number
	  calculation.

2002-08-30

	* major refactoring for POP3.
	* src/inc.[ch]: moved Pop3State, inc_pop3_state_new(),
	  inc_pop3_state_destroy(), inc_get_uidl_table(), and
	  inc_write_uidl_list() into pop.c.
	  Moved Pop3State::folder_table and Pop3State::inc_state into
	  IncSession.
	  inc_start()
	  inc_put_error(): added lockbusy state.
	  inc_pop3_session_do(): obtain inc_state from Pop3State::error_val.
	  inc_cancel(): don't terminate the automaton here but just set
	  the flags to prevent crash.
	* src/pop.[ch]
	  pop3_getauth_pass_recv()
	  pop3_getauth_apop_recv(): check lockbusy state.
	  pop3_retr_recv(): check Pop3State::cancelled flag.
	* src/automaton.[ch]: added 'cancelled' flag to Automaton.
	  automaton_input_cb(): terminate if cancelled flag is true.
	* sylpheed.desktop: changed Type=Internet to Type=Application.
	  Added Categories=Application;Network;.

2002-08-29

	* src/inc.[ch]
	  src/pop.c
	  src/progressdialog.c: show detailed information to the status
	  column.
	  Added cur_total_recv_bytes to Pop3State.
	* src/prefs_common.[ch]: added an option to specify whether to
	  close receive dialog when finished.

2002-08-28

	* src/folder.[ch]: folder_get_path(): new. It returns the root path
	  of Folder.
	* src/imap.c
	  src/news.c
	  imap_folder_destroy()
	  imap_remove_msg()
	  imap_remove_all_msg()
	  news_folder_destroy(): remove cache directories / files when
	  deleting Folder / messages.
	* src/utils.c:
	  file_exist()
	  is_dir_exist()
	  is_file_entry_exist(): check if the argument is NULL.
	  remove_all_files()
	  remove_numbered_files()
	  remove_expired_files(): fixed memory leaks on error.

2002-08-28

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/news.[ch]
	  src/session.[ch]
	  src/smtp.[ch]: made Folder and Session destructor virtual method.

2002-08-27

	* src/compose.c: do joining of normal lines only when auto-wrapping.
	* src/main.c: modified the warning message for GnuPG.
	* src/about.c: about_create(): modified the compiled-in features
	  list.
	* configure.in: improved LDAP library checking (thanks to Alfons).

2002-08-26

	* version 0.8.2

2002-08-26

	* src/compose.c:
	  join_next_line()
	  compose_wrap_line_all(): backed out the change to join lines that
	  are not indented.
	* NEWS
	  TODO
	  TODO.jp: updated.
	* configure.in: require at least gpgme-0.3.5.

2002-08-23

	* src/alertpanel.c: alertpanel_create(): minor modification.
	* modified NEWS.

2002-08-23

	* updated NEWS.

2002-08-23

	* src/alertpanel.c: alertpanel_create(): modified the layout.
	* src/rfc2015.c: check_signature(): don't abort on error.

2002-08-22

	* src/compose.c: compose_wrap_line_all(): freeze widget only if
	  required to repress flickers.

2002-08-21

	* src/compose.c: improved line wrapping.
	  join_next_line()
	  compose_wrap_line_all(): also join lines that are not indented.
	  dump_text(): handle multi-byte strings correctly.

2002-08-21

	* src/compose.c: compose_wrap_line_all(): fix for auto-wrapping
	  (go to next line when space is entered at line limit).

2002-08-19

	* src/inc.c: inc_get_uidl_table(): fixed a memory leak reported by
	  Martin Kluge.

2002-08-16

	* src/mh.c: mh_scan_tree_recursive(): disabled Maildir folder
	  checking to prevent confusion.

2002-08-16

	* src/folder.[ch]: folder_item_get_msg_list(): added a wrapper for
	  method Folder::get_msg_list().
	* src/account.c: account_edit_prefs(), account_delete(): use
	  folderview_set_all() instead of folderview_rescan_all().
	* src/folderview.[ch]:
	  folderview_check_new_all(): new. Updates all folders.
	  folderview_rescan_tree(): confirm before executing.
	  folderview_rescan_all(): commented out since it's not used anymore.
	  folderview_update_item_foreach(): added a flag for summary update.
	* src/inc.c: inc_finished(): update summary only when
	  prefs_common.scan_all_after_inc is set.
	  inc_drop_message(): set mtime of target folder to 0 to force
	  the updating of summary.
	  inc_start(), get_spool(): update also summary when updating
	  folder view.
	* src/mainwindow.c: changed 'File - Rescan folder tree' to
	  'File - Check for new messages in all folders'.

2002-08-09

	* src/compose.c: compose_write_to_file(): clearsign message body
	  if specified.
	  compose_clearsign_text(): new. Replaces the string with clearsigned
	  one.
	* src/prefs_account.c: added an option for clearsign.
	* src/rfc2015.c: rfc2015_clearsign(): new.
	  pgp_sign(): added a flag for clearsign.
	* src/utils.[ch]: get_tmp_file(): return newly allocated unique file
	  name (needs to be freed by caller).
	  str_write_to_file(), file_read_to_str(): new.

2002-08-08

	* src/procmsg.c: procmsg_read_mark_file(): check key duplication
	  to avoid memory leak.

2002-08-08

	* src/base64.c: include string.h for memcpy().
	* src/gtksctree.c: use macro ABS() instead of function abs().
	* src/prefs_account.c
	  src/prefs_common.c: renamed 'send' to 'p_send' so as not to
	  conflict with the function send() in sys/socket.h.
	* src/mainwindow.c: commented out the unnecessary functions.
	* src/utils.c: canonicalize_file_replace(): correct warning message.

2002-08-08

	* src/utils.[ch]: get_tmp_file(): new. Returns the directory for
	  temporary files in ~/.sylpheed/.
	* src/main.c: create temporary directory in ~/.sylpheed/.
	* src/compose.c
	  src/inc.c: create temporary files in ~/.sylpheed/, and modified
	  the file name.
	  compose_exec_ext_editor(): fixed a bug that failed to create the
	  temporary file if g_get_tmp_dir() returned directory other than
	  '/tmp'.

2002-08-08

	* src/utils.c: copy_file(): check if dest_bak != NULL when unlinking.

2002-08-08

	* src/utils.[ch]: canonicalize_file_replace(): fixed a bug that fails
	  to replace the file when the given file and temporary file are not
	  on the same filesystem.
	  copy_file(): added a flag whether to keep backup.
	  move_file(): added a flag whether to overwrite the destination file.

2002-08-07

	* src/socket.[ch]: fixed the linking failure when IPv6 is enabled.
	* src/select-keys.c: modified key selection dialog.

2002-08-07

	* src/socket.[ch]: my_gethostbyname(): new.
	* src/utils.c: get_domain_name(): return FQDN instead of short
	  hostname (thanks to Bob Woodside).
	* src/template.c: made the debug messages less verbose.

2002-08-06

	* src/prefs_common.[ch]: removed obsolete default sign key setting.
	* src/utils.c: canonicalize_file(): correct the error check of
	  fwrite().

2002-08-06

	* src/compose.c: compose_write_to_file():
	  canonicalize line endings before encrypting/signing (this will fix
	  interoperability with other MUAs).
	  Removed unnecessary strdup.
	  Don't encrypt/sign draft message.
	* src/utils.[ch]:
	  canonicalize_file(), canonicalize_file_replace(): new.
	* src/passphrase.c
	  src/select-keys.c: changed g_message() to debug_print() and
	  g_warning().
	* src/mimeview.c: mimeview_check_signature(): removed unnecessary
	  MIME structure scanning.
	* src/textview.c: textview_add_part(): show signature status in
	  TextView.
	* src/rfc2015.c
	  src/sigstatus.c: modified translatable strings and some MIME
	  headers.

2002-08-06

	* src/procmsg.c: procmsg_save_to_outbox(): don't forget to remove
	  the temporary file when saving from queue.
2002-08-05

	* src/compose.c
	  src/passphrase.[ch]
	  src/rfc2015.[ch]
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]: merged GnuPG stuff from the claws branch.
	  Modified some messages.

2002-08-05

	* src/textview.c: textview_scan_header(): fixed a memory leak
	  (thanks to Alfons).

2002-08-04

	* src/prefs_actions.c: execute_actions(): put create_io_dialog()
	  in right conditional block.

2002-08-01

	* src/compose.c: compose_wrap_line_all(): fixed character buffer
	  initialization.
	* src/utils.c:
	  log_print()
	  log_message()
	  log_warning()
	  log_error(): add time stamp to log messages.

2002-07-31

	* src/socket.c:
	  corrected a typo (HAVE_SYS_SELECT -> HAVE_SYS_SELECT_H)

2002-07-31

	* src/socket.c: implemented socket I/O timeout.
	  fd_recv(): new.
	* src/pop.c: check errors and return error value correctly.

2002-07-31

	* src/prefs_actions.c: made the action's input/output dialog display
	  without delay. Made the dialog modal instead of making window
	  insensitive. Also cleaned up its UI.

2002-07-29

	* implemented --attach command line option.
	* src/main.c:
	  Cmd::attach_files: new member to store file paths.
	  parse_cmd_opt(): added --attach option. --compose option is implied.
	  prohibit_duplicate_launch()
	  lock_socket_input_cb(): added "compose_attach" message.
	* src/compose.c
	  src/mainwindow.c
	  src/textview.c: renamed compose_new_with_recipient() to
	  compose_new(), and added an argument for attachment files.

2002-07-29

	* src/logwindow.c: freeze GtkText widget while hidden.
	  log_window_append(): changed the header for message and warning.

2002-07-26

	* src/news.c: implement automatic cache expiration.
	  news_delete_expired_caches(): new.
	  news_get_article_list(): fixed a bug that nonexistent messages
	  were not removed from list.
	* src/procmsg.[ch]: procmsg_get_last_num_in_msg_list(): renamed
	  procmsg_get_last_num_in_cache().
	* src/utils.[ch]: remove_expired_files(): new.

2002-07-26

	* src/inc.c:
	  inc_mail(): force summary refresh when using external command for
	  incorporation.
	  inc_all_account_mail(): fixed a bug on spool checking failure.

2002-07-25

	* version 0.8.1

2002-07-24

	* src/addressbook.c
	  src/editaddress.c
	  src/editgroup.c
	  src/editldap_basedn.c
	  src/importldif.c
	  src/prefs_common.c: fixed memory leaks which didn't free strings
	  gtk_editable_get_chars() returned. And minor code cleanups.
	* src/importldif.h
	  src/vcard.h: removed C++-style comments.

2002-07-23

	* src/codeconv.c: conv_encode_header(): fixed a problem in encoding
	  strings which include both multi-byte and us-ascii characters.

2002-07-23

	* src/utils.c: remove_numbered_files(): don't try to unlink()
	  directories.
	* src/codeconv.c:
	  conv_get_code_conv_func(): return conv_anytodisp() if charset is
	  not specified.
	  conv_unmime_header_overwrite()
	  conv_unmime_header(): do conv_anytodisp() before decoding header.

2002-07-14

	* version 0.8.0

2002-07-14

	* src/compose.c: added 'Tools/Actions' menu.

2002-07-12

	* src/base64.c: a minor fix for BASE64VAL() macro.

2002-07-11

	* src/base64.c: base64_decode(): fixed a buffer overrun bug.

2002-07-11

	* src/codeconv.c
	  src/compose.c
	  src/smtp.c
	  src/unmime.c
	  src/base64.[ch]: rewrote the BASE64 encode / decode routines.
	  base64_encode(), base64_decode(): new.
	* src/rfc822.[ch]: removed.
	* COPYING
	  src/about.c: removed the copyright notice for fetchmail.

2002-07-10

	* src/codeconv.c
	  src/procmime.c
	  src/unmime.[ch]: rewrote the MIME decode routines.
	  unmime_header()
	  unmime_quoted_printable_line(): new.
	* src/procheader.c:
	  procheader_get_one_field()
	  procheader_get_unfolded_line(): remove also CR.

2002-07-08

	* libkcc: removed from the source tree.
	* COPYING
	  src/about.c: removed the copyright notice for libkcc.
	* src/codeconv.c: conv_guess_encoding(): check for ASCII code first
	  for speedup.
	* src/prefs_actions.c: removed unnecessary spaces/tabs.

2002-07-05

	* src/prefs_actions.c: comply with the coding style.
	  Modified the UI design.
	* src/mainwindow.c: main_window_set_menu_sensitive(): enable Actions
	  menu when multiple messages are selected.

2002-07-05

	* src/prefs_actions.[ch]: merged the 'Actions' feature from claws.
	  update_actions_menu(): simplified the menu deletion.
	* src/mainwindow.c: added 'Actions' menu to Tools and Configuration.

2002-07-04

	* src/codeconv.[ch]: implemented conv_jistoeuc(), conv_euctojis(),
	  conv_sjistoeuc(), and conv_guess_encoding(). Removed the dependency
	  to libkcc.

2002-07-04

	* configure.in: added check for strchr.

2002-07-02

	* src/prefs_common.[ch]
	  src/inc.c: added an option to inhibit receive error dialog.

2002-07-01

	* src/account.c: account_find_from_address(): support multiple
	  addresses in header.

2002-06-28

	* src/gtksctree.[ch]: changed GtkSCTree::anchor_row from gint to
	  GtkCTreeNode* so that it won't become invalid after the row move.
	  Removed dependency to gtkutils.c.
	* src/prefs_common.[ch]
	  src/summaryview.c: summary_selected(): added an option to show
	  message when cursor keys are pressed on summary view.

2002-06-28

	* configure.in
	  src/Makefile.am
	  src/compose.c: changed "host_alias" to "target_alias" so that it
	  shows the correct system name on cross-compiling (thanks to
	  Patrice Mandin).

2002-06-27

	* src/prefs_account.[ch]: added the option menu to force an
	  authentication method for SMTP AUTH.
	* src/send.c
	  src/smtp.[ch]: smtp_from(), smtp_auth(): added an argument to
	  specify the authentication method for SMTP AUTH.
	  smtp_ehlo(): allow AUTH responses that don't comply with the RFC.

2002-06-25

	* src/prefs_common.[ch]
	  src/compose.c: enabled "Wrap on input".

2002-06-25

	* src/summaryview.[ch]
	  src/mainwindow.c: added "Go to/{Prev,Next} new message" menu.
	  Made some code cleanups.

2002-06-20

	* src/folderview.c
	  src/prefs_common.[ch]: added the hidden option to specify the
	  policy of the vertical scrollbar on folder view.

2002-06-19

	* src/messageview.[ch]:
	  messageview_copy_clipboard(): fixed a bug that couldn't copy text
	  on MIME mode.
	  messageview_get_current_textview(): new.
	  messageview_get_text_widget(): removed.
	* src/quote_fmt_parse.y: quote message even if msginfo is empty.
	* src/compose.[ch]: implemented the "Paste as quotation" feature.
	  text_inserted(): new callback for "insert_text" signal.
	  Add quote mark to the pasted text if Compose::paste_as_quotation
	  is TRUE.

2002-06-19

	* src/compose.c: if the Content-Type of a file is text/*, check
	  its content and set the optimal Content-Transfer-Encoding (thanks
	  to Yoichi Yuasa).

2002-06-18

	* src/textview.c: textview_key_pressed(): pass key press event to
	  main window to activate menu shortcuts (thanks to Alfons).

2002-06-18

	* src/folder.c: folder_build_tree(): use strtoul() instead of atoi()
	  for mtime to prevent flooring.
	* src/imap.c:
	  imap_move_msg()
	  imap_move_msgs_with_dest()
	  imap_copy_msgs_with_dest(): fixed a bug that prevented multiple
	  message copy/move.
	  imap_parse_envelope()
	  imap_cmd_envelope(): use RFC822.HEADER instead of ENVELOPE to get
	  full information of messages and simplify the parser. Also fixed
	  the bug that References header was ignored on threading.
	  imap_parse_one_address()
	  imap_parse_address(): removed.
	  imap_get_header(): new. It reads the RFC822 header and returns
	  a newly allocated string.
	* src/procheader.[ch]: changed procheader_parse() to
	  procheader_parse_stream() and added different interfaces for it.

2002-06-17

	* po/zh_TW.Big5.po: fixed a mistake that caused a crash.

2002-06-15

	* version 0.7.8

2002-06-13

	* src/inc.c: inc_get_uidl_table(): fixed a bug that garbage time
	  could be inserted into the hash table.
	  inc_write_uidl_list(): a minor code cleanup.
	* src/mainwindow.c: main_window_get_current_state():
	  make the state unexecutable on an empty folder.
	* src/summaryview.c: summary_sort(): don't sort on an empty folder.
	* src/pop.c: minor code cleanups.

2002-06-12

	* src/prefs_account.c: CREATE_RADIO_BUTTONS(): fixed a typo and
	  corrected the behavior of the radio buttons.

2002-06-11

	* implemented 'Delete messages after N days' feature for POP3.
	* src/inc.[ch]:
	  inc_get_uidl_table()
	  inc_write_uidl_list(): moved the location of UIDL list file from
	  RC_DIR/uidl-* to RC_DIR/uidl/*.
	  Added received time for each UIDLs.
	  src/main.c: main(): create RC_DIR/uidl/ directory.
	  src/pop.[ch]: LOOKUP_NEXT_MSG(): delete expired messages here.
	  Added recv_time to Pop3MsgInfo.
	  src/prefs_account.[ch]: added an option for the number of days for
	  leaving messages.

2002-06-09

	* version 0.7.7

2002-06-07

	* src/folder.c: folder_set_missing_folders(): fixed a bug that
	  caused multiplication of special folders on startup if their
	  types were changed.
	* src/folderview.c: folderview_remove_mailbox_cb(): modified the
	  label.

2002-06-04

	* src/compose.c: compose_reply(), compose_forward(): reverted the
	  last change since it causes lockup problem.

2002-06-04

	* src/compose.c: compose_reply(), compose_forward(): don't autowrap
	  the signature part.
	  compose_new_with_recipient(): workaround for initial XIM problem.

2002-06-04

	* src/mainwindow.c: sort ascending / descending order can be
	  specified with separated menu items.
	  Added "View/Sort/Don't sort" menu item.
	* src/summaryview.[ch]: summary_sort(): added an argument for
	  sort type.

2002-05-31

	* implemented persistent sort order.
	* src/folder.[ch]:
	  folder_build_tree(): read 'sort_key' and 'sort_type' attributes.
	  folder_write_list_recursive(): write sorting state.
	  src/mainwindow.c
	  src/summaryview.[ch]: summary_show(): sort if required.
	  select the top node on descending sort.
	  Removed SummarySortType and sorting state variables from
	  SummaryView.

2002-05-30

	* src/account.c
	  src/news.[ch]
	  src/nntp.[ch]
	  src/prefs_account.[ch]: enabled NNTP over SSL.
	* src/nntp.c: nntp_group(): issue MODE READER command and retry
	  when GROUP command once failed (this seems to avoid problems on
	  some broken news servers).

2002-05-30

	* faq/it/*.html: corrected DOS linebreaks.
	* faq/*/*.html: changed ">" to &quot;.

2002-05-29

	* src/prefs_account.c: prefs_account_protocol_activated(): hide
	  unnecessary frames in SSL tab.

2002-05-29

	* src/pop.[ch]
	  src/inc.c
	  src/prefs_account.[ch]: enabled STLS command in POP3.
	* src/account.c: account_clist_set_row(): display TLS setting.

2002-05-28

	* src/compose.c: compose_send_later_cb(): support redirect function.
	* src/imap.[ch]
	  src/ssl.h
	  src/prefs_account.[ch]: enabled STARTTLS command in IMAP4.
	* src/send.c
	  src/smtp.[ch]: use SSLType instead of SSLSMTPType.

2002-05-28

	* src/utils.[ch]: make_dir(): wrapper for mkdir() and chmod().
	* src/compose.c: compose_create(): removed unrequired lines.

2002-05-27

	* src/news.c: news_scan_group(): fixed a bug that set the wrong
	  values in some cases.
	* src/prefs_account.c: corrected English in Advanced - Folder
	  settings.

2002-05-23

	* src/textview.c: textview_show_message(), textview_show_part():
	  fixed a bug that GtkSText *text pointed the incorrect object.
	  textview_add_part(): freeze GtkSText while adding RFC822 headers.
	  textview_show_part(): fixed a bug that couldn't display single
	  part MIME message as text.

2002-05-22

	* src/compose.c: compose_redirect_write_to_file(): correct the target
	  for change_file_mode_rw(). Check if fclose() succeeded. Unlink
	  incomplete file when an error occured.

2002-05-22

	* src/compose.c:
	  compose_create(): disable menus for draft on redirection mode.
	  compose_redirect_write_to_file(): correct the error handling of
	  fwrite().
	* src/prefs_common.c: turned off the "Display recipient on `From'
	  column if sender is yourself" option by default.

2002-05-21

	* src/compose.[ch]: implemented 'Redirect' (aka Bounce) feature.
	  Based on the implementation of the claws branch.
	  compose_redirect(): create a new window and make it uneditable.
	  compose_redirect_write_to_file(): copy headers and body of
	  original message except for some.
	  compose_redirect_write_headers(): add extra "Resent-*" headers.
	  compose_create(): set menu sensitivity for redirection mode.

2002-05-20

	* src/codeconv.c: conv_encode_header(): fixed a bug that unnecessary
	  space is inserted between encoded string and the following folded
	  one (thanks to Masahiro Tomita).

2002-05-19

	* src/mainwindow.[ch]: some refactoring has been made.
	  main_window_toggle_message_view(): moved summary_toggle_view_real()
	  here.
	* src/messageview.[ch]: messageview_is_visible(): new.
	* src/summary_search.c
	  src/summaryview.[ch]: SummaryView::msg_is_toggled_on: removed.
	  Instead use messageview_is_visible().

2002-05-17

	* src/mainwindow.c: added 'Expand/Collapse all threads' menu.
	* src/summaryview.[ch]:
	  summary_expand_threads(), summary_collapse_threads(): new.

2002-05-17

	* src/mainwindow.c: Fixed the behavior of
	  '/View/Show or hide/Folder tree' and
	  '/View/Show or hide/Message view' toggle menu.
	  Removed '/View/Toggle summary view' menu and integrated the
	  function into '/View/Show or hide/Message view'.
	  main_window_set_widgets(): change the state of toggle menu items.
	* src/prefs_common.c: prefs_keybind_apply_clicked(): updated menurc
	  strings.

2002-05-16

	* src/mimeview.c: mimeview_set_multipart_tree(): show single part
	  MIME contents other than text as children of message/rfc822 part.
	* src/procmime.c:
	  procmime_mimeinfo_next(): modified for message/rfc822 part which
	  content-type is single part MIME.
	  procmime_scan_multipart_message(): fix for nested message/rfc822
	  part. Corrected the size of the contents of message/rfc822.
	* src/textview.c: textview_show_part(): extract the contents of
	  multipart/* and message/rfc822. Some code cleanups.
	  textview_add_parts(): new. It adds the all parts under a part to
	  textview.
	  textview_clear(): reset body_pos and cur_pos.

2002-05-16

	* src/addr_compl.c: modified so that it behaves better.
	  get_address_from_edit(): ignore comma inside of brackets.
	  completion_window_apply_selection(): new. Only apply the current
	  clist selection.
	  completion_window_accept_selection(): removed.
	  address_completion_complete_address_in_entry(): minor code cleanup.
	  don't replace address in entry here.
	  completion_window_select_row(): always apply clist selection to
	  entry.
	  completion_window_key_press(): don't apply selection here.

2002-05-15

	* src/imap.c: imap_create_folder(): keep trailing directory separator
	  to create a folder that contains sub folder.

2002-05-14

	* src/foldersel.c: sort tree with case insensitive.
	* src/mainwindow.c: allsel_cb()
	  src/messageview.c: messageview_select_all(): fixed 'Select all'
	  on MIME view.
	* src/mainwindow.c: removed common and account prefs button from
	  the toolbar.

2002-05-13

	* src/compose.c: compose_account_option_menu_create(): check if
	  ac->name is NULL.

2002-05-12

	* version 0.7.6

2002-05-12

	* manual/ja/*: updated the Japanese manual (thanks to Yoichi Imai).
	  manual/en/*: updated the English manual.
	* faq/de/*
	  faq/it/*: added German and Italian FAQ.
	* faq/en/*
	  faq/es/*
	  faq/fr/*: updated FAQs.
	* src/manual.[ch]
	  src/mainwindow.c: added German and Italian language.

2002-05-11

	* src/prefs_account.c: turn off "receive at get all" option by default
	  when creating an IMAP or News account.

2002-05-11

	* src/imap.c: imap_scan_tree(): don't use namespace for prefix.
	* src/prefs_folder_item.c: show also identifier path.
	  Made layout using table. Show uneditable entry using background
	  color of window.
	* src/procmime.c: procmime_get_tmp_file_name(): generate safe
	  file name.

2002-05-11

	* src/automaton.[ch]: added UI callback to Automaton.
	* src/inc.c
	  src/pop.c: use callback instead of calling inc_progress_update()
	  directly.
	  pop3_getrange_uidl_recv(): don't fall back to LAST when 'get all'
	  option is set.

2002-05-10

	* src/folderview.c: properly sort abbreviated newsgroups.

2002-05-10

	* src/folderview.c
	  src/prefs_common.[ch]
	  src/summaryview.c: added an option to specify the minimum length
	  for abbreviated newsgroups name.

2002-05-09

	* src/folderview.c: folderview_check_new(): skip unselectable folders.
	* src/summaryview.c: added 'Create filter rule' to the context menu.
	* src/imap.c: some code cleanups.
	  imap_scan_tree_recursive(): get path separator for each calls.
	  imap_get_path_separator(): new.

2002-05-08

	* src/imap.[ch]: supported namespace for others/shared folders
	  (in progress).
	  imap_parse_namespace(): parse also others/shared namespace.
	  imap_find_namespace(): search also others/shared namespace.
	* src/utils.[ch]:
	  strchr_parenthesis_close(): return pointer to closing parenthesis.
	  strsplit_parenthesis(): split parenthetic list into array of
	  strings.

2002-05-08

	* src/procheader.c: procheader_date_parse(): fixed a bug that didn't
	  parse date string like "Mon,6 May 2002 20:31:12 +0800".
	  procheader_scan_date_string(): new. Separated string scanning
	  part from procheader_date_parse().

2002-05-07

	* src/summary_search.c: summary_search_execute(): unlock while
	  selecting summary row (thanks to Martin Schaaf).
	* src/summaryview.c: summary_set_column_titles(): reversed the
	  direction of the arrow so that it matches with Win/Mac style.

2002-05-02

	* src/compose.c: compose_write_headers(): quote self address name
	  if required. Some code cleanups. Don't override Newsgroups and
	  Cc with custom headers.
	* src/imap.c: imap_add_msg(): return UID for appended message.
	* src/compose.c: compose_queue(): check if queue folder exists.
	* src/imap.c: QUOTE_IF_REQUIRED(): quote also other IMAP special
	  characters.
	  imap_open(): removed an unrequired argument.

2002-04-25

	* src/utils.[ch]: trim_string(): new. It trim characters longer than
	  the specified length and adds "...".
	* src/folderview.c: trim folder name when displaying dialog.

2002-04-23

	* src/imap.c: imap_create_folder(): don't add prefix for root INBOX
	  folder.
	* src/folderview.c: folderview_select()
	  src/summary_search.c: summary_search_execute(): lock summary view
	  while searching (thanks to Martin Schaaf).

2002-04-21

	* version 0.7.5

2002-04-21

	* sylpheed*.png: added new app icons by WAKAI Kazunao (thanks!).

2002-04-21

	* src/summaryview.c: summary_show(): fixed a bug that didn't process
	  the left marks.
	* src/account.c: account_edit_prefs(): fixed a crash bug when account
	  name was empty.
	* src/prefs_account.c: prefs_account_apply(): display error dialog
	  if account name is empty.
	* src/imap.c: changed some log_print() to debug_print() to reduce
	  the amount of log.

2002-04-21

	* src/mh.c: mh_get_new_msg_filename(): new. It returns the filename
	  for new message.
	  mh_add_msg()
	  mh_do_move()
	  mh_do_move_msgs_with_dest()
	  mh_copy_msg()
	  mh_copy_msgs_with_dest(): use mh_get_new_msg_filename().
	* src/utils.[ch]: added is_file_entry_exist() which returns TRUE
	  if stat() succeeded.
	* src/imap.c:
	  imap_fetch_msg(): SELECT mailbox before FETCH if required.
	  imap_scan_folder(): set last_num using the value of UIDNEXT.
	  imap_select(): return immediately if there is no need for SELECT.
	  preserve the path of currently selected mailbox.
	  imap_status(): added UIDNEXT.

2002-04-20

	* src/folder.c: folder_item_scan(): removed the warning.
	* src/inputdialog.[ch]: input_dialog_combo(): added an argument for
	  setting case sensitivity.

2002-04-17

	* src/mainwindow.c: main_window_create(): restrict the minimum size.

2002-04-17

	* src/compose.c: merged the new line-wrapping routine.
	  join_next_line(): fixed a bug that didn't join multibyte
	  characters.
	  get_indent_length(): modified enums and variable names.
	  INDENT_CHARS: don't indent ':'.
	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): support folder identifier.
	  folderview_rm_imap_folder_cb(): integrated with
	  folderview_delete_folder_cb().

2002-04-15

	* src/folder.[ch]: folder_item_scan(): return -1 if scanning failed.
	* src/folderview.c: folderview_check_new(): abort checking if
	  folder_item_scan() failed.

2002-04-15

	* src/imap.c: imap_create_missing_folders(): create only INBOX and
	  Trash.
	* src/prefs_folder_item.c: prefs_folder_item_set_dialog(): made the
	  type of news folders unchangeable.
	  prefs_folder_item_destroy(): use prefs_dialog_destroy().
	* src/prefs.[ch]: prefs_dialog_destroy(): new.

2002-04-15

	* src/prefs_account.[ch]: added special folder setting to Advanced
	  tab. Also moved "IMAP server directory" setting to there.
	* src/account.[ch]: account_get_special_folder(): new. It returns
	  the optimal special folder for accounts.
	* src/compose.c: use account_get_special_folder().
	* src/prefs_folder_item.[ch]: new. Implemented folder property
	  dialog, and the special folder settings (most of the functions in
	  claws are not integrated yet, and the structure is slightly
	  modified).
	* src/folderview.c: enabled Property menu.

2002-04-14

	* src/textview.c: IS_RFC822_CHAR(): make email parser also stop
	  scanning when encountering separators ',' and ';'.

2002-04-12

	* src/mainwindow.c: reorderd the menu a bit.
	* src/compose.c: made 'Ctrl-Enter' ignore some modifiers.
	  compose_reply_set_entry(): made 'Reply to sender' work for
	  newsgroups.

2002-04-11

	* src/compose.c: compose_create(): set geometry hints to restrict
	  the maximum size of window.
	* src/imap.c: imap_parse_list(): don't mark INBOX as \Noselect.
	  imap_get_uncached_messages()
	  imap_cmd_fetch(): ignore responses which don't include FETCH.

2002-04-11

	* COPYING: re-licensed (removal of "NO-VIRUS CLAUSE" and addition of
	  the clause for OpenSSL).

2002-04-09

	* src/prefs_account.c
	  src/smtp.[ch]: fixed a bug that didn't complie with OpenSSL enabled.

2002-04-09

	* src/smtp.[ch]
	  src/send.c
	  src/session.[ch]: first reorganization of SMTP protocol handling.
	  SMTPSession: new class which is a sub class of Session.
	  smtp_session_new(): moved send_smtp_open() into this function.
	  smtp_from(): moved SMTP AUTH calls into smtp_auth().
	  smtp_auth(): use server response for SMTP AUTH method.
	  smtp_ehlo(): read server response and set auth type flags.
	  smtp_helo(): separated EHLO command.
	  smtp_ok(): return the last server response if the buffer is
	  specified.
	* src/esmtp.[ch]: merged into smtp.[ch].
	* src/imap.c: imap_session_destroy_all(): use session_destroy().

2002-04-08

	* src/imap.c: imap_open(): show warning message if IMAP4 session
	  can't be established.

2002-04-06

	* src/compose.c: made template able to be inserted into the current
	  cursor position.
	* src/mainwindow.c: moved some menu items under the submenu
	  '/View/Show or hide'.

2002-04-05

	* src/filter.c
	  src/inc.c: changed folder_find_item_from_path() to
	  folder_find_item_from_identifier().
	  src/prefs_account.c
	  src/prefs_filter.c: use folder_item_get_identifier() to specify
	  folder path.

2002-04-05

	* src/folder.[ch]: implemented "folder identifier" (and fixed a bug
	  existed in claws' implementation).
	  folder_find_from_name(): find Folder from name and type.
	  folder_get_identifier(): return Folder id.
	  folder_item_get_identifier(): return FolderItem id.
	  folder_find_item_from_identifier(): find FolderItem from id.
	  folder_get_type_string(): return folder type string.
	  folder_get_type_from_string(): return FolderType from string
	  (and fixed the wrong g_strcasecmp() usage).
	* src/export.c
	  src/import.c: use folder_item_get_identifier() and
	  folder_find_item_from_identifier().

2002-04-03

	* src/imap.c: imap_parse_atom(): fixed a bug that cur_pos didn't
	  point the correct address after reading the continuous line.
	  imap_scan_folder(): set new number to 0 if unseen number is 0.
	  imap_parse_flags(): don't add new and unread flag if \Seen flag
	  exists.
	* ac/Makefile.am: removed gpgme.m4 from MACROS.

2002-04-02

	* fixed the old problem that couldn't add flags to currently opened
	  folders.
	* src/compose.c:
	  compose_send(): update outbox after saving.
	  compose_queue()
	  compose_draft_cb(): use procmsg_add_flags().
	* src/folder.[ch]: added "opened" flag and "mark_queue" list to
	  FolderItem.
	* src/main.c: send_queue(): send from all queue folders.
	* src/mainwindow.c: send_queue_cb(): send from all queue folders.
	* src/procmsg.[ch]:
	  procmsg_flush_mark_queue(): new. Write all queued flags into file.
	  procmsg_add_flags(): new. Add specified flags to the folder.
	  procmsg_send_queue(): added an argument to specify queue folder.
	  procmsg_save_to_outbox(): use procmsg_add_flags().
	* src/summaryview.c:
	  summary_show(): up the opened flag of FolderItem.
	  summary_clear_list(): down the opened flag of FolderItem.
	  summary_write_cache(): call procmsg_flush_mark_queue().

2002-04-01

	* src/summaryview.[ch]: trim the tail of folder name and selected
	  number on the status label if the space is not enough.

2002-04-01

	* src/imap.c: imap_create_special_folder(): fixed a bug that didn't
	  set SpecialFolderItemType when creating special folders under
	  INBOX.
	* ac/gpgme.m4: removed.
	* ac/README: added.
	* ac/missing/gdk-pixbuf.m4
	  ac/missing/gettext.m4
	  ac/missing/gpgme.m4
	  ac/missing/imlib.m4: added for convenience.

2002-03-29

	* src/esmtp.c: esmtp_auth(): fixed a bug that some garbages are
	  shown after the decoded challenge string. Fixed a memory leak.
	  Removed strtok().
	* src/compose.c: compose_draft_cb(): mark draft messages as read.
	* src/folderview.c: folderview_update_node(): disable emphasis
	  for Outbox and Draft folders.

2002-03-28

	* src/messageview.c: messageview_show(): fixed a memory leak.
	* src/summaryview.c: summary_save_as(): show error dialog if copy
	  failed.
	* src/about.c: about_show(): make the window active if it is already
	  open.

2002-03-27

	* src/compose.c: show confirmation dialog before sending if Subject
	  is empty.
	  compose_check_entries(): new.
	  compose_send()
	  compose_send_later_cb(): use compose_check_entries().
	* src/imap.c: imap_parse_atom(): more fix for parsing responses.

2002-03-26

	* src/imap.c: imap_parse_atom(): fixed a bug that didn't parse the
	  responses with continuous line correctly, and fixed a memory leak.

2002-03-26

	* src/undo.c: undo_insert_text_cb(): fixed a crash bug if the text
	  length is large.
	* src/gtkstext.c: gtk_stext_button_press(): cancel current selection
	  after pasting with middle button to prevent the selection growth.

2002-03-25

	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): modify filter rules only if the
	  target folder is in the default mailbox.
	* src/utils.c: get_abbrev_newsgroup_name(): removed a redundant
	  line.

2002-03-23

	* src/compose.c
	  src/mainwindow.c
	  src/prefs_common.c: changed 'Tool' menu to 'Tools'.
	  Moved 'Delete duplicated messages' under 'Tools'.

2002-03-23

	* src/folderview.c: SET_SPECIAL_FOLDER(): keep the same parent
	  when moving.
	* src/imap.c: imap_create_special_folder(): fixed a crash bug
	  when folder creation failed, and re-try to create folders under
	  INBOX.
	  imap_scan_tree_recursive(): don't automatically add namespace
	  prefix if it's INBOX. Search also under the INBOX for special
	  folders.
	* src/foldersel.c: SET_SPECIAL_FOLDER(): keep the same parent
	  when moving.

2002-03-23

	* src/utils.[ch]: get_abbrev_newsgroup_name(): new. It returns the
	  abbreviated newsgroup name.
	* src/folderview.c: folderview_update_node(): display newsgroups
	  with abbreviated name if name and path is the same.
	* src/summaryview.c: summary_status_show(): show the newsgroup with
	  abbreviated name.

2002-03-23

	* src/foldersel.c
	  src/folderview.c: changed the label 'Draft' to 'Drafts'.
	* src/imap.c: changed the directory name 'Draft' to 'Drafts'.
	  imap_create_missing_folders(): fixed the wrong assignment of
	  Queue folder to draft.

2002-03-22

	* enabled Sent / Draft / Queue folders on IMAP server.
	* src/compose.c: compose_queue(), compose_draft_cb(): use account's
	  queue and draft folder if they exist.
	  src/imap.[ch]:
	  imap_create_trash(): removed.
	  imap_create_special_folder(): new. Generalized imap_create_trash().
	  imap_create_missing_folders(): automatically create missing folders.
	  imap_is_msg_changed(): added the dummy method.
	  imap_scan_tree_recursive(): search also Sent, Draft and Queue
	  folders. Minor code cleanups.
	  imap_parse_envelope(): check for null strings.
	  src/procmsg.c: procmsg_read_cache(): add F_QUEUE or F_DRAFT flag
	  for messages on IMAP folder.

2002-03-20

	* src/compose.c: compose_send(): use account's outbox folder
	  if it exists.
	* src/procmsg.[ch]: procmsg_save_to_outbox(): changed the API so
	  that the outbox can be specified.

2002-03-20

	* src/compose.c: don't save to outbox when messages are queued.
	  compose_save_to_outbox(): moved to procmsg.c.
	* src/procmsg.[ch]: procmsg_send_queue(): save to outbox when
	  sending succeeded.
	  procmsg_save_to_outbox(): new. Removes the queueing headers if
	  needed, and adds the given file to the outbox.

2002-03-20

	* src/compose.c: compose_wrap_line(): treat '|' also as quote char.
	  get_indent_length(): treat ':' and '#' also as quote char, and
	  cleaned up using strchr().

2002-03-19

	* src/mainwindow.c: modified some menu items.

2002-03-19

	* src/defs.h: changed OUTBOX_DIR from "outbox" to "sent"
	  (current "outbox" will be kept until rescan).
	* src/folder.c: folder_set_missing_folders(): create the missing
	  folders.
	* src/foldersel.c
	  src/folderview.c: changed 'Outbox' to 'Sent'.
	* src/main.c: call folder_set_missing_folders().
	* src/mh.c: mh_scan_tree(): create missing folders.
	* src/summaryview.c: summary_set_menu_sensitive(): fixed a bug that
	  didn't set the menu sensitivity correctly.

2002-03-18

	* src/folderview.c
	  src/imap.[ch]: implemented folder renaming on IMAP (thanks to Mio).
	  folderview_rename_folder_cb(): reopen the current folder when
	  the ancestor is renamed.
	  imap_rename_folder(): new method implementation.
	  imap_cmd_rename()
	  imap_rename_folder_func(): new.
	  imap_remove_folder(): remove also the cache directory.

2002-03-17

	* src/imap.c: implemented locale encoding <-> modified utf-7
	  conversion, and supported i18n of folder name (thanks to Suzuki
	  Mio).
	  imap_path_separator_subst(): handle the escape characters of
	  modified utf-7.
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): new.
	  imap_create_trash(): modified so that it create the Trash folder
	  to the correct location when imap directory is specified.
	  imap_get_real_path(): removed debug print.

2002-03-14

	* src/socket.c: implemented timeout for DNS lookup and connect().
	  sock_connect_by_hostname(): timeout support and code cleanup.
	  sock_connect_with_timeout(): new.
	  sock_peek(): implemented SSL peek.

2002-03-13

	* src/messageview.c: messageview_show(): display single-part
	  text/html messages with the normal text view.
	* src/account.c
	  src/addrbook.c
	  src/addrindex.c
	  src/compose.c
	  src/imap.c
	  src/inc.c
	  src/jpilot.c
	  src/ldif.c
	  src/mbox.c
	  src/mimeview.c
	  src/news.c
	  src/prefs.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_display_header.c
	  src/prefs_filter.c
	  src/procheader.c
	  src/procmime.c
	  src/procmsg.c
	  src/recv.c
	  src/rfc2015.c
	  src/send.c
	  src/sourcewindow.c
	  src/summaryview.c
	  src/template.c
	  src/textview.c
	  src/unmime.c
	  src/utils.c
	  src/vcard.c
	  src/xml.c: added 'b' to the option of all fopen().

2002-03-09

	* version 0.7.4

2002-03-09

	* src/ssl.[ch]: match its coding style.
	* src/compose.c: compose_send_later_cb(): fixed a bug that failed
	  to save file.
	* faq/Makefile.am
	  faq/en/Makefile.am
	  faq/en/sylpheed-faq*.html
	  faq/es/Makefile.am
	  faq/es/sylpheed-faq*.html
	  faq/fr/Makefile.am
	  faq/fr/sylpheed-faq*.html
	  configure.in
	  Makefile.am
	  src/Makefile.am
	  src/defs.h
	  src/mainwindow.c
	  src/manual.[ch]: added FAQs in English, Spanish and French.

2002-03-07

	* manual/en/sylpheed*.html: updated to the latest version.
	* libkcc/jis.c
	  src/addrcache.c
	  src/addritem.c
	  src/ldif.c
	  src/mgutils.c: include string.h to remove warning about strlen()
	  etc.
	* src/folder.c
	  src/folderview.c
	  src/inc.c
	  src/logwindow.c
	  src/mainwindow.c
	  src/mimeview.c
	  src/prefs.c
	  src/prefs_common.c
	  src/procheader.c
	  src/send.c
	  src/session.c
	  src/sigstatus.c
	  src/summaryview.c: added break to the last label of switch to
	  prevent the 'deprecated use of label at end of compound statement'
	  warning at gcc-3.0.
	* src/rfc2015.c: passphrase_cb(): fixed the type of r_hd.

2002-03-06

	* src/inc.[ch]: preserve the pointer to IncProgressDialog to the
	  static list.
	  inc_cancel_all(): new. It cancels the all current incorporation.
	* src/mainwindow.c: added 'Cancel receiving' menu.
	* src/textview.c: a minor fix for single-part MIME messages, and
	  a bit of cleanup for textview_write_body().

2002-03-05

	* src/inc.c: inc_write_uidl_list(): fixed a bug that lost UIDL
	  information if any errors occured before issuing UIDL command.
	  src/inc.h: added uidl_is_valid to Pop3State.
	  src/pop.c: set uidl_is_valid to TRUE if UIDL becomes valid.

2002-03-03

	* version 0.7.3

2002-03-03

	* src/mimeview.c: mimeview_create(): set the initial notebook page
	  to 0.
	* src/folderview.c: folderview_selected(): scroll the view if the
	  selected row is hidden.
	* src/prefs_filter.c: prefs_filter_register_cb(): scroll the view
	  and select the added row.
	* src/summaryview.c: fix threading for null message ids.

2002-03-02

	* src/textview.c: textview_show_message(): follow message/rfc822
	  parts.
	  textview_add_part(): add a caption before the attached text files.
	  textview_show_header(): don't add the newline.
	* src/messageview.c: enabled message search also in MIME mode.

2002-03-01

	* src/messageview.c: messageview_show(): set header state of
	  MimeView's TextView, too.
	* src/mimeview.c: mimeview_show_message(): call
	  textview_show_message() to display message.
	* src/textview.c: textview_add_part(): new. It adds the content
	  of message part without clearing the view.
	  textview_show_message(): display all parts with appropriate
	  style.
	  textview_write_body(): separated from textview_show_part().

2002-02-28

	* src/mainwindow.c
	  src/prefs_common.c: added ISO-8859-15 to the codesets for
	  displaying and sending.
	* src/codeconv.c: conv_codeset_strdup(): return NULL if code
	  conversion failed, and made caller deal with it.
	* src/compose.c: compose_write_to_file(): show error dialog when
	  code conversion failed, and let user select whether to send it
	  as is or not.
	* src/textview.c: textview_write_line(): show the original string
	  if code conversion failed.

2002-02-27

	* src/inc.c: get_spool(): fixed a bug that failed to unlock mbox
	  if copy_mbox() failed (thanks to Alexander Kabaev).
	* src/prefs_account.[ch]: added separate user ID / password setting
	  for SMTP AUTH.
	* src/send.c: send_message_smtp(): use separate user ID / password
	  for SMTP AUTH if it is specified.

2002-02-26

	* src/inc.[ch]
	  src/pop.[ch]: refactored the UIDL management.
	  store the information of messages into the array of Pop3MsgInfo
	  structure, and do full scanning of not retrieved messages.

2002-02-26

	* src/filesel.c
	  src/foldersel.c
	  src/mainwindow.c: set WMCLASS for window/dialog.
	* src/codeconv.c: conv_codeset_strdup(): return source string
	  when jconv_alloc_conv() failed.

2002-02-25

	* src/mh.c: mh_scan_tree_recursive(): changed the hardcoded directory
	  name to the macros.

2002-02-24

	* src/messageview.c
	  src/mimeview.[ch]
	  src/summaryview.c: implemented the new notebook tab interface for
	  MIME message.
	* src/textview.[ch]: fixed line space related glitches.

2002-02-23

	* src/prefs_filter.c:
	  prefs_filter_rename_path()
	  prefs_filter_delete_path(): fixed a crash when flt->dest was NULL.

2002-02-23

	* src/recv.[ch]: cancel data receiving if RecvUIFunc returns FALSE.
	* src/pop.c: pop3_retr_recv(): fixed false 'No space' when cancelled
	  while getting data.
	* src/inc.c: inc_pop3_recv_func(): abort data receiving when
	  cancelled, and fixed potential crash bug.
	* src/grouplistdialog.c: enabled cancelling of data receiving.
	* src/news.c: news_get_group_list(): destroy current session if
	  retrieving failed.

2002-02-22

	* src/manage_window.[ch]: fixed a bug that caused crash when
	  the main window was hidden.
	  MANAGE_WINDOW_SIGNALS_CONNECT(): new macro.
	  Monitor "unmap_event", "destroy" events.
	* src/account.c;
	  src/addressbook.c
	  src/compose.c
	  src/export.c
	  src/filesel.c
	  src/foldersel.c
	  src/grouplistdialog.c
	  src/import.c
	  src/inputdialog.c
	  src/mainwindow.c
	  src/message_search.c
	  src/passphrase.c
	  src/prefs_account.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_display_header.c
	  src/prefs_filter.c
	  src/prefs_template.c
	  src/summary_search.c
	  src/summaryview.c: use MANAGE_WINDOW_SIGNALS_CONNECT() macro to
	  connect signals for window management.

2002-02-21

	* src/prefs_account.[ch]: added receive size limit option.
	* src/pop.c: skip messages larger than the limit size.
	  LOOKUP_NEXT_MSG(): new macro.
	* src/compose.c: compose_attach_append(): check whether the file
	  is readable.

2002-02-21

	* src/rfc2015.c: commented out dump_mimeinfo() and dump_part().
	  changed g_message()'s to debug_print() and g_warning().
	  rfc2015_decrypt_message(): fixed a bug that duplicated message
	  parts when decryption was failed/cancelled. And made some code
	  cleanup.
	* src/passphrase.c: made the dialog transient.
	* src/prefs.c: prefs_config_parse_one_line(): removed debug_print().

2002-02-20

	* src/messageview.c
	  src/procmsg.[ch]: fixed a bug that failed to parse multipart
	  messages if GPGME was enabled.
	* src/rfc2015.c: commented out copy_gpgmedata_to_temp() which
	  is not used.
	* src/prefs_account.c: prefs_account_privacy_create(): modified
	  the vertical spacing.

2002-02-19

	* src/menu.[ch]: menu_set_sensitive_all(): new.
	  menu_set_insensitive_all(): made it a wrapper for
	  menu_set_sensitive_all().
	* src/prefs_account.c:
	  prefs_account_open()
	  prefs_account_protocol_set_optmenu(): made the protocol type
	  unchangeable after creating an account.
	* src/compose.c: compose_attach_parts(): traverse MIME tree to
	  extract all attathed files from nested multipart MIME message.

2002-02-19

	* src/procmsg.[ch]: procmsg_get_mark_sum(): added arguments to
	  obtain minimum/maximum number, and to specify first number
	  limit.
	* src/folderview.c
	  src/inc.c: enabled new message checking on news folder.
	* src/news.c: news_scan_group(): implemented. Guess new/unread
	  message number from the response of GROUP command and the mark
	  data.
	  news_select_group(): return the total/first/last number.
	* src/prefs_account.c: prefs_account_receive_create(): modified
	  the text of the 'Get all' check button.

2002-02-18

	* src/account.c: made 'Get all' checkbox available for IMAP4 and
	  NNTP accounts.
	* src/inc.c: corrected the argument of folderview_check_new().
	* src/prefs_account.c: modification for the "`Get all' checks for
	  new mail on this account" checkbox.

2002-02-18

	* src/folderview.[ch]:
	  folderview_rescan_tree(), folderview_rescan_all(): renamed from
	  folderview_update_tree() and folderview_update_all().
	  folderview_update_all_node(): removed.
	  folderview_check_new(): new. If the argument is NULL, it checks
	  all local folders. If the arguments is specified, it checks
	  the (local and remote) folder.
	* src/inc.c:
	  inc_account_mail()
	  inc_all_account_mail(): check also IMAP4 account.

2002-02-18

	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): modify the filter rules when folder
	  is renamed/deleted.
	* src/prefs_filter.[ch]:
	  prefs_filter_rename_path(): new. It renames the destination paths
	  in the filter list.
	  prefs_filter_delete_path(): new. It deletes the filter rules if
	  the destination paths matched.
	* thanks to Neill Miller for above.

2002-02-17

	* src/compose.c: inherit attached files when forwarding or reediting
	  (rewrote the code in claws branch).
	  compose_attach_parts(): new. It extracts and attaches the files
	  in the given message.
	  compose_attach_append(): chnaged the types of arguments.
	* src/messageview.c: messageview_show(): moved the GPG decryption
	  code to procmsg.c.
	* src/procmsg.[ch]: procmsg_open_message_decrypted(): new.

2002-02-16

	* version 0.7.2

2002-02-16

	* src/summary_search(): summary_search_execute(): scroll the view
	  when message view is hidden.

2002-02-15

	* src/foldersel.c: foldersel_set_tree(): made different type of
	  folders selectable in moving mode.
	* src/folderview.[ch]: folderview_update_msg_num(): compare the
	  numbers with the CTree's labels, and don't update folder_item here.
	* src/imap.c: imap_move_msg(), imap_move_msgs_with_dest():
	  implemented moving between different type of folders.
	* src/mh.c: SET_DEST_MSG_FLAGS(): new macro.
	  mh_do_move(), mh_do_move_msgs_with_dest(): new (renamed previous
	  mh_move_msg() and mh_move_msgs_with_dest()).
	  mh_move_msg(), mh_move_msgs_with_dest(): implemented message
	  moving between different type of folders.
	  mh_copy_msg(), mh_copy_msgs_with_dest(): some code cleanups.
	* src/summaryview.c: summary_status_show(): update folder_item
	  here.
	* po/POTFILES.in: removed reference to headerwindow.c.
	* src/summaryview.c: summary_step(): fixed the behavior on the
	  head and tail of the list.

2002-02-15

	* src/mainwindow.c: main_window_set_menu_sensitive(): set 'Show
	  all header' toggle state from the property of the TextView.
	* src/summaryview.[ch]: made 'All header' toggle switch.
	  Prohibited unnecessary menu update.
	  summary_select_node(): added the argument 'do_refresh'.
	  Some code cleanups.

2002-02-14

	* src/utils.c: strsplit_with_quote(): remove quotation characters
	  in the function (fix composer's external editor problem) (thanks
	  to Stefaan A Eeckels).
	* src/mainwindow.[ch]: made 'Show all header' toggle switch.
	  main_window_menu_callback_block()
	  main_window_menu_callback_unblock(): new.
	  main_window_set_menu_sensitive(): set the toggle status of
	  menu items.
	  show_all_header_cb(): read the status of toggle menu item.
	* src/mainwindow.[ch]: made 'Thread view' toggle switch.
	* src/prefs_common.c: prefs_keybind_apply_clicked(): removed
	  'Unthread view'.

2002-02-13

	* src/imap.c: imap_add_msg(): fixed a bug that didn't replace
	  the path separator (thanks to Sergey Vlasov).
	* src/gtkutils.c: gtkut_editable_get_selection(): return NULL
	  if the length of selection is zero.
	  Fixed the assertion.
	* src/utils.c: str_open_as_stream(): return immediately if
	  the length of str is zero.
	* src/headerwindow.[ch]: removed.
	* src/socket.[ch]
	  src/inc.c: removed stale thread support codes.

2002-02-12

	* src/procmsg.c: procmsg_open_message(): modified so that it
	  returns the stream of decrypted message file if it exists
	  (this fixes the failure of gpg decryption in messageview.c).

2002-02-11

	* version 0.7.1

2002-02-11

	* src/compose.[ch]
	  src/gtkutils.[ch]
	  src/prefs_template.c
	  src/quote_fmt.h
	  src/quote_fmt_parse.y
	  src/summaryview.c
	  src/utils.[ch]: if the part of the message text is selected, use
	  it for quoted text instead of the entire message body (thanks to
	  Darko Koruga).
	  src/utils.[ch]: str_open_as_stream(): new. It returns an
	  temporary stream for the given string.
	* src/main.c: added "--send" command line option.
	* src/compose.c: compose_reply_set_entry(): add From address to
	  Cc if Reply-To and to_all are both specified.
	* Makefile.am: correct the Source: line in the RPM spec file in
	  .tar.bz2 package.

2002-02-07

	* src/procmsg.c: procmsg_open_message(): fetch message if the cache
	  doesn't exist.
	* src/foldersel.[ch]: foldersel_folder_sel(): added an argument
	  that specifies the folder selection type.
	* src/addressbook.c
	  src/compose.c
	  src/editaddress.c
	  src/editgroup.c
	  src/folderview.c
	  src/importldif.c
	  src/mainwindow.c
	  src/md5.c
	  src/mimeview.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_filter.c
	  src/summaryview.c: made it compile with C compilers other than gcc
	  (thanks to Shawn Houston).

2002-02-06

	* src/imap.c: imap_copy_msgs_with_dest(): fixed a bug on traversing
	  list.
	* src/prefs_common.c: made the key binding setting separate dialog.
	* src/addressbook.c: addressbook_format_address(): add "" around
	  the display name if it contains comma (thanks to Satoshi Watanabe).
	* src/addr_compl.c: get_complete_address(): add "" around the
	  display name if it contains comma.
	  get_address_from_edit(): handle the quotation character correctly.
	* src/addr_compl.c: get_complete_address()
	  src/addressbook.c: addressbook_format_address(): fixed a bug that
	  caused wrong text processing if the display name is empty.
	* updated NEWS.

2002-02-05

	* src/compose.c: compose_exec_ext_editor_real(): replaced
	  g_strsplit() with strsplit_with_quote().
	* src/foldersel.c
	  src/folderview.c: folderview_drag_motion_cb(): minor code cleanups.
	* src/folderview.c:
	  folderview_drag_motion_cb()
	  folderview_drag_received_cb(): allow dropping into IMAP4 folder.
	* src/utils.c: get_file_size_as_crlf(): use fgets() instead of
	  fread().
	* src/imap.c
	  imap_copy_msg()
	  imap_copy_msgs_with_dest(): use imap_add_msg() if the source
	  of the message is different from the current mailbox.
	  Return the correct value.
	  imap_cmd_append(): properly implemented the APPEND command.

2002-02-04

	* src/mainwindow.c
	  src/messageview.[ch]
	  src/summaryview.[ch]
	  src/textview.[ch]: show all headers in the message view, and don't
	  use the header window anymore.
	* src/mainwindow.c
	  src/prefs_common.c: changed the default shortcut of 'compose new
	  message'.
	* src/mainwindow.c
	  src/summaryview.[ch]: summary_display_msg_selected(): new.
	  Show the selected message if 'Show all header' is selected.
	* src/mh.c
	  src/sourcewindow.c: changed some procmsg_get_message_file_path()
	  to procmsg_get_message_file() to be sure the message is
	  retrieved.
	* src/folderview.c: folderview_drag_motion_cb(): allow DnD from
	  any folder to MH folder.
	  folderview_drag_received_cb(): copy messages instead of moving
	  if the source folder is news or IMAP.
	* src/mainwindow.c
	  src/summaryview.c: allow copy from news folder.

2002-02-03

	* src/prefs_common.c: prefs_other_create(): modified the design
	  of the external command settings.
	  prefs_keybind_apply_clicked(): made the Mew / Wanderlust keybind
	  preset closer to the original.
	  Added Mutt keybind preset.
	  Also change the compose keybinds.
	* src/compose.c: modified some menu shortcuts.
	* src/codeconv.c: modified the locale_table for Thai encoding.

2002-02-01

	* src/Makefile.am: added $(GPGME_CFLAGS) to INCLUDES.
	* src/prefs_common.c: prefs_interface_create(): modified the
	  description for menu shortcut.

2002-01-31

	* src/gtkutils.[ch]: added gtk_stext_clear().
	* src/compose.[ch]
	  src/mainwindow.c
	  src/summaryview.[ch]: enabled multiple forwarding.
	* src/summaryview.c:
	  summary_set_marks_selected(): set marks for all selected row.
	  summary_reply(): moved from summary_reply_cb().
	* compose.[ch]: compose_forward(): modified so that it receives
	  the message list.
	* src/mainwindow.c: cleanup for reply processing.
	* src/summaryview.c: summary_reply(): fixed a memory leak.
	  summary_key_pressed(): removed hardcoded mark / mark as unread
	  shortcuts.
	* src/mainwindow.c
	  src/prefs_common.c: added mark / mark as unread shortcuts to
	  the menu.

2002-01-30

	* src/compose.c: compose_wrap_line_all(): wrap quoted part even
	  if prefs_common.linewrap_quote is not set (it is only for
	  auto-wrapping on reply).
	* src/prefs_account.c: prefs_account_open(): initialize tmp_ac_prefs
	  when creating a new account.
	* src/mh.c: mh_get_msg_list(): use also st_ctime to detect
	  directory change.
	* src/prefs_common.c: prefs_interface_create(): modified the
	  description of key binds selector.

2002-01-29

	* src/mimeview.c: fixed multiple dialog / moving by correcting
	  button / key event processing.
	* src/mimeview.[ch]
	  src/textview.c: pass some key press events to MimeView in MIME
	  mode.
	* src/prefs_filter.c: fixed a bug that didn't set the order of
	  rules correctly.
	* src/prefs_common.c: prefs_keybind_apply_clicked(): fixed
	  empty_menurc string.

2002-01-28

	* src/mainwindow.c
	  src/prefs_common.c: reorganized the menu shortcuts.
	  Added 'View - Toggle summary view'.
	* src/summaryview.[ch]: summary_toggle_view(): made it public
	  function.
	* src/prefs_common.[ch]: swapped the position of 'Shortcut key'
	  and 'On exit'.
	* src/importldif.c: imp_ldif_delete_event(): fixed segfault when
	  closing the dialog with window manager (in more appropriate way).
	* src/imageview.[ch]
	  src/messageview.c
	  src/mimeview.c: fixed wrong scrolling position when switching
	  between text and image parts. Also free the unrequired image
	  (thanks to Sergey Vlasov).
	* src/prefs_common.c: disabled 'Go to inbox after receiving new mail'
	  by default.

2002-01-28

	* src/prefs_common.c: implemented shortcut quick changer.
	* src/folderview.c: folderview_key_pressed()
	  src/summaryview.c: summary_key_pressed(): removed some hardcoded
	  key binds.

2002-01-25

	* src/procmime.c:
	  procmime_get_mime_type()
	  procmime_get_mime_type_table(): made the MIME type search case
	  insensitive.
	* src/gtkstext.c:
	  gtk_stext_delete_line(): delete newline on empty line.
	  gtk_stext_delete_to_line_end(): delete newline if cursor is on
	  the last of line.
	  (thanks to Yasuzaki Masayoshi.)

2002-01-23

	* src/compose.c
	  src/gtkstext.[ch]: removed the hardcoded shortcuts in GtkSText,
	  and made them customizable.
	* src/utils.[ch]: added get_file_size_as_crlf() which returns
	  the file size when converting LF to CR+LF.

2002-01-22

	* src/compose.c: enabled 'Ctrl-Enter' or
	  'Ctrl-(other modifier keys)-Enter' shortcut that didn't work
	  before.
	* src/gtkstext.c: disabled some Emacs key bindings.
	  gtk_stext_key_press(): don't extend selection when Shift-Enter
	  is pressed to prevent the disapperance of cursor.
	* src/summaryview.c: summary_select_next_unread(): added the button
	  to search unread message again from the beginning to the dialog.
	* src/folderview.c: folderview_key_pressed(): go to next unread
	  folder if space key is pressed on the empty folder.
	  Move CTree focus before selecting row.

2002-01-21

	* src/defs.h: modified the XLFD of default fonts.
	* src/textview.c: textview_create(): fixed a bug that caused
	  segfault if font couldn't be loaded.
	* src/folderview.c
	  src/grouplistdialog.c: compare subscribed groups with path.
	* src/prefs_filter.c: changed 'Operator' to 'Condition'.

2002-01-20

	* src/compose.c: compose_wrap_line_all(): fixed wrapping crash
	  when URL is wider than wrapping margin.
	* src/mainwindow.c
	  src/prefs_filter.[ch]
	  src/summaryview.[ch]: added "Create filter rule" function based
	  on the patch from Luca Rosellini.
	* src/summaryview.c: summary_filter_open(): added X-List and
	  X-Mailing-list to the automatically detected headers.

2002-01-18

	* configure.in: support Mac OS X (Darwin).

2002-01-16

	* src/prefs_filter.c: use inc_(un)lock() instead of
	  inc_autocheck_timer_{remove|set}().
	* src/summaryview.c: summary_sort(): use gtk_ctree_sort_recursive()
	  instead of gtk_ctree_sort_node() so that messages within threads
	  are also sorted.
	* src/procmsg.c: procmsg_read_mark_file(): fixed a bug that the
	  target of sizeof was wrong and caused crash on Alpha architecture
	  (thanks to Motonobu Ichimura).

2002-01-15

	* src/foldersel.c:
	  foldersel_gnode_func(): made the names of special folders
	  translated strings.
	  foldersel_set_tree(): move the special folder to the top.
	* src/inputdialog.[ch]: input_dialog_query_password(): new.
	* src/imap.c
	  src/inc.c
	  src/news.c
	  src/send.c: use input_dialog_query_password() instead of their
	  own query functions.

2002-01-14

	* src/defs.h: modified the default font.
	* src/folder.[ch]
	  src/mh.[ch]
	  src/imap.[ch]
	  src/news.[ch]: moved the class definition and some methods to
	  the proper location.

2002-01-11

	* src/mimeview.c: mimeview_save_as()
	  src/summaryview.c: summary_save_as(): put the default filename
	  based on the subject.
	* src/utils.[ch]: added subst_chars() and subst_for_filename()
	  which substitute some special characters with underscore.
	* src/filesel.c: filesel_select_file(): select the default filename.

2002-01-10

	* INSTALL
	  INSTALL.jp: added the description and the URL for libjconv.
	* src/mainwindow.c: menu entries cleanup.

2002-01-09

	* README
	  README.jp
	  src/about.c: modified the copyright year.
	* src/gtkstext.h: added the notice for modification by the Sylpheed
	  Team.

2002-01-08

	* INSTALL
	  INSTALL.jp: added the URL for compface.

2002-01-07

	* version 0.7.0

2002-01-07

	* src/headerwindow.c
	  src/logwindow.c
	  src/messageview.c
	  src/sourcewindow.c: set wmclass when creating windows.

2002-01-04

	* src/compose.c: compose_wrap_line_all(): fixed the bug that
	  caused infinite loop when wrapping certain patterns of quoted text.

2002-01-02

	* src/imap.c: imap_parse_envelope(): put the assertion after
	  imap_parse_address() to prevent segmentation fault.

2001-12-31

	* src/folderview.c
	  src/mainwindow.c: modified some labels of menu items.
	* src/ldif.c: put the return value of fgetc() in a gint.
	* src/importldif.c: don't brace null strings with _().
	* src/compose.c: moved the position of Subject entry to the last.
	  Reorganized the menu.
	  compose_draft_cb(): added 'keep editing after saving to draft'
	  feature.

2001-12-30

	* src/mainwindow.c: reorganization of main menu. Removed 'Summary'
	  menu. Moved 'Help' menu to just the right of 'Configuration'.
	  Removed 'File - Close' menu item.

2001-12-25

	* src/mainwindow.c: some menu reorganization.
	* AUTHORS: updated. Added more contributors.
	* src/account.c: account_row_moved(): new. Moves displayed row to
	  the appropriate position when up / down button are pressed.
	  account_clist_set(): move displayed row to the appropriate position.
	* src/compose.c
	  src/mainwindow.c: set title and wmclass when creating windows.

2001-12-24

	* src/gtkstext.c: fixed a bug that didn't show block cursor
	  correctly. Removed unnecessary GdkGC copy. Fixed cursor
	  coordinate.
	* src/compose.c
	  src/gtkutils.[ch]
	  src/textview.[ch]
	  src/undo.c: modified to use GtkSText.
	* src/menu.h: added #include <gtk/gtkmenu.h>.

2001-12-23

	* acconfig.h
	  configure.in: added XIM checking for GTK+.
	* src/gtkstext.[ch]: new. Copied GtkText in GTK+ and renamed.

2001-12-22

	* src/filter.c: added #include <sys/types.h>.

2001-12-21

	* src/template.c: template_write_config(): fixed a typo.
	* src/compose.c: toolbar_linewrap_cb(): call compose_wrap_line_all().
	* src/filter.[ch]
	  src/prefs_filter.c: supported regular expression (thanks to
	  Yukihiro Nakai).
	* src/undo.c: undo_paste_clipboard_cb(): fixed a bug that broke
	  undo state when pasted clipboard was empty.
	  undo_check_size(): use g_list_last().
	  undo_undo()
	  undo_redo(): fixed NULL checking and made a bit of optimization.
	  Some code cleanups.
	* src/prefs_common.c: changed the default value of linewrap length
	  to 72.

2001-12-20

	* reorganization of pixmap management.
	* src/stock_pixmap.[ch]: new. This module manages all static pixmaps.
	* modified every files which directly use pixmaps data to use
	  stock_pixmap_*().
	* src/undo.[ch]: renamed undo_set_undo_change_funct() to
	  undo_set_change_state_func(), and changed its argument from
	  GtkWidget* to gpointer.
	  undo_merge(): code cleanup.
	* src/compose.c: renamed compose_set_undo() to
	  compose_undo_state_changed().

2001-12-19

	* src/account.c: account_find_from_address(): made it case
	  insensitive.
	* src/addressbook.c: addressbook_create(): set wmclass.
	* src/compose.c: compose_insert_file(): supported DOS/Win/Mac line
	  break.
	* src/importldif.c
	  src/ldif.[ch]: merged from the claws branch.
	* src/importldif.c: removed some warnings.
	  imp_ldif_field_list_toggle(): fixed button checking.
	  imp_ldif_dialog_create(): minor layout fix.
	* src/ldif.c: removed some warnings.
	* INSTALL
	  INSTALL.jp: updated confirmation list.
	* src/vcard.c:
	  vcard_read_file()
	  vcard_test_read_file(): fixed a memory leak of tagtemp.
	  Some code cleanups (decreasing the indent level).
	* src/addrindex.c
	  src/jpilot.[ch]
	  src/syldap.[ch]: disabled runtime library checking because JPilot
	  and LDAP libraries are linked on the build time, and the program
	  doesn't execute without them anyway.
	* src/addressbook.c
	  src/addrindex.c: changed "J-Pilot" to "JPilot".
	  Removed warning for atoi().

2001-12-18

	* src/procmsg.c: procmsg_empty_trash()
	  src/mainwindow.c: main_window_empty_trash(): empty trash only if
	  it contains some messages.
	* src/imap.c: search_array_str(): new.
	  imap_status(): fixed a bug that didn't parse the command response
	  correctly.

2001-12-18

	* merged undo function (by Jens Oberender).
	* src/undo.[ch]: new.
	  undo_insert_text_cb(): fix for multibyte characters (obtain the
	  number of letters instead of bytes).
	* src/compose.[ch]: added the code for undo.
	* src/prefs_common.[ch]: added the interface for setting undo level.

2001-12-16

	* src/compose.c: compose_template_apply()
	  src/prefs_template.c: prefs_template_clist_set_row()
	  src/template.c: template_write_config(): don't replace To: and
	  Subject: entry in composition window if they are empty.

2001-12-16

	* version 0.6.6

2001-12-15

	* src/folderview.c: folderview_drag_motion_cb(): fixed a DnD bug.
	* src/ldif.c: ldif_get_line(): ignore CR.
	* src/mimeview.c: mimeview_show_message(): search also text/html
	  for first text part.

2001-12-14

	* src/prefs_account.c: prefs_account_save_config_all(): fixed a bug
	  that didn't update accountrc if account_list == NULL (thanks to
	  Watanabe).

2001-12-14

	* src/utils.h: added the macro Xstrcat_a() that concatenates
	  two strings and return alloca'd string.
	* src/imap.c: imap_scan_tree_recursive(): fixed a bug that didn't
	  handle folder name which includes some spaces correctly
	  (based on the patch from Willem van Engen (thanks!)).
	* src/compose.c: compose_wrap_line_all(): fixed the crash when
	  wrapping long lines if linewrap quotation is disabled and
	  a word spanning more than one line.

2001-12-14

	* applied the Tobias' patch with modification (thanks!).
	* src/imap.[ch]:
	  imap_msg_set_perm_flags()
	  imap_msg_unset_perm_flags(): new. They set permanent flags to
	  a IMAP message.
	* src/compose.c
	  src/summaryview.c: set flags on IMAP server when flags are changed.

2001-12-11

	* src/gtkutils.[ch]: gtkut_container_remove(): new. It's a wrapper
	  of gtk_container_remove() for workaround of a bug in
	  Gtk{Text,Entry} (thanks to Sergey Vlasov).
	* src/compose.c
	  src/mainwindow.c
	  src/messageview.c
	  src/mimeview.c
	  src/summaryview.c
	  src/textview.c: replaced gtk_container_remove() with
	  gtkut_container_remove(), and removed previous partial fix.

2001-12-09

	* src/prefs_account.c: prefs_account_apply(): fixed a bug that
	  checked user ID on "local", but didn't on IMAP4.
	* src/imap.c: imap_session_get(): fixed a crash bug when
	  rfolder->session == NULL.
	* Makefile.am: changed the arguments of tar from 'chojf' to
	  '--bzip2 -chof'.
	* src/summaryview.c: summary_toggle_view(): disclaim the selection
	  of textview before removing vpaned.

2001-12-08

	* src/messageview.c: messageview_change_view_type(): disclaim the
	  selection before removing textview. This solves the mysterious
	  copy-paste disability (thanks to Melvin Hadasht).
	* src/textview.c: textview_set_font(): use
	  gtk_editable_claim_selection() instead of
	  gtk_editable_select_region().

2001-12-06

	* src/prefs_template.c: prefs_template_window_create(): supported
	  address completion on the To: entry.

2001-12-04

	* src/folder.c:
	  folder_count_total_msgs()
	  folder_count_total_msgs_func(): use g_node_traverse() to traverse
	  GNode.

2001-12-03

	* src/compose.c: fixed a bug that empty body was refused.
	* src/prefs_template.c: fixed a bug that didn't set To: entry
	  correctly. Display error dialog if format is illegal.
	* src/prefs_common.c
	  src/quote_fmt_lex.l
	  src/quote_fmt_parse.y: changed parenthesis "( )" to curly braces
	  "{ }" to prevent confusion on using parenthesis.
	* src/html.c: html_get_parenthesis(): ignore CSS / script stuff.

2001-11-29

	* src/prefs_template.c: added colon to the header labels.

2001-11-28

	* src/compose.c
	  src/prefs_template.c
	  src/template.[ch]: added To field to the template.

2001-11-27

	* src/textview.c: textview_show_part(): use first found
	  message/rfc822 header.
	* src/folderview.c: added "Search messages..." to the context menu.
	* src/prefs_common.c: prefs_quote_description_create(): added
	  description for characters which need to be escaped.

2001-11-26

	* src/compose.c: compose_wrap_line_all(): more merging from claws.
	  GET_CHAR(): renamed GET_TEXT() and made it more generic.
	  Modified compose_wrap_line() and compose_wrap_line_all() to use
	  GET_CHAR().
	* src/textview.c: textview_show_part(): show the header of nested
	  RFC822 attachment correctly.

2001-11-25

	* src/folder.[ch]
	  src/main.c: added --status option to get new, unread and total
	  message count from a running Sylpheed (merged from claws).
	  prohibit_duplicate_launch(): output '\n' only once.

2001-11-23

	* src/compose.c
	  src/gtkutils.[ch]: merged the new wrapping function.
	  gtkut_text_str_compare_n()
	  gtkut_text_str_compare()
	  gtkut_text_is_uri_string(): backport from the GtkSText in the
	  claws branch, and made modification.
	* src/prefs_template.c
	  src/template.[ch]: added Subject to the template.

2001-11-22

	* src/compose.c: compose_write_headers(): added missing parenthesis
	  that generated invalid custom header (thanks to Masaaki Noro).
	  Allow Sender: custom header.

2001-11-20

	* src/procheader.c: procheader_date_parse(): workaround for
	  RFC-incompliant Date header.

2001-11-20

	* src/addrbook.c: removed redundant functions, and fixed generation
	  of spurious address book file names.
	* src/addrindex.c: V-Card -> vCard.

2001-11-19

	* src/textview.c: get_email_part(): replaced isalnum() with
	  the macro IS_ASCII_ALNUM() which restricts the range of
	  characters to 7bit ASCII (thanks to Shimamoto).
	* src/utils.c: remote_tzoffset_sec(): workaround for malformed
	  timezone offset.

2001-11-18

	* src/textview.c: textview_show_part(): show headers on nested
	  muitipart text.

2001-11-17

	* src/imap.c: imap_session_get()
	  src/news.c: news_session_get(): fixed segfault when reconnection
	  failed.
	* src/grouplistdialog.c: removed redundant code, and expand nodes
	  that doesn't match the pattern.

2001-11-16

	* src/compose.c: modified so that it sends message when any of
	  To:, Cc:, Bcc:, or Newsgroups: fields have valid recipient.
	  compose_check_for_valid_recipient(): new.
	* src/grouplistdialog.c: improved the UI.
	  Added appropriate description and search button.
	  Search doesn't get group list again.

2001-11-15

	* src/news.[ch]: news_session_get(): update the last access time
	  correctly.
	  news_group_list_free(): new.
	* src/grouplistdialog.c: free resources correctly.

2001-11-15

	* src/folderview.c
	  src/grouplistdialog.[ch]: more merging of new newsgroup
	  subscription dialog.
	* src/news.[ch]: renamed news_remove_group_list() to
	  news_remove_group_list_cache().

2001-11-14

	* src/defs.h: added MAX_ENTRY_LENGTH definition.
	* src/compose.c: compose_add_entry_field(): create new entry with
	  max length.

2001-11-13

	* src/grouplistdialog.c: made non-leaf node selectable.
	  Give the complete newsgroup name for each nodes.

2001-11-13

	* src/grouplistdialog.c
	  src/news.[ch]: merging of new newsgroup subscription dialog
	  (still in progress. Don't use it yet!).

2001-11-12

	* src/utils.[ch]: decode_uri(): new. It decodes URL-encoded strings.
	* src/compose.[ch]: compose_new_with_recipient(): accept mailto
	  URL.
	  compose_entries_set(): new. It parses mailto URL and put each
	  values into the entries.

2001-11-12

	* src/compose.c: compose_forward(): fixed a bug that forward
	  quote mark wasn't used (thanks to Hironori IWANE).
	* src/codeconv.[ch]
	  src/mainwindow.c
	  src/prefs_common.c: added Thai encodings (thanks to Manrat
	  Chobchuen).

2001-11-08

	* src/socket.c: sock_connect_by_hostname(): removed h_errno.
	* src/session.h
	  src/defs.h
	  src/imap.[ch]
	  src/news.c: added last_access_time to Session.
	  imap_session_get(): check connection only when access interval
	  has been exceeded.

2001-11-07

	* version 0.6.5

2001-11-07

	* src/socket.c: ssl_gets(): use SSL_peek.
	* updated NEWS and AUTHORS.
	* Makefile.am: fixed release target.

2001-11-06

	* src/template.c: changed the format of template file to
	  RFC2822-like.
	* src/compose.c: compose_template_apply(): freeze the text widget
	  while inserting strings.

2001-11-05

	* po/POTFILES.in: removed src/template_select.c.
	* src/summaryview.c: summary_set_header()
	  src/address.c: address_parse_str()
	  src/filter.c: filter_read_str()
	  src/news.c: news_parse_xover()
	  src/procheader.c: procheader_get_fromname()
	  src/utils.c: subject_compare():
	  replaced Xalloca() + strcpy() with Xstrdup_a().
	* src/inputdialog.[ch]: added combo mode.
	  input_dialog_combo(): new.
	* src/prefs_common.[ch]: added MIME open command setting.
	  prefs_common_{read, save}_config(): read / write command history.
	* src/mimeview.c: mimeview_open_with(): use combo input dialog.
	* src/utils.[ch]: add_history(): history list management function.

2001-11-04

	* src/compose.c: select templates from the menu.
	  compose_set_template_menu(): new.
	  compose_reflect_prefs_all(): new.
	  compose_template_apply(): new. Use dummy MsgInfo for parsing.
	* src/template.[ch]: store template list to the static heap.
	  template_get_config(): new.
	  template_set_config(): new.
	* src/prefs_template.c: don't store template list to the global area.
	* src/template_select.[ch]: removed.
	* src/quote_fmt_parse.y: check folderitem when quoting messages.
	* src/mh.c: mh_add_msg(): try to copy file whenever link() failed
	  (thanks to OSHIRO Naoki).

2001-11-03

	* src/utils.[ch]: get_template_dir(): new.
	* src/template.c: use get_template_dir().

2001-11-02

	* src/prefs_template.c: modified the dialog layout.
	  Added symbol description button.
	* src/summaryview.c: show an arrow mark to the column of the sort
	  target.
	  summary_set_column_titles(): new.
	* INSTALL
	  INSTALL.jp
	  README
	  README.jp
	  TODO
	  TODO.jp: updated the documents.

2001-11-02

	* src/Makefile.am: add missing checkbox_{on, off}.xpm.
	* src/textview.c: textview_key_pressed()
	  src/mimeview.c: mimeview_key_pressed()
	  src/summaryview.c: summary_key_pressed(): delete messages with
	  Delete key.

2001-11-01

	* src/socket.c: ssl_gets(): fixed a bug that caused infinite loop
	  when SSL_read() returned 0.
	* src/utils.[ch]: strcrchomp(): new. It removes CR from the tail
	  of strings.
	* src/quote_fmt_parse.y: convert CRLF to LF when inserting messages.
	  Add prototype of yylex() to suppress the warning.
	* merged the template function.
	* src/prefs_template.[ch]
	  src/template.[ch]
	  src/template_select.[ch]: new.
	  Renamed prefs_templates_* -> prefs_template_*.
	* src/compose.c: added template menu. Added replyinfo to Compose.
	* src/mainwindow.c: added template setting menu.
	* src/quote_fmt_lex.l: output literal tab and return as is.
	* src/prefs_common.c: changed the pref. name of quote format to
	  'reply_quote_{mark, format}' and 'fw_quote_{mark, format}'.

2001-10-31

	* src/prefs_common.[ch]: added Quote tab, and moved the quote
	  setting from Compose tab.
	* merged the new quote format parser.
	* src/quote_fmt_lex.h
	  src/quote_fmt.h
	  src/quote_fmt_lex.l
	  src/quote_fmt_parse.y: new files for quote format parser.
	* configure.in: added checks for lex and yacc.
	* src/compose.c: compose_quote_file(), compose_quote_parse_fmt():
	  removed.
	  compose_quote_fmt(): new.
	* src/prefs_common.[ch]: added forward format setting to the
	  Quote tab. Updated the quote description dialog.
	* src/quote_fmt_parse.y: fixed bugs that tried to read file even
	  if they couldn't get text part.

2001-10-31

	* src/pixmaps/checkbox_off.xpm
	  src/pixmaps/checkbox_on.xpm: new.
	* src/account.c: display `get all' status with the checkbox pixmaps.

2001-10-30

	* src/send.c: code cleanup. Pass account prefs structure instead
	  of many arguments.
	  Query password for SMTP AUTH if not specified (thanks to Mio).

2001-10-30

	* src/procheader.c: procheader_parse(): fixed a bug that didn't
	  parse multiple message-id in In-Reply-To: header correctly
	  (thanks to KAJIWARA).

2001-10-29

	* src/account.c: enabled 'Get all' setting by clicking the 'G'
	  column of account list, and added some description.
	* src/prefs_common.c: prefs_send_create(): added a description
	  for outgoing codeset.

2001-10-28

	* src/prefs_account.[ch]: moved inbox entry to the receive tab,
	  and added select button and short description.
	* src/Makefile.am: added SYSCONFDIR to CPPFLAGS.
	* src/procmime.c:
	  procmime_get_mime_type_table()
	  procmime_get_mime_type_list(): modified so that
	  $(SYSCONFDIR)/mime.types (or /etc/mime.types if not found) and
	  $(HOME)/.sylpheed/mime.types are read.

2001-10-27

	* src/prefs_account.c: moved the address auto-setting to the compose
	  tab.
	  prefs_account_create(): removed gtk_widget_show_all() for proper
	  window size.
	* src/prefs_common.c: changed "Program path" to "Command".

2001-10-26

	* src/textview.c: textview_set_font(): support Russian charset
	  on EUC-JP locale.
	* src/summaryview.c: summary_delete(): (hopefully) fixed the crash
	  bug on deleting.
	* prefs_account.c
	  prefs_common.c
	  prefs_summary_column.c: minor improvements to the English.
	* src/main.c: get_queued_message_num(): don't output the warning
	  when queueing folder is not found.

2001-10-21

	* version 0.6.4

2001-10-21

	* src/prefs_summary_column.[ch]:
	  made prefs_summary_column_get_config() public.
	* src/summaryview.c: summary_ctree_create(): some code cleanup.
	* configure.in: moved the position of SSL checking after LDAP
	  for linking problem.

2001-10-21

	* src/mainwindow.c
	  src/summaryview.c: allowed reedit in the outbox.
	* src/prefs_summary_column.[ch]: new. UI for setting summary
	  columns.
	* src/mainwindow.[ch]: main_window_set_summary_column(): new.
	  It calls summary_set_column_order().
	* src/summaryview.[ch]:
	  summary_ctree_create(): new. separated from summary_create().
	  summary_set_column_order(): new. It destroys the current
	  CTree and replaces it with the new one.

2001-10-19

	* src/smtp.[ch]: smtp_from(): abort if auth failed.
	* changed C++-style comments into C-style in some files, and
	  removed unnecessary commented out codes.
	* src/addrcache.[ch]
	  src/addressbook.c
	  src/addrindex.[ch]
	  src/jpilot.[ch]
	  src/syldap.[ch]: updated the addressbook code, and fixed the
	  thread bug of LDAP.
	* src/ldif.[ch]
	  src/importldif.[ch]: new.

2001-10-18

	* src/about.c: added some items to compiled-in features.
	* src/addr_compl.c: changed LOG_MESSAGE to debug_print.
	* src/addressbook.c: changed "V-Card" to "vCard".
	  addressbook_edit_address_cb(): added
	  invalidate_address_completion() to the point address is changed.
	* src/codeconv.c: changed C++-style comments into C-style.

2001-10-17

	* src/compose.c: changed "Send" shortcut to Ctrl+Enter.

2001-10-16

	* src/inc.c: fixed a bug that crashed sylpheed if Cancel button
	  was clicked twice.

2001-10-16

	* src/procmsg.c: procmsg_get_thread_tree(): complete the unfinished
	  threads.
	* src/summaryview.c:
	  summary_thread_init(): separated from summary_thread_build(). 
	  summary_thread_build(): removed the codes for initialization.
	  summary_set_ctree_from_list(): call summary_thread_init() instead
	  of summary_thread_build().
	  summary_filter(): fixed a bug that didn't moved messages despite
	  of immediate execution setting.

2001-10-14

	* src/procmsg.c: procmsg_get_thread_tree(): new. It generates the
	  reversed thread tree from message list.
	* src/summaryview.c: summary_set_ctree_from_list(): prepend the
	  node to the head instead of appending to the tail. This prevents
	  the traverse of node list inside of the GtkCTree, and considerably
	  speeds up the summary display (the order is O(n^2) -> O(n)).

2001-10-12

	* src/prefs_common.c
	  src/summaryview.[ch]: initial modification for reorderable columns.

2001-10-12

	* src/procmsg.c: procmsg_get_mark_sum(), mark_sum_func(): fixed a
	  memory leak.
	* src/folderview.c: folderview_button_pressed(): code cleanup, and
	  turn sensitivity off if main window is locked.
	* src/syldap.c: syldap_read_data(): removed unnecessary and
	  unportable sched_yield().

2001-10-11

	* src/folderview.c: renamed "Update folder tree" context menu to
	  "Rescan folder tree", and made "Update folder tree" only updates
	  folder status.
	  folderview_update_all_node(): don't show message dialog.
	* src/gtkutils.c: gtkut_widget_get_uposition()
	  src/mainwindow.c: main_window_popup(): clip the coordinate to
	  nonnegative value.

2001-10-10

	* src/utils.c: to_human_readable(): made a bit of optimization.
	* src/summaryview.c: summary_delete(): fixed a focus problem.
	  summary_find_{prev,next}_msg(): new. They find previous/next
	  message that is not deleted.
	* src/prefs_filter.c: scroll CList automatically if moved row
	  becomes not fully visible.

2001-10-09

	* updated some autotool scripts.
	* src/codeconv.c: conv_encode_header(): fixed a bug that caused
	  infinite loop when failed to convert encoding.
	* src/codeconv.[ch]: a fix for older version of libjconv
	  (jconv_info_get_current_codeset() returned "EUCJP" instead of
	  "EUC-JP").

2001-10-08

	* version 0.6.3

2001-10-08

	* src/compose.c: compose_write_to_file()
	  src/codeconv.c: conv_codeset_strdup(): more workaround for
	  libjconv problem on C locale.
	* src/editldap_basedn.c: fixed segfault when opening dialog.
	* src/utils.c: is_next_mbs()
	  src/compose.c: compose_wrap_line(), compose_wrap_line_all():
	  changed MB_CUR_MAX to MB_LEN_MAX for compliance to ANSI C.
	* configure.in: increased the reqired version of GPGME to 0.2.3.
	* src/pop.c: pop3_getauth_user_recv(): fixed a bug that closed
	  the receive dialog when POP3 server refused normal authentication.

2001-10-07

	* src/prefs_common.c: prefs_receive_create(): correction to English.
	* src/compose.c: compose_set_ext_editor_sensitive(): fixed a bug
	  that didn't set the menu sensitivity correctly (thanks to
	  Melvin Hadasht).
	* src/summaryview.c: delete messages permanently if the current
	  folder is trash and 'delete' operation is executed.
	  Fixed the bug that didn't select the last row correctly (thanks
	  to Alfons Hoogervorst).
	* src/folder.[ch]: folder_item_remove_msgs(): new. It removes
	  all messages given in the list.

2001-10-05

	* src/summaryview.c: summary_show(): fixed a bug that didn't show
	  message even if the 'open unread message on entering folder'
	  option was turned on.

2001-10-03

	* src/procmime.c: procmime_get_text_content(): supported HTML.

2001-10-02

	* src/summaryview.[ch]: implemented new locking mechanism, and
	  replaced every static locks with summary_lock(), summary_unlock(),
	  and added locks to some extra functions.
	  This fixes a bug that caused segfault when 'd' (delete) key
	  was kept pressing.

2001-10-01

	* src/addressbook.c: addressbook_folder_load_person(): fixed a bug
	  that caused segfault (thanks to Stefaan A Eeckels).

2001-09-30

	* src/textview.[ch]: added textview_set_position().
	* src/messageview.[ch]: added messageview_set_position().
	* src/addrbook.c
	  src/addrcache.c
	  src/addressadd.c
	  src/addressbook.c
	  src/addrindex.c
	  src/addritem.c
	  src/editaddress.c
	  src/editbook.c
	  src/editgroup.c
	  src/editjpilot.c
	  src/editldap.c
	  src/editldap_basedn.c
	  src/editvcard.c
	  src/jpilot.c
	  src/mgutils.c
	  src/syldap.c
	  src/vcard.c: converted C++-style comments into C-style one.
	* src/imap.c: QUOTE_IF_REQUIRED(): new macro. Copy string into
	  new buffer and quote with double quotes if required.
	  imap_status(), imap_cmd_login(), imap_cmd_list(),
	  imap_cmd_do_select(), imap_cmd_create(), imap_cmd_delete(),
	  imap_cmd_copy(): use QUOTE_IF_REQUIRED().
	* compose.c: compose_write_to_file(): workaround for the problem
	  when using libjconv and 8bit codes cannot be converted on C
	  locale.
	* codeconv.[ch]: added "ANSI_X3.4-1968" to encoding strings.
	  conv_codeset_strdup(): don't convert if source and destination
	  codeset are identical.

2001-09-30

	* src/textview.[ch]: textview_search_string_backward(): new.
	  Add the new member cur_pos to TextView.
	  Connect button_press_event with gtk_signal_connect_after() to
	  obtain the correct editable position.

2001-09-27

	* src/folder.c: folder_write_list_recursive(): preserve unthreaded
	  state.

2001-09-26

	* src/summaryview.c: modified the layout of popup menu.

2001-09-25

	* src/folder.c
	  src/folder.h
	  src/mainwindow.c
	  src/summaryview.c: applied the patch from Alfons that allows
	  threading setting for each folders (tnanks!).

2001-09-23

	* src/message_search.[ch]: new. A Dialog for searching in current
	  message.
	* src/gtkutils.[ch]: gtkut_text_match_string(): new. Compare the
	  text in current position of GtkText and given wide-character
	  string.
	* src/messageview.[ch]: messageview_search_string()
	  src/textview.[ch]: textview_search_string(): return TRUE if
	  found.
	* src/textview.[ch]: remember the beginning of body.

2001-09-21

	* src/procmime.c: procmime_get_first_text_content(): modified so
	  that it search entire MIME structure.
	* src/summary_search.c: summary_search_execute(): use
	  strdup_mbstowcs() instead of macro. Display matched message.

2001-09-20

	* src/inc.c: fix for background POP3 hangs and crashes (thanks to
	  Sergey Vlasov).
	* src/summary_search.c: added body searching function.
	* src/procmime.[ch]: procmime_find_string(): changed arguments
	  and return value. Added case sensitivity option.

2001-09-20

	* src/procmime.[ch]:
	  procmime_find_string()
	  procmime_find_string_part(): new. It searchs the string from
	  messages.
	  Renamed procmime_get_text_part() to
	  procmime_get_first_text_content().
	  procmime_get_text_content(): new. It returns the text contents
	  of the specified MIME part.
	  procmime_mimeinfo_next(): new. It returns the next node of
	  MimeInfo tree.

2001-09-19

	* src/procmime.c: procmime_get_text_part(): modified so that it
	  finds a text part in nested multipart message correctly.
	* src/procmime.h: added an example of MimeInfo structure.
	* src/mimeview.c: mimeview_show_message(): search the first text
	  part.

2001-09-17

	* src/mainwindow.c: ac_menu_popup_closed(): fixed the bug that
	  caused segfault. Changed 'Preferences per account...' menu item.

2001-09-17

	* version 0.6.2

2001-09-16

	* src/addrindex.c: translate the "Common address" and "Personal
	  address" from old addressbook.

2001-09-12

	* src/utils.c: get_quote_level(): some optimization and bugfixes.
	* src/codeconv.[ch]: conv_get_current_locale(): new.
	* src/editaddress.c: edit_person_page_basic(): reverse the order
	  of first and last name on some locales.

2001-09-11

	* src/compose.c: applied the patch from Yasumatsu that reformats
	  the current paragraph (thanks!). Modified so that it doesn't
	  reformat quoted paragraphs.
	  compose_create(): don't fill the entry automatically on reedit
	  mode.
	* src/mainwindow.c
	  src/summaryview.[ch]: added the "Mark all read" option.
	  summary_mark_all_read(): new.

2001-09-10

	* src/vcard.c
	  src/mgutils.c
	  src/syldap.c
	  src/editldap.c
	  src/editldap_basedn.c
	  src/jpilot.c
	  src/editjpilot.c: removed all warnings.
	* configure.in
	  src/jpilot.[ch]: fixed the problem that failed to detect JPilot
	  header files on the Debian system.
	* src/mainwindow.c
	  src/summaryview.[ch]: enabled sorting by mark, unread, attachment,
	  and color label. Enabled moving to next/prev flagged messages.

2001-09-09

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: modified the color balance.
	* src/utils.[ch]: execute_sync(): new.
	  execute_command_line(): added the arg for async mode.
	* src/inc.c: inc_mail(): use execute_command_line().

2001-09-08

	* src/prefs.[ch]
	  src/prefs_common.[ch]
	  src/prefs_account.c: modified the layout. Added the option to
	  launch the external editor automatically.
	* src/compose.c: launch the external editor automatically if the
	  option is set.

2001-09-06

	* src/Makefile.am: added extra xpm's.

2001-09-05

	* src/addressbook.c: fixed a compilation problem when enabling
	  LDAP.
	  addressbook_open(): fixed a missing 'else'.

2001-09-04

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/trash.xpm: replaced with the new blue icons.
	* merged Match Grun's new addressbook code.
	* src/pixmaps/address.xpm
	  src/pixmaps/book.xpm
	  src/pixmaps/category.xpm
	  src/pixmaps/interface.xpm
	  src/pixmaps/jpilot.xpm
	  src/pixmaps/ldap.xpm
	  src/pixmaps/vcard.xpm: new icons.
	* src/addrbook.[ch]
	  src/addrcache.[ch]
	  src/addressadd.[ch]
	  src/addressitem.[ch]
	  src/addrindex.[ch]
	  src/addritem.[ch]
	  src/editaddress.[ch]
	  src/editbook.[ch]
	  src/editgroup.[ch]
	  src/editjpilot.[ch]
	  src/editldap.[ch]
	  src/editldap_basedn.[ch]
	  src/editvcard.[ch]
	  src/jpilot.[ch]
	  src/mgutils.[ch]
	  src/syldap.[ch]
	  src/vcard.[ch]: new. Many fixes to remove the huge amount of
	  warnings.
	  addrbook_build_avail_email_vis(): fixed a memory leak.

2001-09-04

	* NEWS: brought in the all of the changes previously put on the web.

2001-09-03

	* src/mainwindow.c
	  src/summaryview.c: modified the layout of menus.
	* src/mainwindow.c: ac_menu_popup_closed(): fixed a bug that didn't
	  return a focus to the main window after selecting the account menu.

2001-09-03

	* version 0.6.1

2001-09-03

	* src/send.c: send_message_data(): fixed a bug that didn't process
	  body part correctly.

2001-09-02

	* src/inc.[ch]: changed inc_autocheck_(un)lock() to inc_(un)lock().
	  inc_mail(), inc_all_account_mail(): return immediately if locked.
	* src/account.c
	  src/prefs_common.c
	  src/prefs_account.c: use inc_lock() and inc_unlock() instead of
	  inc_autocheck_timer_{remove,set}().
	* src/summaryview.c: summary_set_colorlabel_color(): get the average
	  of label color and selected fg color for visibility.

2001-09-01

	* src/inc.[ch]: inc_autocheck_lock(), inc_autocheck_unlock(): new.
	  They increase/decrease the lock count.
	  inc_autocheck_func(): if locked, delay the autochecking 1 second.
	  inc_autocheck_timer_set_interval(): set interval by its argument.
	* src/summaryview.c: summary_show(): lock the autochecking while
	  processing.
	* src/main.c: app_will_exit(): remove autocheck timer.
	* acconfig.h
	  src/defs.h: removed the definitions of PACKAGE and VERSION to
	  prevent unnecessary compilation.
	* configure.in: changed AC_DEFINE_UNQUOTED of PACKAGE and VERSION
	  to AC_SUBST, and added src/version.h to AC_OUTPUT.
	* src/version.h.in: new.
	* src/intl.h: changed dgettext() to gettext().

2001-08-31

	* po/ja.po: fixed a typo that crashed Sylpheed with older version
	  of GTK+.
	* configure.in: fixed a bug that didn't show results correctly.
	  Fixed a bug that --enable-compface and --enable-jconv disabled
	  the options.
	* src/procmsg.c: procmsg_send_queue(): don't abort when sending
	  message failed.
	* src/compose.c: compose_write_headers(): add Bcc: header to the
	  output file.
	* src/send.c: send_message_data(): new. Separated from
	  send_message_smtp(). Remove Bcc: header before sending.

2001-08-30

	* version 0.6.0

2001-08-30

	* src/send.c: implemented sending with local sendmail command.
	  send_message_local(): new. It executes command with popen()
	  and send the contents of RFC822 message to the command.
	* src/prefs_common.[ch]: enabled the external sending command option.
	* src/defs.h: #define DEFAULT_SENDMAIL_CMD /usr/sbin/sendmail -t
	* src/account.c: account_edit_create(): widened the protocol column.
	* src/summaryview.c: summary_set_colorlabel_color(): cleanup of
	  the code.

2001-08-30

	* src/folder.c: folder_item_remove_msg(): scan the folder again
	  if the last message is removed.
	* src/compose.c: compose_queue(), compose_draft_cb(): remove the
	  old reedited message after adding the new message.

2001-08-29

	* src/compose.c: compose_queue(): added AID: to the queueing header.
	* src/send.c: send_message_queue(): look for AID: header, and use
	  the server specified in the account instead of SSV: header.
	* src/summaryview.c
	  src/compose.[ch]: queued messages can be reedited now.
	  compose_remove_reedit_target(): new. It removes the old reedited
	  message.
	  compose_send(), compose_queue(), compose_draft_cb(): if reedit
	  mode, remove the old message.
	* src/procmsg.c: procmsg_msg_exist(): fixed a bug that output
	  warning.

2001-08-28

	* applied the XML string table patch from Alfons Hoogervorst that
	  stores strings in a hash table and minimizes memory allocations
	  (thanks!).
	* src/stringtable.[ch]: new.
	  removed all G and g_ prefix from type and function names since
	  they're not official GLib symbol names.
	  string_table_insert_string(): fixed a bug that might refer to an
	  invalid pointer on lookup, and also made a bit of optimization.

2001-08-27

	* merged the color label feature from the claws branch (thanks to
	  Satoshi Nagayasu and Alfons Hoogervoost).
	* src/colorlabel.[ch]: new. Renamed from labelcolors.[ch].
	  Renamed labelcolors_*() to colorlabel_*().
	* src/summaryview.[ch]: added color label support.
	* src/procmsg.h: added color label flags to the permanent flags.
	* updated to gettext 0.10.39.
	* src/summaryview.[ch]: put the color label menu item to ItemFactory.
	* sylpheed.desktop: added for GNOME.
	* configure.in: added AC_MSG_CHECKING() for some options.
	  Output the configuration results when configure is finished.

2001-08-27

	* src/account.c: account_clist_set_row(): fixed a bug that failed
	  to compile if SSL was not enabled.

2001-08-26

	* merged the SSL support from the claws branch (thanks to Christoph
	  Hohmann).
	* src/ssl.[ch]: new.
	* src/socket.[ch]: added ssl_read(), ssl_write(), ssl_gets(), and
	  ssl_getline().
	  sock_close(): call ssl_done_socket() if SSL is active.
	* src/md5.[ch]: removed MD5_CTX typedef and use MD5_CONTEXT to
	  prevent type confliction.
	* src/prefs_account.[ch]: added SSL tab, and modified the expression.
	* src/esmtp.[ch]: added esmtp_ehlo(), and esmtp_starttls().
	  Removed SSL initialization and HELO from esmtp_starttls().
	  esmtp_auth(): removed use_smtp_auth from its arguments.
	* src/send.c: send_smtp_open(): added SSL support.
	* src/smtp.c: smtp_helo(): call esmtp_ehlo() if esmtp is true.

2001-08-25

	* src/mimeview.c: mimeview_open_with(): braced '%s' with single
	  quote.

2001-08-24

	* src/main.c: open new account dialog if no account is set.
	* src/utils.[ch]: log_verbosity_set(): new. It increase/decrease
	  the verbosity count.
	  log_print(): put to statusbar only if log_verbosity_count > 0.
	  log_message(): put to statusbar.
	* src/inc.c: inc_pop3_session_do(): set log verbosity.
	* src/mainwindow.c: main_window_set_menu_sensitive(): added the
	  "Compose new message" item.
	  main_window_show_cur_account(): removed "Current account: " string.
	* src/summaryview.c: summary_show(): ignore the current marks if
	  main window is locked.
	* src/compose.c: compose_attach_property(): fixed a bug that caused
	  segmentation fault.

2001-08-23

	* src/mainwindow.c: main_window_get_current_state(): new. It returns
	  the current state for the sensitivity of UI.
	  main_window_set_toolbar_sensitive(): use table like
	  main_window_set_menu_sensitive().

2001-08-23

	* src/mainwindow.[ch]: added progressbar and status label to the
	  statusbar.
	  main_window_close_cb(): don't exit if locked.
	* src/inc.c: update the progressbar of main window, too.

2001-08-22

	* src/mainwindow.[ch]: main_window_set_toolbar_sensitive(): removed
	  the second argument, and determine the sensitivity with the
	  state of summary view.

2001-08-21

	* src/pop.c: pop3_getsize_list_recv(), pop3_retr_recv(),
	  pop3_delete_recv(): don't try to receive messages which are not
	  exist.

2001-08-21

	* src/mainwindow.c: main_window_lock(), main_window_unlock():
	  removed the whole menubar locking.
	  main_window_set_menu_sensitive(): process the sensitivity change
	  with a table, and deal with locking.

2001-08-20

	* src/summaryview.[ch]: summary_get_selection_type(): new.
	  It returns the current selection state of summary view.
	  summary_key_pressed(): abort on some commands if main window
	  is locked.
	* src/mainwindow.[ch]: main_window_lock(), main_window_unlock():
	  increase/decrease the lock count.

2001-08-19

	* src/prefs_filter.c: prefs_filter_create(): added List-Id to the
	  default header list.
	* src/prefs_common.[ch]: added the option for receive dialog mode
	  to the Interface tab.
	* src/inc.[ch]: inc_progress_dialog_create(): don't make the dialog
	  transient, and show dialog only if the setting is
	  RECV_DIALOG_ALWAYS, or RECV_DIALOG_ACTIVE and a window is active.
	* src/mainwindow.[ch]: main_window_lock(), main_window_unlock():
	  new. Lock / unlock the user-interface.
	* src/progressdialog.c: progress_dialog_create(): don't make the
	  dialog modal.

2001-08-18

	* src/folderview.c: folderview_update_node(): suppressed unnecessary
	  recursive call.
	* src/menu.[ch]: menu_button_position(): new. It calculates the
	  position of popup menu.
	* src/mainwindow.c: toolbar_account_button_pressed(),
	  ac_label_button_pressed(): put the popup menu to the correct
	  position. Change the style of the button while opening the menu.
	  ac_menu_popup_closed(): new function called on selection_done
	  event.
	* src/gtkutils.c: gtkut_ctree_node_next(): fixed a crash bug when
	  node == NULL.
	* src/summaryview.c: applied the summary fix patch from Sergey Vlasov
	  (thanks!).
	  Fixed the bug that didn't select previous message in refresh mode
	  if threads were not expanded.
	  summary_select_node(): new.
	* src/inc.c: applied the summary view update optimization patch from
	  Sergey Vlasov (thanks!).
	  If no new messages are received, don't perform summary refreshing.
	  In addition to the Vlasov's patch, POP3 receive information is
	  also used.
	* src/inc.h: added a new member cur_total_num to Pop3State.
	* src/pop.c: pop3_retr_recv(): increase state->cur_total_num.

2001-08-14

	* version 0.5.3

2001-08-14

	* src/summaryview.c: summary_set_row_marks(): got the color of
	  unread row set properly.
	* src/folderview.c: foldreview_update_node(): don't use
	  gtk_style_copy(), and reuse previously allocated styles.
	* README, README.jp: modified.

2001-08-14

	* src/pop.c: pop3_getsize_list_recv(): fixed a remotly exploitable
	  memory corruption bug (thanks to David Looney).
	* src/inc.c: inc_all_account_mail(): call inc_finished() even if
	  there are no enabled accounts, or local spool only.
	* src/summaryview.c: applied the summary update improvement patch
	  from Sergey Vlasov (thanks!). It keeps the position of the
	  message displayed. Selected and displayed message are also kept.
	  summary_get_msgnum(): new.
	  summary_get_current_msgnum(): removed.
	  summary_select_by_msgnum(): don't display the message.
	* src/account.c: added "Get all" column.
	  account_clist_set_row(): show default and get-all flags with the
	  mark icon.
	* src/utils.c: to_human_readable(): increased the number of decimals
	  of MB and GB to 2.

2001-08-13

	* implemented the long-awaited :) "Add sender to address book" feature.
	* src/address.[ch]: added the argument for remarks to
	  address_item_new().
	  address_get_folder_list(): new. It traverses the address tree and
	  returns the folder list.
	  address_delete_object(): modified so that it removes the node
	  from the tree.
	* src/addressbook.[ch]: addressbook_add_submenu(): new. It creates
	  a address folder menu and attaches it to the menu item.
	  addressbook_refresh(): reload the address book folder tree.
	* src/summaryview.c: summary_set_add_sender_menu(): new. It attaches
	  the menu to add sender to address book.
	  summary_button_pressed(): call summary_set_add_sender_menu()
	  before popup the menu.

2001-08-12

	* src/summaryview.c: summary_thread_build(): fixed a bug that locked
	  up the process. Optimized the initial thread build.

2001-08-12

	* src/summaryview.c: made many code cleanups.
	  summary_show(): block/unblock the signal handlers instead of
	  disconnect/connect them.
	  summary_set_row_marks(): made the font of collapsed node bold if
	  it has cnildren marked as unread.
	  summary_thread_build(): block tree_expand signals while processing.
	  Use loop instead of the recursive function. Mark collapsed nodes
	  correctly.
	  summary_unthread(): block tree_collapse signals while processing.
	  Use loop instead of the recursive function.
	  summary_thread_func(), summary_unthread_func(): removed.
	  summary_tree_expanded(), summary_tree_collapsed(): new callback
	  functions.
	* src/inc.[ch]: inc_pop3_session_do(): don't show alert panel when
	  failed to connect. Show more detailed status on the dialog.

2001-08-10

	* src/folderview.c: folderview_update_all_node(): new. It updates
	  all local folders.
	* src/inc.c: update all local folders after incorporation if
	  scan_all_after_inc option is set.
	* src/prefs_common.[ch]: added scan_all_after_inc option.
	* src/folder.h: FOLDER_IS_LOCAL(): new macro.

2001-08-09

	* src/defs.h
	  src/headerview.c
	  src/headerwindow.c
	  src/textview.c
	  src/prefs_common.c
	  src/prefs_common.h: made bold and small font configurable.
	  src/summaryview.c: display unread messages with bold font.
	* src/prefs_common.c
	  src/prefs_common.h
	  src/summaryview.c: added an option to enable/disable the
	  emphasis of unread messages.

2001-08-08

	* src/pixmaps/mark.xpm: modified.
	* src/gtkutils.[ch]: gtkut_ctree_expand_parent_all(): new.
	* src/summaryview.c: summary_set_ctree_from_list(): don't expand
	  the root messages of threads for performance improvement.
	  summary_show()
	  summary_select_next_unread()
	  summary_step(): expand threads when opening messages.
	  summary_thread_build(): expand threads if the option is turned on.
	* src/prefs_common.[ch]: added "Expand threads" option.

2001-08-08

	* src/prefs_common.c: removed "Emulate the behavior of mouse
	  operation of Emacs-based mailer".
	* src/prefs_common.c
	  src/prefs_account.c: changed the value of VSPACING_NARROW to 3.
	* src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: reverted.

2001-08-07

	* src/address.[ch]:
	  address_folder_new()
	  address_group_new()
	  address_item_new(): changed the return value to AddressObject.
	  address_build_tree(): don't put assertion for file.
	* src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: modified a bit.

2001-08-06

	* src/addressbook.c: fixed some bugs.

2001-08-06

	* separated the logic part of addressbook into another module
	  (still in progress).
	* src/address.[ch]: new. It contains the logic part of addressbook.
	* src/addressbook.[ch]: removed the logic part.

2001-08-04

	* src/textview.c: textview_show_header(): fixed a bug that a garbage
	  character was shown after header names.

2001-08-02

	* src/inc.c: inc_start(): don't abort with non-fatal error.

2001-08-01

	* version 0.5.2

2001-08-01

	* src/mimeview.c: mimeview_view_file(): added -x option to the
	  metamail to prevent the suspention of the main process.
	  mimeview_button_pressed(): deactivate `Open' menu item if
	  content-type is application/octet-stream.

2001-07-31

	* src/imap.c: imap_parse_atom(): parse escaped characters properly.
	  get_quoted(): new. It handles the escape character '\'.
	* src/folder.c: folder_read_list(): don't output warning if
	  folderlist.xml doesn't exist.
	* src/main.c: main(): write folder list after setup.
	* src/textview.c: textview_create()
	  src/compose.c: compose_create(): set default tab width to 8.

2001-07-29

	* src/prefs_common.c: date_format_select_row(): fixed a bug that
	  caused segfault when selecting the list with key.

2001-07-28

	* src/mainwindow.c: main_window_popup(): deiconize the window
	  when popup (thanks to Henrik Carlqvist).
	* src/procmime.c: procmime_scan_mime_type(): new.
	  procmime_scan_content_type(): use procmime_scan_mime_type().
	  procmime_scan_mime_header(): scan the extension of attached files
	  and add the correct MIME type if the Content-Type is
	  "application/octet-stream" (thanks to Don Quijote).
	* src/compose.c: compose_toolbar_create(): added a new "Send later"
	  icon (thanks to Leandro Pereira).

2001-07-27

	* src/prefs_common.c: date_format_create(): modified the layout of
	  the dialog.

2001-07-26

	* src/account.c: account_find_from_address(): fixed a minor bug.
	* src/prefs_common.c: incorporated the user-interface for setting
	  date format from the claws branch, and made some modification to
	  that.

2001-07-25

	* src/account.[ch]: account_edit_create(): modified the text of
	  default button.
	  account_find_from_address(): new.
	* src/procmime.c:
	  procmime_scan_content_type(), procmime_scan_content_disposition():
	  fixed ESC code detection.
	* src/compose.c: compose_reply(): automatically select account
	  according to the message header.
	* src/prefs_common.[ch]: added member "reply_account_autosel".

2001-07-25

	* src/progressdialog.c: made the CList scrollable.
	* src/inc.c: inc_start(): don't abort with non-fatal error.

2001-07-24

	* added English Sylpheed User's Manual by Paul Kater
	  (paul@nlpagan.net) (thanks!).
	* configure.in
	  manual/Makefile.am
	  src/mainwindow.c: added support for English manual.
	* manual/en/sylpheed*.html: added English documentation.
	* AUTHORS: updated.

2001-07-23

	* src/nntp.c: nntp_ok(): fixed the bug that didn't handle a response
	  that didn't have any trailing messages.
	* src/smtp.c: smtp_ok(): ditto.
	* src/compose.c: compose_account_option_menu_create(): modified
	  the style of the account option menu.

2001-07-22

	* src/prefs_customheader.c: prefs_custom_header_clist_set_row():
	  remove return code from strings automatically.
	  prefs_custom_header_create(): added "X-Face" to the default
	  option.
	* src/news.c: news_fetch_msg(), news_get_group_list()
	  src/imap.c: imap_fetch_msg(): create the cache directory before
	  writing.
	* src/procmime.c:
	  procmime_scan_content_type()
	  procmime_scan_content_disposition(): convert JIS into EUC-JP
	  before parsing.
	* src/codeconv.c: conv_unmime_header(): cleaned up a bit.
	* src/compose.c: don't append attachment headers if the attach
	  pane is visible but the list is empty.
	* src/recv.c: recv_bytes_write(): use g_malloc() instead of alloca().

2001-07-18

	* version 0.5.1

2001-07-18

	* src/compose.c: compose_quote_parse_fmt()
	  src/prefs_common.c: prefs_quote_description_create(): added the
	  symbol `%c' that allows to include Cc in reply format (thanks
	  to Cyril Bellot).
	* src/base64.[ch]
	  src/procmime.c: procmime_decode_content(): applied the patch
	  from Sergey Vlasov that allows to decode base64 data with
	  unusual line length (not a multiple of 4) (thanks!).

2001-07-17

	* src/procmsg.[ch]: separated the permanent flags and temporary
	  flags into two variables, and made MsgFlags a structure that
	  includes them.
	  MSG_SET_PERM_FLAGS()
	  MSG_SET_TMP_FLAGS()
	  MSG_UNSET_PERM_FLAGS()
	  MSG_UNSET_TMP_FLAGS(): new macros.
	* src/compose.c
	  src/imap.c
	  src/inc.c
	  src/messageview.c
	  src/mh.c
	  src/news.c
	  src/procheader.c
	  src/summaryview.c: modified for the new MsgFlags.
	* src/utils.[ch]: hash_free_value_mem(): new. It frees the values
	  of hash table.

2001-07-16

	* src/inc.c: inc_pop3_recv_func(), inc_progress_update():
	  display current size with human-readable format.
	* src/grouplistdialog.c: grouplist_recv_func(): ditto.
	* TODO
	  TODO.jp: updated.

2001-07-16

	* src/codeconv.c:
	  conv_unmime_header(), conv_unmime_header_overwrite(): workaround
	  for raw-JIS code in header fields.
	* src/folder.c:
	  folder_get_default_folder()
	  folder_get_default_inbox()
	  folder_get_default_outbox()
	  folder_get_default_draft()
	  folder_get_default_queue()
	  folder_get_default_trash(): fixed a bug that caused segfault
	  if folder_list is NULL.

2001-07-15

	* README
	  README.jp
	  INSTALL
	  INSTALL.jp
	  TODO
	  TODO.jp: updated.
	* src/grouplistdialog.c: grouplist_dialog_set_list(): update UI
	  while retrieving newsgroup list.
	  grouplist_dialog_create(): added entry widget and status label.
	  grouplist_recv_func(): new.
	  refresh_clicked(): added exclusive lock variable.
	  clist_selected(): set text entry when the CList is selected.
	  renamed from group_clist_select().
	  entry_activated(): new.
	  grouplist_clear(): renamed from grouplist_free(). Also clears
	  list and entry widget.
	* src/news.c: news_get_group_list(): sped up the list appending
	  (g_slist_append() becomes very slow if list size is large).
	* src/defs.h: added UI_REFRESH_INTERVAL definition.
	  Changed the definition of NEWSGROUP_LIST.
	* src/recv.c: recv_write()
	  src/send.c: send_message_smtp(): changed the UI refresh interval
	  to UI_REFRESH_INTERVAL (50msec).
	* src/account.c: account_add(): fixed a bug that didn't update
	  folder tree when a news account was added.
	* src/grouplistdialog.c: made exclusive lock variable global, and
	  lock at grouplist_dialog_set_list().
	* src/textview.c: fixed a bug that disabled clickable URI if
	  message color was disabled.

2001-07-15

	* src/grouplistdialog.c: ok_clicked(), cancel_clicked(): don't
	  quit main loop if gtk_main_level() is 1.
	  grouplist_dialog_set_list(): freeze CList while appending the list.
	  grouplist_dialog(): show dialog before updating the list.

2001-07-14

	* src/folder.c: folder_write_list_recursive(): add the attribute
	  `collapsed' if a node have some children.
	* src/grouplistdialog.[ch]: new. Newsgroups can be selected from
	  the list.
	* src/news.[ch]:
	  news_get_group_list(): new. It returns newsgroup list.
	  news_remove_group_list(): new. It removes newsgroup list cache.
	* src/folderview.c: folderview_new_news_group_cb(): call
	  grouplist_dialog() instead of input_dialog().

2001-07-12

	* autogen.sh: modified.
	* src/folder.[ch]
	  src/folderview.c: made expand/collapse state of folders persistent
	  (thanks to Alfons).

2001-07-06

	* version 0.5.0

2001-07-06

	* src/imap.c: imap_remove_folder(): select INBOX with EXAMINE before
	  DELETE.
	  imap_cmd_do_select(): new. It toggles between SELECT and EXAMINE
	  according to the argument.
	  imap_cmd_select(): use imap_cmd_do_select().
	  imap_cmd_examine(): new.
	* src/folderview.c: folderview_rm_imap_folder_cb(): select current
	  folder again when removing failed.

2001-07-05

	* version 0.5.0pre4

	* manual/ja/sylpheed.sgml
	  manual/ja/*.html: updated the Japanese manual (thanks to Imai).
	* src/summaryview.c: summary_set_row_marks(): fixed a bug that
	  didn't set foreground correctly.
	* src/folderview.h
	  src/summaryview.h: removed the member color_normal from FolderView
	  and SummaryView.
	* src/mainwindow.c: main_window_create(): removed color_normal.

2001-07-04

	* src/prefs_account.[ch]: the port numbers of IMAP4 and NNTP
	  became specifiable.
	* src/imap.c: imap_session_get()
	  src/news.c: news_session_new_for_folder(), news_session_get():
	  use user-defined port number if specified.

2001-07-03

	* src/imap.c: imap_scan_tree_recursive(): get mailbox status when
	  scanning.
	  imap_scan_folder(): implemented. It updates the numbers of new,
	  unread and total messages.
	  imap_status(): new. It parses the response of STATUS command.
	  imap_status_uidnext(): removed.
	  imap_cmd_status(): removed.
	* src/textview.c: textview_show_part(): fixed potential memory leaks.

2001-07-03

	* src/alertpanel.c: alertpanel_create(): fixed truncated message.
	* src/rfc2015.c: rfc2015_decrypt_message(): fixed the case problem
	  of content-type (thanks to Ren?Rebe for the patch).
	* src/codeconv.c: code_get_code_conv_func(): fixed the ISO-8859-1
	  detection.
	* src/prefs_common.c: prefs_send_create(): made some more character
	  sets specifiable when not using libjconv.
	* configure.in: disabled --enable-threads option temporarily.
	* INSTALL
	  INSTALL.jp: deleted the description about --enable-threads option.

2001-07-02

	* updated gettext to 0.10.38.

2001-07-01

	* version 0.5.0pre3

	* src/folderview.[ch]: folderview_set_all(): new.
	* src/account.c: account_add(): call folderview_set_all() after
	  creating IMAP4 tree.
	  account_edit_create(): account preferences dialog can be opened
	  with double clicking of the list.
	  account_selected(): new.
	  account_clist_set(): made the CList focus set correctly.

2001-06-30

	* src/imap.c: imap_scan_tree(): call imap_create_trash() if trash
	  is not found.
	  imap_scan_tree_recursive(): search the sub folders of INBOX.
	  recognize Trash folder.
	  imap_create_tree(): separated the part of creating trash.
	  imap_create_trash(): new.
	* src/folder.c: folder_build_tree(), folder_write_list_recursive():
	  preserve no_sub and no_select.
	* src/summaryview.c: summary_show(): don't proceed if item->no_select
	  is TRUE.

2001-06-29

	* src/imap.c: imap_scan_tree(): fixed a bug that didn't set the
	  root folder correctly.

2001-06-28

	* src/folderview.[ch]:
	  folderview_update_tree(): new. It updates one folder tree.
	  folderview_update_tree_cb(): new.
	  Added "Update folder tree" to the popup menu, and modified some
	  expressions.

2001-06-27

	* src/imap.c: implemented the autoscan of IMAP4 folder list.
	  imap_scan_tree(): new. It scans the whole IMAP4 folder.
	  imap_scan_tree_recursive(): new. It traverses the IMAP4 folder tree.
	  imap_parse_list(): new. It parses the LIST response.
	  imap_get_real_path(): new. It converts local path into IMAP4 path.
	* src/folder.h: added no_sub and no_select to FolderItem.
	* src/folder.c: folder_tree_destroy(): reset some variables.
	* src/folderview.c: folderview_scan_tree_func(): supported IMAP4.

2001-06-26

	* src/imap.c: imap_parse_envelope(): fixed a bug that didn't
	  parse the FETCH response that continues to the next line.
	  imap_parse_fetch_element(): removed.
	  imap_parse_atom(), imap_parse_one_address(), imap_parse_address(),
	  imap_parse_envelope(), imap_get_uncached_messages(): use GString
	  and sock_getline() to parse the FETCH response.
	  imap_remove_all_msg(): fixed a bug that didn't delete messages
	  correctly.
	  imap_parse_address(): fixed a bug that didn't concaternate
	  addresses correctly, using GString.
	* src/socket.[ch]: sock_getline(), fd_getline(): new. They read
	  the whole line and return the newly allocated string.
	* src/prefs_account.[ch]: added `IMAP server directory' entry.

2001-06-25

	* version 0.5.0pre2

	* src/imap.c: imap_create_tree(): pass the path that is separated
	  by the local filesystem separator to imap_create_folder().
	  imap_create_folder(): examine the existence of folders using
	  LIST command instead of STATUS.
	  imap_cmd_list(): new.
	  imap_query_password(): new.
	  imap_session_new(): query password if it is not set.

2001-06-24

	* src/imap.c: imap_parse_envelope(): FETCH results can be parsed
	  with arbitrary order.
	  imap_parse_fetch_element(): new. it parses one pair of name and
	  value of FETCH results.
	  imap_parse_flags(): modified for more flexibility.
	* src/utils.[ch]: set_log_file(): new. it opens a new file for
	  logging.
	  close_log_file(): new. it closes the opened log file.
	  log_print(), log_message(), log_warning(), log_error(): also
	  output to log file.

2001-06-22

	* src/imap.c: imap_cmd_status(): check the pointer to "value"
	  before the assignment (thanks to NISHIJIMA).

2001-06-21

	* src/folderview.c: folderview_drag_motion_cb(): don't allow DnD
	  across MH and IMAP4 folder (for now) (thanks to Hiramatu).
	* src/foldersel.[ch]: don't show folders which can't be targets
	  for current folder.

2001-06-20

	* version 0.5.0pre1

	* src/imap.c:
	  imap_get_msg_list()
	  imap_cmd_envelope()
	  imap_cmd_fetch()
	  imap_cmd_copy()
	  imap_cmd_store(): use UID instead of sequential number.
	  Renamed imap_set_article_flags() to imap_set_message_flags().
	* src/summaryview.c: summary_execute(): don't update summary
	  even if current folder is IMAP4.
	* src/utils.[ch]: remove_numbered_files(): changed the type of
	  arguments from gint to guint.

2001-06-19

	* src/imap.c: imap_cmd_login(), imap_cmd_select(), imap_cmd_status(),
	  imap_cmd_create(), imap_cmd_delete(), imap_cmd_copy(): don't
	  enclose with double quotation if string doesn't have space
	  (workaround for old Cyrus IMAP4 server).
	  imap_create_folder(): fixed a bug of separator substitution.
	  renamed imap_session_connect_if_not() to imap_session_get().
	  imap_get_msg_list(): delete all cached messages if use_cache
	  is off.
	  imap_delete_cached_messages(): remove cached files in between
	  the specified range by reading directory entry.
	  imap_parse_one_address(): set fromname same as the from address
	  if it is empty.
	* src/utils.[ch]: remove_numbered_files(): new. The range is
	  specifiable.
	* src/summaryview.c: summary_execute(): update summary if current
	  folder is IMAP4.
	  KEY_PRESS_EVENT_STOP(): new macro.
	  summary_key_pressed(): stop signal emission when calling
	  summary_execute().
	  summary_select_by_msgnum(): show message only if
	  msg_is_toggled_on is TRUE. Move current page to the selected
	  node.
	* src/news.c; news_delete_old_articles(): remove cached files in
	  between the specified range by reading directory entry.
	* src/folderview.c:
	  folderview_selected(), folderview_button_released(): fixed a bug
	  that didn't select folder correctly.

2001-06-18

	* src/mainwindow.c
	  src/summaryview.c
	  src/prefs_common.c: improvements to the English (thanks to Paul
	  Mangan).
	* src/mainwindow.c: compose_cb()
	  src/summaryview.c: summary_key_pressed()
	  src/compose.c: compose_new_with_recipient(): newsgroups entry
	  is automatically filled when composing a new article.

2001-06-17

	* src/procmsg.c: procmsg_msg_list_free(): fixed a bug that didn't
	  free list correctly.

2001-06-16

	* version 0.4.99

	* src/imap.c: imap_find_namespace(): replace namespace path
	  separator with slash before comparison.
	  imap_remove_folder(): use namespace.
	  imap_create_tree(): use namespece when creating Trash.
	  imap_get_msg_list(): fixed a bug that returned old list and caused
	  memory leak if exists == 0.
	  imap_select(): new. It's a wrapper for imap_cmd_select().
	* src/foldersel.c: foldersel_set_tree(): show IMAP4 folder too.

2001-06-15

	* src/folderview.c:
	  folderview_new_folder_cb()
	  folderview_new_imap_folder_cb(): show error dialog when creation
	  or deletion of folder failed.
	  Made it allow users to create a folder which contains subfolders.
	  folderview_button_pressed(): disabled delete menu on the special
	  IMAP4 folder.
	* AUTHORS: incorporated from claws branch. It now contains all
	  contributors.
	* src/send.c: enabled cancellation.
	  EXIT_IF_CANCELLED(): new macro.
	  Added cancelled flag to SendProgressDialog.
	* src/utils.[ch]: strtailchomp(): new. It removes the trailing
	  specified character.
	* src/imap.c: imap_cmd_fetch(): a fix for MS Exchange 2000 server.

2001-06-15

	* src/imap.c: imap_create_tree(): new. It creates required
	  folders such as INBOX and Trash.
	  imap_do_copy(), imap_do_copy_msgs_with_dest(): don't expunge
	  if COPY failed.
	  imap_remove_all_msg(): return immediately if exists == 0.
	* src/account.c: account_add(), account_set_missing_folder():
	  made them use folder->create_tree().

2001-06-14

	* src/imap.c: more namespace implementation.
	  imap_find_namespace(), imap_path_separator_subst(): new.

2001-06-13

	* src/imap.c: imap_parse_namespace(), imap_cmd_namespace(): new.

2001-06-11

	* src/summaryview.c: summary_show(): fixed a glitch in folder view.

2001-06-08

	* src/imap.[ch]: added imap_add_msg(), and imap_append_message(),
	  which appends file into IMAP4 folder.
	  imap_status(): new.
	  imap_create_folder(): check the existence of a folder before
	  create it.
	  renamed the prefix of low-level IMAP4rev1 functions to imap_cmd.
	* src/account.c: account_add(), account_set_missing_folder():
	  create INBOX automatically when creating IMAP4 account.

2001-06-07

	* src/utils.[ch]: added itos_buf() that takes the buffer for its
	  argument.
	* src/imap.[ch]: imap_copy_msg(), imap_copy_msgs_with_dest(): new.
	* src/folder.c: added copy_msg and copy_msgs_with_dest methods
	  to the IMAP class.

2001-06-06

	* src/utils.[ch]: move_file(): new.
	* src/mh.c: mh_move_msg(), mh_move_msgs_with_dest(): modified to
	  use move_file(), and fixed a bug that didn't close file when
	  error occured.

2001-06-06

	* src/imap.c: renamed imap_delete_messages() and
	  imap_delete_all_messages() to imap_delete_cached_messages() and
	  imap_delete_all_cached_messages(). Some code cleanups.
	* src/utils.[ch]: added a function remove_all_numbered_files().
	* src/mh.c: mh_remove_all_msg()
	  src/imap.c: imap_delete_all_cached_messages():
	  use remove_all_numbered_files().
	* src/mainwindow.c
	  src/summaryview.c
	  src/compose.[ch]: added `Reply to sender'.
	  compose_reply()
	  compose_reply_set_entry(): added an argument `ignore_replyto'.

2001-06-05

	* src/folderview.c: folderview_selected()
	  src/summaryview.c: summary_show(): fixed a bug that updated wrong
	  folder when remaining marks were processed.

2001-06-04

	* src/headerwindow.c: headerwindow_show_cb(): always try to show
	  msginfo, and use the selected message, not the displayed one.
	* src/smtp.c: smtp_ok(): fixed sock_gets() error handling.

2001-06-02

	* src/folderview.c: folderview_selected()
	  src/mimeview.c: mimeview_selected(): ungrab the mouse event.
	* src/summaryview.c: summary_show(): process the left marks if any.

2001-05-27

	* src/passphrase.c: enclosed with #if USE_GPGME.
	* src/prefs_account.c: added NNTP AUTH check button.
	* src/alertpanel.[ch]: alertpanel_create(): added new argument
	  `can_disable', all existing callers changed to pass FALSE;
	  created a check button to disable the message.
	  alertpanel_message_with_disable(): new.
	  alertpanel_show(): mask value with G_ALERT_VALUE_MASK.
	  alertpanel_button_toggled(): new.
	  alertpanel_button_clicked(), alertpanel_close(): set value using
	  G_ALERT_VALUE_MASK.
	* src/prefs_common.[ch]: added option to toggle GnuPG signature
	  check popup window, and GnuPG warning.
	* src/rfc2015.c: check_signature(): show signature check dialog
	  only if it is enabled.
	* src/main.c: modified GnuPG checking.
	* src/main.c
	  src/prefs_common.c: fixed some compilation bugs when enabled
	  GPGME.

2001-05-26

	* src/codeconv.c: conv_get_code_conv_func(): fix for ISO-8859-*
	  encodings with libjconv.
	  conv_encode_header(): fixed an endless loop bug when encountering
	  an invalid wide character (thanks to Alte).
	* src/headerview.c: SET_FONT_STYLE(): fixed segfault with invalid
	  bold font.
	* src/imap.c: imap_create_folder(): don't create folder if the
	  name is INBOX.
	* src/mainwindow.c: main_window_reflect_prefs_all(): hide the
	  execute button when immediate execution is enabled.

2001-05-22

	* README
	  README.jp: added the "How to run" section.

2001-05-19

	* merged NNTP AUTH from the claws branch.
	* src/news.[ch]: supported NNTP AUTH.
	* src/nntp.[ch]: wrapped SockInfo with NNTPSockInfo for NNTP AUTH.
	* INSTALL
	  INSTALL.jp: modified the confirmation list and the warning about
	  threads.

2001-05-18

	* src/gtkutils.[ch]: moved folderview_find_collapsed_parent() to
	  gtkut_ctree_find_collapsed_parent().
	* src/folderview.c: folderview_select_node(): automatically expand
	  the parent folders when selected.
	* configure.in: made the version number to 0.4.99 (0.5pre)
	* src/main.c: main(): moved parse_cmd_opt() before gtk_init()
	  so that X is not necessary for --help and --version.
	  parse_cmd_opt(): changed g_get_prgname() to g_basename(argv[0]).
	* src/folderview.c: folderview_update_node(): a fix for collapsed
	  nodes.

2001-05-17

	* src/main.c: lock_socket_input_cb(): changed fd_read() to fd_gets().
	  It caused garbages in --compose option.
	* src/socket.[ch]: made fd_gets() public.

2001-05-16

	* src/gtkutils.[ch]: gtkut_ctree_node_next(): new.
	* src/folderview.c: folderview_find_next_unread(): new.
	  folderview_select_next_unread(): modified so that it can find
	  the hidden folder.

2001-05-15

	* src/compose.c: compose_write_headers(): excluded also From, To,
	  Sender because they could be used for SPAM.
	* src/folderview.c: add '+' mark to the collapsed folder that have
	  some unread folders.
	  folderview_search_new_recursive(),
	  folderview_have_new_children(),
	  folderview_search_unread_recursive(),
	  folderview_have_unread_children(),
	  folderview_find_collapsed_parent(): new.
	  folderview_update_node(): display the number of queued messages.

2001-05-14

	* src/folder.[ch]
	  src/mh.[ch]: modified *_add_msg() to use link(). Added the
	  argument to switch whether to remove the source file or not.
	* src/compose.c
	  src/inc.c
	  src/mbox.c: modified the argument of folder_item_add_msg() and
	  removed some unlink()'s.

2001-05-13

	* src/prefs_customheader.[ch]: renamed prefs_headers_* to
	  prefs_custom_header_*. Removed `(New)' row and `Substitute'
	  button. Supported empty value.
	  prefs_custom_header_row_moved(): new. Connected "row_move" signal
	  to the function, and made it set header list.
	* src/customheader.c: custom_header_get_str()
	  src/compose.c: compose_write_headers(): supported empty value.
	* src/prefs_display_header.c: prefs_display_header_row_moved(): new.
	  Connected "row_move" signal to the function, and made it set
	  header list.
	* src/compose.c: compose_write_headers(): modified the order of
	  headers, and made it encode the custom headers.
	* src/prefs_customheader.c: prefs_custom_header_delete_cb()
	  src/prefs_filter.c: prefs_filter_delete_cb(): treat closing the
	  alert panel by ESC as "No".

2001-05-13

	* merged the custom header stuff from claws branch:
	* src/customheader.[ch]
	  src/prefs_customheader.[ch]: new.
	* src/customheader.c: custom_header_read_str(): use strtol() instead
	  of atoi() and check errors.
	  custom_header_find(): new function.
	* src/compose.c: IS_IN_CUSTOM_HEADER(): new macro.
	  compose_write_headers(): made it replace headers with user-defined
	  headers except for some automatically generated headers.

2001-05-11

	* src/inc.c: connection_check_cb(): fixed a bug that caused
	  segmentation fault if connection was not established.
	* src/compose.c: compose_create(): even if set_autobcc or set
	  autoreplyto is checked and the entries are empty, show them.

2001-05-10

	* src/textview.c: textview_show_mime_part(): modified the messages.
	  TEXT_INSERT(): new macro.
	* po/ja.po: fixed.
	* src/prefs_display_header.c: prefs_display_header_create():
	  modified the text of checkbutton.

2001-05-09

	* src/mimeview.c: added "Open with..." to the context menu.
	* src/summaryview.c: summary_print()
	  src/inputdialog.c: input_dialog(): fixed memory leaks.
	* src/textview.c: textview_show_mime_part(): updated the description.
	* src/send.c: implemented sending progress dialog.
	  (TODO: automaton should be used.)
	  send_progress_dialog_create(), send_progress_dialog_destroy(),
	  send_cancel(): new.
	  send_message_smtp(): made it update the dialog for each stage.
	* src/utils.[ch]: get_left_file_size(): new. Get the left bytes
	  of opened file.
	* src/summaryview.c: summary_show(): when open_inbox_on_inc is set,
	  go to first unread message even if folder is same as previous.
	* src/prefs_common.c: made color selection dialog transient, and
	  made escape key close the dialogs.

2001-05-08

	* version 0.4.66

	* src/select-keys.c: delete_event_cb(): removed `;' from its end.
	* src/recv.c: recv_write(): changed the interval to 10msec.
	* src/prefs_display_header.c: modified the layout of the dialog,
	  and made the hidden headers list insensitive when `Show other
	  headers' is not checked.
	* src/textview.c: changed strcasecmp() and strncasecmp() to
	  the corresponding glib functions.
	* src/inc.c: get_spool(): make a temporary file in the home
	  directory.

2001-05-07

	* src/prefs_common.c
	  src/prefs_account.c
	  src/prefs_filter.c
	  src/account.c
	  src/alertpanel.c
	  src/filesel.c
	  src/foldersel.c
	  src/export.c
	  src/import.c
	  src/inputdialog.c
	  src/passphrase.c
	  src/select-keys.c
	  src/sigstatus.c: fixed a bug that accidentally destroyed dialogs
	  when closed them with delete_event (thanks to DINH).
	  Added *_deleted() and *delete_event() which handle delete_event
	  signal correctly.

2001-05-06

	* src/prefs_display_header.c: merged some changes from claws branch:
	  prefs_display_header_create(): allow reordering of headers by
	  dragging.
	  prefs_display_header_find_header(): new function.
	  prefs_display_header_clist_set_row(): don't allow duplicates.
	* src/prefs_account.c: prefs_account_receive_create(): changed
	  the label of the check button.

2001-05-05

	* src/pop.c: pop3_getsize_list_recv(): if sscanf() failed, break
	  immediately.
	* src/inc.h: removed cur_msg_bytes from Pop3State.
	* src/inc.c: pop3_recv_func()
	  src/recv.[ch]: made the second arguments of RecvUIFunc current
	  total read bytes.
	  recv_write(): made it call UI func if elapsed time is greater
	  than 0.1 sec.
	* src/recv.c: recv_write(): changed the interval to 300 usec.
	* src/textview.c: textview_show_header(): if header is Subject,
	  unfold it.
	* src/utils.[ch]: unfold_line(): new.
	* src/procheader.[ch]: procheader_get_header_array(): new.
	* src/prefs_display_header.c: updated defaults.

2001-05-05

	* some merge from the sylpheed-claws branch.
	  It allows user to specify displayed headers in message view.
	  (symbol names were also changed.)
	* src/prefs_display_header.[ch]
	  src/displayheader.[ch]: new.
	* src/prefs_display_header.c:
	  removed prefs_display_headers_other_headers_toggled().
	  removed "(New)" row from the list.
	* src/defs.h: added DISPLAY_HEADER_RC.
	* src/prefs_common.c: prefs_message_create(): added a button for
	  opening the display header setting dialog.
	* src/prefs_common.h: added show_other_header and disphdr_list
	  to PrefsCommon.
	* src/procheader.[ch]: procheader_get_header_list_from_file(),
	  procheader_get_header_array_asis(): new.
	  procheader_get_header_list(): modified so that it takes FILE
	  pointer for its argument.
	  procheader_header_array_destroy(), procheader_header_free(): new.
	* src/main.c: main(): made it call prefs_display_header_*_config().
	* src/textview.c: textview_scan_header(): modified so that it
	  sorts headers according to user setting.
	  src/textview_show_header(): made it call
	  textview_make_clickable_parts().
	  textview_make_clickable_parts(): added GdkFont to its arguments,
	  and removed GtkText from them.

2001-05-04

	* implemented auto-checking of new mail based on the patch from
	  Pierric Descamps (thanks!).
	* src/inc.c: added inc_autocheck_timer_init(),
	  inc_autocheck_timer_set(), inc_autocheck_timer_remove(),
	  inc_autocheck_func() for auto-checking of new mail.
	* src/main.c: main(): call inc_autocheck_timer_init().
	* src/prefs_common.c: prefs_receive_create(): activated the
	  auto-checking UI. Added prefs_common_cancel(), and connected
	  some signals to that.
	* src/prefs_common.c
	  src/prefs_account.c
	  src/prefs_filter.c
	  src/account.c: Disabled auto-checking while opening the dialog.
	* src/headerview.c: headerview_show_xface(): fixed a bug that
	  showed a warning when header pane was hidden.

2001-05-03

	* src/inc.c
	  src/pop.c
	  src/recv.c: removed non-blocking socket mode support since it
	  does nothing.
	* src/pop.c
	  src/inc.c: modified the messages of incorporation dialog.

2001-05-02

	* src/utils.h: made u32 the typedef of guint32.
	  added BIG_ENDIAN_HOST macro that is used by md5.c.
	* src/md5.c: renamed md5c.c. Fixed the indentation. Fixed a bug
	  that didn't calculate MD5 correctly on big endian machines.

2001-05-01

	* version 0.4.65

	* src/folder.c: folder_init(): added the method imap_remove_folder.
	* src/folderview.c: folderview_rm_imap_folder_cb(): made it
	  actually remove folder from IMAP4 server.
	* src/imap.[ch]: imap_create_folder(): made it actually create
	  folder on IMAP4 server.
	  imap_remove_folder(): added.
	  imap_create(), imap_delete(): added.
	* src/summaryview.c: summary_execute_delete(): don't check trash
	  if folder type is not F_MH.
	* thanks to Ishihara for the above changes.
	* configure.in
	  ac/check-type.m4: better wint_t typedef detection (renamed
	  sv_CHECK_TYPE to SYLPHEED_CHECK_TYPE).

2001-04-30

	* src/recv.c: recv_bytes_write(): fixed another bug that caused
	  infinite loop and buffer overrun.

2001-04-30

	* src/socket.[ch]: renamed sock_read() and fd_read() to
	  sock_gets() and fd_gets() for preventing confusion.
	  Added sock_read() and fd_read() which is the wrapper of read().
	* src/recv.c: recv_bytes_write(): fixed a bug that caused infinite
	  loop. Use sock_read() instead of fd_read().
	* src/esmtp.c
	  src/imap.c
	  src/news.c
	  src/nntp.c
	  src/pop.c
	  src/recv.c
	  src/smtp.c: use sock_gets() instead of sock_read().
	* src/imap.c: imap_session_new(): fixed the error detection
	  of imap_open().

2001-04-28

	* src/inc.c: made it displays current read bytes to the dialog.
	* src/pop.c: recv_write(): call UI function before editing
	  strings.

2001-04-27

	* src/progressdialog.c: progress_dialog_create(): modified the
	  size of dialog and made it stretchable.
	* src/smtp.c
	  src/esmtp.c: smtp_ok(), esmtp_ok(): fixed a bug that didn't
	  process an error response correctly (thanks to Ohmasa).
	* src/pop.[ch]: added pop3_getsize_list_send(),
	  pop3_getsize_list_recv().
	* src/recv.[ch]: added recv_set_ui_func() that makes recv_write()
	  call the callback function for each sock_read().
	* src/inc.h: in Pop3State, renamed bytes to total_bytes, and added
	  cur_msg_bytes, cur_total_bytes, and sizes.
	* src/inc.c: added inc_pop3_recv_func() that updates the progress
	  bar for each sock_read().

2001-04-26

	* src/mh.c: mh_is_maildir_one(): modified so that it uses
	  is_dir_exist().

2001-04-25  Werner Koch  <wk@gnupg.org>

	* src/mh.c (mh_is_maildir_one, mh_is_maildir): New.
	(mh_scan_tree_recursive): Do not include Maildir style directories
	in the scan.

	Changed the use of integers to describe sockets by an more abstract
	data structure.

	* src/automaton.h (struct _Automaton): Add help_sock.
	* src/automaton.c (automaton_input_cb): Changed source to be
	SockInfo and use wrapper for gdk_input_add.

	* src/send.c (SEND_EXIT_IF_ERROR): Adjusted tests and removed test
	for invalid socket because this is now done in sock_close. Set
	sock to NULL.
	(SEND_EXIT_IF_NOTOK): Set closed sock to NULL.
	(send_smtp_open): Use only SockInfo.

	* src/news.c (news_session_new): Use SockInfo here.
	(news_session_destroy): Ditto and set sock to NULL.

	* src/nntp.c: Use SockInfo instead of integers
	* src/smtp.c: Ditto.
	* src/pop.c: Ditto.
	* src/recv.c: Ditto.

	* src/inc.c (inc_pop3_session_do): Removed sock_sockinfo_free. Put
	gdk_input_add into a wrapper.

	* src/esmtp.c: Changed socket descriptors to use SockInfo.
	* src/esmtp.h: Ditto, included socket.h.
	* src/session.h (struct _Session): Likewise.
	* src/imap.c (imap_open): Return SockInfo ptr and not an integer.
	Removed access to internal data of SockInfo.  Changed all callers
	and functions to take SockInfo.
	(imap_session_new): Use sock_close here.
	(imap_session_destroy): Ditto.

	* src/compose.c (compose_exec_ext_editor): Replaced sock_write by
	fd_write.

	* src/main.c (app_will_exit): Close lock socket using fd_close.
	(prohibit_duplicate_launch): Use fd_xxx functions instead of sock_xxx.
	(lock_socket_input_cb): Ditto.

	* src/socket.h, src/socket.c: Prepared SockInfo structure to use
	glib channels. Changed all sock_xxx to use SockInfo instead of an
	integer.
	(sock_connect_unix, sock_open_unix, sock_accept): Renamed to ..
	(fd_connect_unix, fd_open_unix, fd_accept): .. this and changed all
	callers.
	(fd_read, fd_write, fd_close): New.
	(sock_sockinfo_free): Removed.
	* src/socket.c (sock_connect_nb): Use close instead sock_close here.
	(sock_connect): Ditto.

2001-04-26

	* config.h.in: removed.
	* ac/Makefile.am: added gnupg-check-typedef.m4 to MACROS.
	* .cvsignore: added.
	* src/inc.c
	  src/progressdialog.[ch]
	  src/pixmaps/complete.xpm
	  src/pixmaps/continue.xpm
	  src/pixmaps/error.xpm: applied the patch from Leandro Pereira
	  that displays the state of message incorporation (thanks!).
	* src/inc.c: made the progress dialog change the text of status.

2001-04-25

	* removed po/*.gmo, configure, stamp-h.in, aclocal.m4, Makefile.in
	  from the cvs tree.
	* COPYING: removed RSA copyright notice.
	* removed po/sylpheed.pot, po/stamp-cat-id, po/cat-id-tbl.c.
	* configure.in: added the check of sys/utsname.h.

2001-04-24  Werner Koch  <wk@gnupg.org>

	Merged most of the changes from the W32 branch in.

	* configure.in: Require gpgme >= 0.2.1

	* acconfig.h (HAVE_U32_TYPEDEF): New.
	* ac/gnupg-check-typedef.m4: New.
	* configure.in: Check for u32 type and the size of some types.
	* src/utils.h: Define the u32 type and related constants.

	* src/about.c (about_create): Removed the note about MD5.  We are
	not any longer using the RSA Inc. implementation.
	* src/md5ify.c, src/md5ify.h, src/md5global.h:  Removed.
	* src/md5c.c, src/md5c.h: Replaced by an FSF implementation and
	renamed the function to standard lowercase convention. Changed all
	callers. 
	(md5_hex_digest): New.
	(md5_hmac): Add hmac function by Martin Schaaf with some 
	modifications.
	(md5_hex_hmac): New.
	* src/esmtp.c, src/esmtp.h (md5_hex_hmac): Removed.
	(hmac_md5): Removed.
	* src/pop.c (pop3_getauth_apop_send): Replaced the md5_digest by
	the new md5_hex_digest function.

	* src/about.c: Include utsname.h only if available

	* src/utils.c, src/utils.h (get_home_dir): New to better cope with
	special Windoze requirements.  Changed all calls to
	g_get_home_dir() to this function.

	* simple-gettext.c: New.

	* src/main.c (main): Issue a warning if GnuPG is not properly
	installed.

	* src/sigstatus.c, src/sigstatus.h: New.
	* src/rfc2015.c (check_signature): Use the sigstatus window and
	get the status texts from a utility function.

	* src/select-keys.c: Removed the global select_keys var and
	pass an allocated one along all functions.
	(set_row): Display only keys capable of encryption.
	(update_progress): Replaced the progressbar by
	a windmill and a text showing for which key we are collecting
	info.  Removed progressbar everywhere else and updated callers.

	* src/prefs_common.c (prefs_privacy_create) [__MINGW32__]: Do not
	display the grab button. 

2001-04-24

	* src/prefs_common.[ch]
	  src/procheader.c: applied the patch from Darko Koruga that
	  allows user to define their own format for displaying date in
	  summary view using strftime() (thanks!).
	* src/prefs_common.c: prefs_quote_colors_dialog()
	  src/mainwindow.c: main_window_reflect_prefs_all(): made it
	  update message colors if the colors setting is changed.
	* src/main.[ch]: made it remember the startup directory.
	* src/export.c: export_mbox(): made it initially chdir to the
	  startup directory.
	* src/filesel.c: filesel_select_file(): made it open the startup
	  directory at first.

2001-04-23

	* added option to warn about queued messages on exit [sergey]:

	  * src/compose.c: compose_queue(): call folder_item_scan()
	    and folderview_update_item() after queueing.
	  * src/folderview.c: folderview_update_node(): draw the queue
	    folder in bold font if there are queued messages.
	  * src/mainwindow.c: queued_messages(): new function.
	    app_exit_cb(): display warning if there are queued messages
	    if warn_queued_on_exit is set.
	  * prefs_common.[ch]: add warn_queued_on_exit option.

	* src/mainwindow.c: moved queued_messages() to main.c, and renamed
	  it to get_queued_message_num().
	* src/main.c: app_will_exit(): moved warning dialog code from
	  app_exit_cb(), and added manage_window_focus_in().

	* enhanced GnuPG key selection support [sergey]:

	  * src/select-keys.c: updated to newer version from Win32
	    branch with support for selecting arbitrary keys.
	  * src/prefs_account.c: added the Privacy tab to the account
	    options window.
	    prefs_account_privacy_create(),
	    prefs_account_sign_key_set_data_from_radiobtn(),
	    prefs_account_sign_key_set_radiobtn(): new functions.
	  * src/prefs_account.h: new preferences sign_key_type, sign_key_id.
	  * src/rfc2015.c: set_signers(): new function.
	    pgp_sign(): add the account parameter, call set_signers().
	    rfc2015_sign(): add the account parameter, pass it to pgp_sign().
	  * src/rfc2015.h: rfc2015_sign(): updated prototype.
	  * src/compose.c: pass the current account to rfc2015_sign().

2001-04-22

	* src/mbox.c: export_to_mbox(): fixed a memory leak bug.

2001-04-20

	* src/mbox.[ch]: renamed export_mbox() to export_to_mbox().
	  Fixed a memory leak bug.
	* src/export.[ch]: added for exporting folder to mbox.
	* src/import.[ch]: made import_mbox() take default folder.
	  Added description to the dialog.
	* src/summaryview.c: summary_show(): fixed a bug that kept the
	  toolbar buttons insensitive after receiving messages.
	* src/export.c
	  src/import.c: fixed a bug that caused quitting of the program
	  when OK or Cancel button was clicked several time.
	* src/prefs_common.[ch]
	  src/addressbook.c: added "Add address to destination when
	  double-clicked" option.

2001-04-19

	* src/prefs_common.[ch]: reorganized the items of settings,
	  and added Message tab.
	* src/main.c: parse_cmd_opt(): added command line option --version.
	* src/mh.c: made it unset MSG_DELETED flag when moved/copied to
	  special folders.
	* src/prefs_common.[ch]
	  src/headerview.[ch]: the header pane can be toggled now.
	* src/prefs_common.[ch]
	  src/textview.c: page scroll step is now selectable between
	  one page and half page.
	* src/mbox.[ch]: added export_mbox() that reads all messages
	  in a folder, and store them into one mbox file.

2001-04-18

	* src/prefs_filter.[ch]: separated filter setting code from
	  prefs_common.c, and made it a separate dialog.

2001-04-17

	* version 0.4.64

	* src/automaton.[ch]
	  src/inc.c: fixed the bug that made Sylpheed crash when clicking
	  Cancel button while getting new mail (thanks to Sergey Vlasov).
	* src/xml.c: xml_build_tree()
	  src/addressbook.c: fixed a bug that caused infinite loop if an
	  illegal XML file was given.

2001-04-16

	* src/summaryview.c
	  src/inc.c: applied the patch from Sergey Vlasov that fixes the
	  problem when the "Go to inbox after receiving new mail" option
	  was turned off (thanks!).

2001-04-15

	* src/xml.[ch]: modified so that it supports some characters which
	  must be escaped, and multiple-lined tag.
	* src/folder.c
	  src/addressbook.c: modified so that it escapes some characters
	  like '<', '>', '&', ''', '"'.

2001-04-10

	* version 0.4.63

	* src/folder.[ch]
	  src/mainwindow.c
	  src/mh.[ch]
	  src/procmsg.[ch]
	  src/summaryview.[ch]: applied the patch from Darko Koruga that
	  adds copy message operation for the MH folders (thanks!).
	* src/imap.c: disabled slash to dot conversion.
	* src/imageview.c: fixed a bug that displayed an old image when
	  loading of a image failed (thanks to Darko Koruga).

2001-04-09

	* src/procmsg.c: procmsg_read_cache(): added setvbuf() to speed up
	  cache reading (thanks to Sergey Vlasov).
	* src/inc.c
	  src/summaryview.[ch]
	  prefs_common.[ch]: applied the patch that keeps the same folder
	  after receiving new mail (thanks to Sergey Vlasov).
	* src/textview.c
	  src/utils.[ch]: moved get_quote_level() to utils.c.

2001-04-08

	* ac/Makefile.am: added.
	* Makefile.am
	  configure.in: added ac directory.

2001-04-07

	* src/summaryview.c: summary_filter(): made it move messages
	  immediately if immediate_exec option is set.
	* src/prefs_common.[ch]
	  src/textview.[ch]
	  src/gtkutils.[ch]: applied the message coloring patch from
	  Stephen Anthony with some modification (thanks!).
	* src/gtksctree.c
	  src/mimeview.c: modified the behavior of MimeView (thanks to
	  HIRAMATSU).

2001-04-06

	* src/utils.c: copy_file()
	  src/mh.c: applied (and modified) the patch from Darko Koruga
	  that enables to move messages across file systems (thanks!).
	* src/procheader.c
	  src/utils.[ch]: applied the patch from Jorge Van Hemelryck
	  that converts the date of messages to the local time (thanks!).
	* src/utils.c: remote_tzoffset_sec(): fixed a bug that the signs
	  of one-letter timezone were reversed.
	* src/folder.c: folder_item_add_msg(): put the assertion for the
	  add_msg() method (thanks to TAKANO).

2001-04-05

	* src/procmime.c: procmime_decode_content(): fixed a bug that
	  corrupted quoted-printable encoded messages when they include
	  `=00' (thanks to Masahiro Tomita).
	* src/gtksctree.c
	  src/mimeview.c
	  src/summaryview.c: modified the DnD behavior of MIME view
	  (thanks to HIRAMATSU).

2001-04-04

	* src/about.c: applied the patch from Sergey Vlasov that fixes
	  the appearance of the about dialog (thanks!).
	* src/prefs_common.[ch]
	  src/rfc2015.[ch]
	  src/mimeview.c
	  src/procmime.[ch]
	  src/compose.[ch]
	  src/passphrase.c
	  src/textview.[ch]: applied the GnuPG support patch which had
	  ported from the sylpheed-win32 branch (thanks to Sergey Vlasov).
	* INSTALL, INSTALL.jp: updated the description about GnuPG.

2001-04-03

	* src/utils.[ch]: added references_list_append() that parses
	  References header and makes it string list.
	* src/compose.c: modified so that too long References header is
	  truncated, garbage characters are removed, and header is tidied
	  up (thanks to Matthias Intemann).

2001-04-02

	* src/addr_compl.c: applied the address completion bugfix patch
	  from Alfons Hoogervorst (thanks!).

2001-04-01

	* src/gtksctree.c: modified so that the tree_select_row signal
	  actually pass the column number.
	* src/summaryview.c: summary_selected(): made generic mark and
	  unread mark can be toggled with clicking of the columns.
	  Added summary_mark_row_as_read() and summary_mark_row_as_unread().
	* src/prefs_common.c
	  src/prefs_account.c: applied the layout fix patches from Sergey
	  Vlasov, and adjusted some widths of GtkEntry widgets.
	* src/prefs.c: prefs_dialog_create(): enable notebook to take focus.
	* src/inc.c: inc_start(): modified so that authentication dialogs
	  show server name too (thanks to Sergey Vlasov).

2001-03-31

	* src/mimeview.c: mimeview_key_pressed(): fixed a bug that caused
	  segmentation fault when a malformed multipart message is shown
	  (thanks to Sergey Vlasov).
	* src/summaryview.c: summary_display_msg(): made it focus to the
	  summary view if the MIME list is empty.

2001-03-30

	* src/pixmaps/deleted.xpm
	  src/pixmaps/mark.xpm
	  src/summaryview.c: added deleted and mark icon.
	* src/gtkutils.c: gtkut_widget_init(): changed gtk_widget_destroy()
	  to gtk_widget_unref().
	* src/addr_compl.c: start_address_completion(): fixed the bug that
	  displayed warning when the address book was empty (thanks to
	  Chideok Hwang).

2001-03-29

	* src/summaryview.c: summary_show(): fixed a memory leak bug
	  (thanks to ChiDeok Hwang).
	* src/pixmaps/forwarded.xpm
	  src/pixmaps/replied.xpm
	  src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm
	  src/compose.c
	  src/mainwindow.c
	  src/prefs_common.c
	  src/procmsg.h
	  src/summaryview.[ch]: applied the patch from Marc Hoper
	  that adds replied and forwarded mark to replying or forwarding
	  messages (thanks!). And new and unread mark were replaced
	  by the icons David Mehrmann created (thanks!).
	* src/summaryview.c: made the width of unread and MIME column
	  fixed.
	* src/prefs.c: prefs_config_parse_one_line(): made it check the
	  '=' separator (thanks to Sergey Vlasov).

2001-03-26

	* src/prefs_common.[ch]: moved smooth scroll option to the
	  interface tab.
	* src/textview.c: made the one-line scroll also perform smooth
	  scrolling.

2001-03-25

	* src/prefs_common.[ch]
	  src/textview.c: applied the smooth scroll patch from Setoh and
	  Ninomiya (thanks!).

2001-03-24

	* src/summaryview.c: summary_attract_by_subject(): rewritten it
	  using hash table for speeding up.
	* src/prefs_account.c: made filter_on_receive TRUE by default.
	* src/mainwindow.c: reordered menu items.

2001-03-23

	* src/gtkutils.c: gtkut_clist_bindings_add(): fixed a bug that
	  caused address completion not to accept space and enter key.

2001-03-22

	* src/utils.[ch]
	  src/codeconv.c: fixed a bug that didn't encode non-ASCII headers
	  correctly.
	* src/compose.c: fixed a bug that didn't decode some headers
	  correctly when replying or reediting drafts (thanks to Sergey
	  Vlasov).

2001-03-21

	* src/gtkutils.[ch]: added gtkut_widget_init() that modifies the
	  behaviors of some classes.
	* src/main.c: main(): made it call gtkut_widget_init() first.
	* src/summaryview.c: summary_create(): removed the key binding code.

2001-03-19

	* src/procmsg.[ch]: modified for the sake of readability.

2001-03-18

	* src/mainwindow.c: changed "Clean trash" to "Empty trash".
	  Added new menu items for folder manipulation.
	  allsel_cb(): made it change the target between summary view and
	  message view according to the input focus.
	  Removed "Select all" from Summary submenu.
	* src/folderview.[ch]: added functions for creating/renaming/deleting
	  folder.
	* src/procmsg.[ch]: made "marked" and "deleted" flag permanent, and
	  removed "important" flag.
	* src/summaryview.c: added summary_set_row_marks() that sets style
	  of a row according to the flags, and made some functions use it.
	* src/mainwindow.c: allsel_cb(): modified so that it selects
	  summary view correctly if message view is toggled off.

2001-03-17

	* src/socket.c: sock_connect_by_getaddrinfo(): fixed a resource
	  leak bug of socket, and rewrote the routine.
	* src/inc.c: inc_mail(), inc_all_account_mail(): fixed a bug that
	  displayed the wrong unread number in the folder tree if a
	  folder was open and new messages arrived at the folder.
	* src/socket.c: sock_connect_by_getaddrinfo(): fixed a bug
	  again.

2001-03-15

	* src/mh.c: mh_move_msg(), mh_move_msgs_with_dest(): made it
	  check the existence of the destination file.
	* src/procmsg.c: procmsg_set_flags(): made it count the last
	  number of the message list (and fixed a bug that didn't open
	  newly arrived message).

2001-03-13

	* src/prefs_common.c: prefs_send_create(): removed EUC-JP and
	  Shift_JIS from the outgoing codeset.

2001-03-12

	* version 0.4.62

2001-03-11

	* src/send.c: send_message_queue(): modified so that it finds
	  the account from the `From' and the server name of the queued
	  message.
	* src/account.[ch]: added account_find_from_smtp_server() that
	  finds an account from the specified address and SMTP server.
	* src/Makefile.am
	  src/mainwindow.c
	  src/summaryview.[ch]
	  src/sourcewindow.[ch]: integrated the viewing source patch from
	  DINH V. Hoßþ(thanks!).

2001-03-10

	* src/addr_compl.[ch]
	  src/addressbook.c
	  src/compose.c: applied the enhanced address completion patch
	  from Alfons Hoogervorst (thanks!).
	* src/addr_compl.c: replaced g_assert() with g_return(_val)_if_fail().
	* src/folder.c: folder_init()
	  src/folderview.c: folderview_drag_motion_cb()
	  src/procmsg.c: procmsg_clean_trash()
	  src/summaryview.c: summary_start_drag()
	  src/imap.[ch]: integrated the IMAP4 move/remove function patch
	  from Suzuki Mio (thanks!).

2001-03-08

	* src/main.c: parse_cmd_opt(): made the --compose option realize
	  mailto: URI.
	* src/utils.[ch]: execute_async(): supported quoted arguments
	  correctly.
	  strstr_with_skip_quote(), strsplit_with_quote(): quote-supported
	  version of g_strsplit().
	* src/mimeview.c: mimeview_view_file()
	  src/prefs_common.c: added single quotation mark around the file
	  name.

2001-03-07

	* configure.in
	  src/compose.c
	  src/prefs.c
	  src/procmime.c
	  src/summaryview.c
	  src/mbox.c
	  src/recv.c
	  src/utils.[ch]: applied the security fix patch from Dmitry V.
	  Levin with some modification (thanks!). Added my_tmpfile() to
	  utils.[ch].
	* src/main.c: added --receive-all command-line option.

2001-03-06

	* src/socket.c: sock_connect_thread(): fixed a bug that didn't
	  compile if both multithread and IPv6 are enabled (thanks to
	  Ishihara).
	* src/utils.[ch]
	  src/compose.c: applied a patch from Jason McCarver that allows
	  FIFO for signature file (thanks!).
	* src/textview.c: made some more refactoring.
	* src/socket.c: sock_accept(): changed socklen_t to gint.

2001-03-05

	* src/main.c
	  src/textview.c: some code cleanups.

2001-03-04

	* src/compose.[ch]
	  src/main.c
	  src/textview.c: integrated the patch from Alfons Hoogervorst that
	  fixes some glitches in clickable URI and enables mail addresses
	  clickable, and enables the --compose command line option to
	  specify address (thanks!).

2001-03-03

	* src/esmtp.[ch]
	  src/smtp.[ch]
	  src/send.c
	  src/prefs_account.[ch]
	  src/Makefile.am: applied the SMTP AUTH patch from Martin Schaaf
	  and fixed its a few bugs (thanks!).
	* src/textview.c: textview_key_pressed(): made it don't move focus
	  to summary view.
	* src/main.c: parse_cmd_opt(): modified the help message.
	* src/html.[ch]: added empty_line to HTMLParser and modified
	  the parser routines a bit.

2001-03-01

	* src/html.c: added eucjp_symbol_list, and added some characters
	  to ascii_symbol_list.

2001-02-19

	* src/codeconv.[ch]: added a member `charset' and `charset_str'
	  to CodeConverter.
	* src/html.[ch]: added the symbol list for ISO-8859-1 codeset.
	  html_parser_new(): made it change the symbol hash table
	  according to the character set of the document.
	  html_parse_special(): made it recognize character code number.

2001-02-17

	* src/textview.c: added textview_show_html() that parses HTML and
	  display as a text.
	  textview_show_part(): made it call textview_show_html() if
	  the part is text/html.
	* src/html.[ch]: implemented HTML parser.

2001-02-15

	* src/codeconv.[ch]: added CodeConverter, and its methods
	  (conv_code_converter_new(), conv_code_converter_destroy(), and
	   conv_convert()).
	* src/textview.c: removed the branches by HAVE_LIBJCONV and
	  rewrote them using CodeConverter.

2001-02-12

	* src/mbox.c: proc_mbox(): workaround for duplicated From_ line.

2001-02-11

	* src/codeconv.c: some code cleanups.

2001-02-05

	* src/mainwindow.c: main_window_popup(): fixed a bug that didn't
	  popup the main window correctly.
	* src/codeconv.h: fixed a bug that the definition of CS_EUC_CN and
	  CS_EUC_TW was reversed (thanks to Sakamoto).

2001-02-04

	* src/gtkutils.[ch]
	  src/main.c
	  src/mainwindow.[ch]
	  src/socket.[ch]: applied the patch from Hiramatu that enables
	  prohibition of multiple execution and remote control with
	  command line option (thanks!).

2001-02-03

	* src/summaryview.c: summary_button_pressed(), summary_selected():
	  made it toggle the view if middle button is clicked while message
	  view is hidden.
	  summary_drag_data_get(): fixed a memory leaking.
	* src/Makefile.am
	  src/compose.c: compose_write_headers(): modified so that it uses
	  host_alias for X-Mailer or X-Newsreader field.

2001-02-03

	* version 0.4.61

	* src/folderview.c: fixed a bug that prevented a folder from being
	  created if there were already folders that have the same name
	  somewhere at another place.

2001-02-02

	* src/folderview.c: folderview_update_all(): fixed a bug that
	  caused segmentation fault when a folder was selected after
	  updating the folder tree.
	* src/compose.c: compose_send(): fixed a locking bug.
	  compose_write_headers(): fixed a bug that referred to cur_account.
	  compose_convert_header(): made it check the arguments.

2001-02-01

	* src/main.c: some cleanups and added --help option.

2001-01-31

	* src/send.c: re-enabled user-defined domain name setting.
	* src/utils.c: is_next_mbs(): changed the size of temporary
	  multibyte array to MB_CUR_MAX.
	  strdup_mbstowcs(): added error check to mbstowcs().
	  strdup_wcstombs(): added error check to wcstombs().
	* src/addr_compl.c: get_address_from_edit(): made it check the
	  return value of strdup_mbstowcs().
	* src/codeconv.c: conv_encode_header(): added error checking
	  to strdup_mbstowcs().

2001-01-30

	* src/utils.c: log_error(): changed g_error() to g_warning() so
	  that it doesn't abort.
	  Added iswalnum().
	* src/addr_compl.c: add_address(): fixed a bug that aborted the
	  program if the name or the address is empty.
	  get_address_from_edit(): supported multibyte characters.
	* configure.in: fixed a typo.
	* src/send.c: re-enabled user-defined SMTP port setting.

2001-01-30

	* version 0.4.60

	* configure.in: added --enable-gpgme option, and disabled GPGME
	  by default.
	* made GPGME related members in MimeInfo not used if disabled.
	* src/rfc2015.c: some cleanups for warning.
	* README
	  README.jp
	  INSTALL
	  INSTALL.jp: updated.
	* Makefile.am: modified bzip2 option.

2001-01-29

	* src/procmime.[ch]: added MIME_APPLICATION_OCTET_STREAM to
	  MIME type.
	* src/mimeview.c: mimeview_view_file(): made it do nothing if
	  the MIME type is application/octet-stream.
	* src/folderview.c: folderview_update_all(): made it show modal
	  dialog while updating folders.
	* src/folderview.c: folderview_update_all(): fixed a bug that
	  didn't remove the dialog.

2001-01-28

	* src/mimeinfo.c: merged the patch from John E.P. Hynes that
	  launches the attached file using metamail (thanks!).
	* src/procmime.[ch]: added procmime_get_tmp_file_name().
	* src/compose.c
	  src/addr_compl.[ch]: merged the patch from Alfons Hoogervorst
	  that enables address completion in the address entry on the
	  composition window (thanks!).
	* src/addr_compl.c: get_all_addresses(), read_address_book():
	  modified so that it uses xml_free_tree() for freeing the address
	  tree.

2001-01-27

	* src/utils.c: remove_dir_recursive(): fixed a bug that failed to
	  remove the current directory (thanks to Maki).
	* src/summary_search.c: added `Select all matched' option to the
	  search dialog (thanks to Takahashi).
	* src/pixmaps/stock_mail_attach.xpm
	  src/pixmaps/tb_address_book.xpm
	  src/compose.c: added some toolbar icons contributed from
	  Leandro Pereira (thanks!).

2001-01-25

	* src/rfc2015.c: passphrase_cb(): *finally* fixed a bug that caused
	  segmentation fault when the passphrase dialog was cancelled.
	  Hided the passphrase in the debug message.
	* src/about.c: about_create(): fixed a bug that failed to compile
	  when none of the features were used.
	* src/foldersel.c: foldersel_set_tree(): made it display all
	  MH folders.
	* src/inc.c: inc_start(): fixed a bug that showed password dialog
	  continuously if it was cancelled.
	* src/summaryview.c: summary_write_cache(): put an assertion after
	  folder_item_get_cache_file() to prevent the crash.
	* thanks to Maki for the above four fixes.
	* src/utils.h: added #include <alloca.h>.

2001-01-24

	* src/rfc2015.c: changed some g_message() used for error messages
	  to g_warning().

2001-01-23

	* src/procmsg.[ch]: modified READ_CACHE_DATA() macro so that
	  it can handle a string data of which length >= BUFFSIZE.
	* src/rfc2015.c: rfc2015_encrypt(): changed return to `goto failure'.
	* src/pixmaps/stock_mail_receive_all.xpm
	  src/pixmaps/stock_mail_reply_to_all.xpm
	  src/Makefile.am
	  src/mainwindow.c: main_window_toolbar_create(): added new toolbar
	  icons contributed from David Mehrmann (thanks!).
	* src/inc.[ch]: overhauled the architecture so that it don't create
	  and destroy progress dialog for each incorporation in `get all'
	  mode.

2001-01-22

	* src/mh.c: mh_scan_tree_recursive(): fixed a bug that mistook
	  sub folders named `inbox', etc. as special folders.
	* src/rfc2015.c: rfc2015_encrypt(): fixed a bug that didn't quote
	  boundary correctly.

2001-01-21

	* applied the GnuPG patch from Werner Koch (thanks!).
	* removed Mixmaster support.
	* src/rfc2015.c: changed g_error() to g_warning() and modified some
	  messages.
	* src/about.c: about_create(): modified compiled-in features list.
	* README
	  README.jp
	  INSTALL
	  INSTALL.jp: updated.
	* src/select-keys.c: create_dialog(): modified the layout.
	* src/headerwindow.c
	  src/addressbook.c
	  src/logwindow.c: made it raise the window if the window is already
	  open.
	* src/prefs_common.[ch]: added an option for immediate execution.
	* src/summaryview.c: made it execute immediately when messages are
	  moved or deleted if immediate_exec option is turned on.
	* src/summaryview.c: summary_delete(), summary_move_selected_to():
	  moved summary_step() before summary_execute().
	* src/folderview.c: folderview_update_all(): made it scan folder
	  tree correctly.
	* src/compose.c: compose_write_headers(): made it don't add
	  In-Reply-To header if to_list is empty.

2001-01-09  Werner Koch  <wk@gnupg.org>

	* configure.in, acconfig.h: Check for GPGME.
	* ac/: New directory for local autoconf macros.
	* src/Makefile.am: Add support for GPGME

	* src/main.c (idle_function_for_gpgme): New.
	(main): Register this function.

	* src/about.c: Add a note about GPGME.

	* src/rfc2015.c, rfc2015.h: New.

	* src/mimeview.c (mimeview_show_message): Check signature.
	* src/procmime.c (procmime_scan_message): Ditto.

	* src/messageview.c (messageview_show): Add decryption stuff.

	* src/compose.c (compose_write_to_file): Encrypt the file if requested.
	(compose_toggle_encrypt_cb): New
	(compose_toggle_mixmaster_cb): New, just to be prepared for
	Mixmaster support.
	(compose_write_headers): Suppress some headers in mixmaster mode.

	* src/prefs_common.c (prefs_common_create): Add Privacy notebook sheet.
	(prefs_privacy_create): New.  Also some new structures etc.
	* src/compose.c (compose_create): Set encrypt button to prefs default.
	* src/compose.h (struct _Compose): Add use_encryption, use_mixmaster.

	* src/compose.c (compose_send): Add missing unlock before one return.

2001-01-18

	* src/gtksctree.[ch]
	  src/folderview.c
	  src/summaryview.[ch]: applied the patch from Hiramatu that enables
	  DnD from the summary view to the folder view and fixes some other
	  probrems (thanks!).
	* src/mainwindow.c: scan_tree_func(): fixed a bug that caused
	  segmentation fault.
	* src/imap.c: quoted user name in LOGIN and folder name in SELECT.
	* src/gtksctree.c: gtk_sctree_button_press(): fixed a bug that
	  didn't toggle expansion of node.

2001-01-17

	* src/imap.c: applied the patch from Nishimura that updates the
	  message list more precisely and reads the message flags (thanks!).
	* src/textview.c: textview_show_header(): made X-Newsreader field
	  be emphasized too.
	* src/summaryview.c: summary_show(): made it flush events when
	  displaying summary.

2001-01-15

	* src/summaryview.c: applied the patch from Alfons that enabled
	  the horizontal scrollbar of summary view (thanks!).

2001-01-13

	* src/compose.c: compose_cb(): fixed a bug that didn't open the
	  composition window right after launching the program.
	* src/setup.c: scan_tree_func(): fixed a bug that caused
	  segmentation fault.

2001-01-13

	* version 0.4.52

	* src/textview.c: textview_set_font(): fixed a bug that caused
	  segmentation fault if the mode of the text widget was changed
	  between multibyte and singlebyte while the region was selected
	  (GTK+ bug?).

2001-01-11

	* src/mainwindow.c
	  src/summaryview.c: made it unable to delete or move messages when
	  in a news folder.
	* src/prefs_common.c
	  src/news.c: added the option for maximum news article number.

2001-01-10

	* src/compose.c: compose_send(): changed the location of temporary
	  file. Made it use the default account if all of tried account
	  aren't mail one, and made it show alert dialog and abort when even
	  that failed.
	* src/prefs_account.c: prefs_account_get_new_id(): made it preserve
	  last id number.
	  prefs_account_open(): made it fill in personal information
	  according to the default account when creating a new account.
	* sylpheed.spec.in: added to autogenerate sylpheed.spec with the
	  proper version number (thanks to BONAIM).
	* configure.in
	  Makefile.am: added entries for sylpheed.spec.in.

2001-01-09

	* src/compose.[ch]: modified so that it can change account
	  correctly.
	* src/send.[ch]: modified so that it doesn't see cur_account.
	* src/prefs_account.c: modified so that news setting doesn't
	  show SMTP server entry.

2001-01-08

	* src/folderview.c: fixed a bug that didn't sort special folders
	  correctly when a new folder is created or renamed.

2001-01-07

	* src/compose.[ch]: enabled to select account at composing window.
	* src/folderview.c: made it display unread number next to folder
	  name.
	* src/prefs_common.[ch]: added the option for unread number display.

2001-01-06

	* src/compose.[ch]: integrated news posting patch from DINH V. Ho`
	  and made many modifications (thanks!).
	  compose_write_headers(): made the spaces in newsgroups removed.
	  Supported Followup-To.
	  compose_destroy(): got the objects removed properly.
	* src/news.c: merged news_post_to_group() and news_post() since
	  they doesn't have to do multiple posting.
	* src/import.c: import_destsel_cb(): fixed a bug that failed to
	  import into the selected folder.
	* src/prefs_account.c: modified the interfaces.

2001-01-05

	* src/codeconv.[ch]
	  prefs_common.c: changed "SHIFT-JIS" to "Shift_JIS" since the
	  string is registerd to IANA.
	* src/nntp.[ch]: added nntp_post().
	* src/news.[ch]: added news_post() and news_post_to_group().

2001-01-04

	* src/account.c: account_edit_open()
	  src/mainwindow.c: new_account_cb(): made it unable to edit
	  accounts if some composing windows are open.

2001-01-03

	* src/folder.[ch]: added folder_set_name().
	* src/account.c: made a folder name of IMAP4/NNTP become the same
	  as the name of account.

2001-01-02

	* src/summaryview.c: summary_filter_func(): fixed a bug that failed
	  to filter messages.

2001-01-02

	* version 0.4.51

	* src/mbox.c: fixed a bug that didn't incorporate spool file
	  correctly. Modified so that it recognizes From_ line as separator
	  of messages even if the previous line isn't empty line.
	* src/send.c: send_message_queue()
	  src/procmsg.c: procmsg_send_queue(): Fixed a bug that printed
	  warning when it tried to delete a sent message.

2001-01-01

	* version 0.4.50

	* src/folder.[ch]
	  src/news.[ch]: modified so that it actually gets news articles.
	* src/utils.[ch]: added make_dir_hier() that creates directory
	  hierarchy.
	* src/folder.c:
	  folder_item_get_cache_file(), folder_item_get_mark_file():
	  made it creates cache directory if it doesn't exist.
	  folder_add(): made it insert the added folder into the correct
	  position.
	* src/imap.[ch]: modified so that it suits the new folder
	  architecture. Fixed a bug that caused segmentation fault
	  if authentication failed at imap_auth().
	* src/folderview.c: implemented IMAP4 folder handling routines.

2000-12-31

	* src/prefs_account.[ch]: added account ID and nntp_server
	  to PrefsAccount. And added the interface for NNTP server.
	* src/folderview.c: modified news folder handling routines.
	* src/folder.[ch]: removed cache_dir from RemoteFolder, and
	  modified folder_item_get_path().

2000-12-29

	* src/folder.[ch]: added create_folder(), rename_folder(),
	  remove_folder() to Folder class.
	* src/mh.[ch]: added mh_create_folder(), mh_rename_folder(), and
	  mh_remove_folder().
	  Implemented mh_create_tree() that creates MH directory tree.
	  mh_rename_folder(): modified so that the paths of sub folders
	  are set properly.
	* src/folderview.c: modified folderview_new_folder_cb(),
	  folderview_rename_folder_cb(), and folderview_delete_folder_cb()
	  so that they work properly.
	  Added folderview_remove_mailbox_cb() and the menu entry that
	  remove mailbox from folder tree.
	* src/setup.[ch]: added for initial setup.
	* src/alertpanel.c: modified the appearance of the dialog.
	* src/compose.c: fixed compose_save_to_outbox() and
	  compose_queue() so that it sets flags correctly.

2000-12-28

	* src/mainwindow.c: modified the strings of toolbar labels.

2000-12-27

	* src/gtkutils.[ch]: added gtkut_ctree_node_move_if_on_the_edge().
	* src/summaryview.c: summary_display_msg(): made it scroll the
	  list if the message of the edge of that is displayed.

2000-12-25

	* src/folder.[ch]
	  src/mh.[ch]: added functions for moving messages.
	* src/procmsg.[ch]: moved procmsg_move_messages_with_dest()
	  to folder.c and mh.c. Added procmsg_to_folder_hash_table().

2000-12-24

	* src/utils.[ch]: added get_tmp_file().
	* src/pop.c
	  src/inc.c
	  src/folder.c: fixed a bug that failed to drop messages.
	* src/mh.c: mh_scan_folder(): made it check new, unread, and total
	  number of the folder.

2000-12-23

	* src/folderview.c: added special folder setting routine.
	* src/folder.[ch]: added a method is_msg_changed().
	  Implemented folder_find_item_from_path().
	* src/summaryview.c: fixed some bugs that wrongly freed FolderItem's.
	* autogen.sh: fixed so that the configure can take arguments.

2000-12-22

	* src/main.c
	  src/mainwindow.[ch]: added main_window_new_mailbox() that asks
	  the path of mailbox and create the one.
	* src/folderview.c: made the folder tree and selected folder
	  expanded.

2000-12-21

	* src/mh.[ch]
	  src/folder.c: implemented mh_scan_tree() that scans the folder
	  recursively and create the tree.

2000-12-19

	* src/compose.c
	  src/defs.h
	  src/filter.[ch]
	  src/folder.[ch]
	  src/foldersel.[ch]
	  src/folderview.[ch]
	  src/imap.[ch]
	  src/import.c
	  src/inc.c
	  src/main.[ch]
	  src/mainwindow.c
	  src/mbox.[ch]
	  src/mh.[ch]
	  src/news.[ch]
	  src/prefs_common.c
	  src/procmsg.[ch]
	  src/summaryview.[ch]
	  src/xml.[ch]
	  src/Makefile.am: merged the development tree into the cvs tree.
	  Some functions are not unimplemented yet.

2000-12-18

	* version 0.4.9

2000-12-11

	* src/xml.[ch]: supported omitted tag (<tag />).
	* src/procmsg.c: procmsg_msg_exist(): fixed a memory leak bug.
	* src/imap.c: imap_parse_atom(): fixed a bug that caused
	  segmentation fault if the subject was empty (thanks to Tsutsui).
	* src/folder.[ch]: updated.

2000-12-10

	* src/xml.[ch]: added xml_parse_file() that parses the whole XML
	  file specified and returns the tree.

2000-12-09

	* po/pt_BR.po: fixed some typos that caused segmentation fault.

2000-12-07

	* version 0.4.8

	* src/session.h: added.
	* src/folder.[ch]: updated.
	* src/compose.c: compose_write_to_file()
	  src/codeconv.c: conv_get_outgoing_charset_str(): fixed a bug
	  that put a garbage to charset if the outgoing character set was
	  specified and non-ascii characters were used in subject.

2000-12-04

	* src/statusbar.c: statusbar_puts(): fixed a bug that locked the
	  progress if the status bar was hidden.

2000-12-03

	* src/folder.[ch]: added for the more object-oriented folder
	  management.

2000-12-02

	* version 0.4.7

	* src/mainwindow.c
	  src/prefs_common.[ch]: made the state of status bar get preserved.
	* src/compose.c: compose_insert_sig(): modified so that it doesn't
	  put a separator if a signature file doesn't exist.
	* src/prefs_account.[ch]
	  src/inc.c: added the option that toggles whether to receive
	  messages when getting from all accounts.
	* README
	  README.jp: updated the description and added some usages.

2000-12-01

	* src/Makefile.am
	  src/gtkshruler.[ch]
	  src/compose.[ch]: applied the patches from Alfons Hoogervorst
	  that makes the ruler of composition window graphical (thanks!).

2000-11-27

	* src/codeconv.c
	  src/mainwindow.c
	  src/prefs_common.c: replaced CS_WINDOWS_1251 with CS_CP1251.

2000-11-27

	* version 0.4.6

	* src/compose.c: turned the color of quoted messages black again.

2000-11-26

	* src/about.c: added a clickable URI to the Sylpheed home page,
	  and a list of compiled-in features.
	* src/compose.c: made the color of quoted messages blue.
	* src/summaryview.c: added `Show all header' to the context menu.
	* src/prefs_common.c: removed the threading option from the dialog.
	* src/compose.c: fixed a bug that didn't parse the quotation format
	  correctly.

2000-11-25

	* src/compose.c: compose_set_ext_editor_sensitive(): modified so
	  that it toggles linewrap menu item and tool button.
	* src/prefs_common.c: modified the default of the signature
	  separator.
	* src/compose.[ch]: added ruler to the compose window.
	* src/prefs_common.[ch]: added a member for the state of ruler
	  display.

2000-11-24

	* src/headerview.[ch]: added the destroy function.
	* src/messageview.c: messageview_destroy(): fixed a memory leak
	  bug that didn't freed the HeaderView object.
	* src/prefs.c: prefs_write_open(): fixed a memory leak bug.
	* src/xml.c: xml_close_file(): fixed a memory leak bug (thanks
	  to Alfons Hoogervorst for the above three memory leak bug fixes).

2000-11-23

	* version 0.4.5

	* README
	  README.jp
	  INSTALL
	  INSTALL.jp: modified some descriptions.

2000-11-22

	* src/compose.c: implemented line-wrapping functions.
	* src/prefs_common.[ch]: added the settings for line-wrapping.
	* src/codeconv.[ch]: added Windows-1251 to the codesets.
	  conv_jistoeuc(): fixed a bug that caused segmentation fault
	  when some half-width kana characters appeared.
	* src/summaryview.c: summary_select_all(): made it show message
	  on the status bar if the number of messages is large.

2000-11-18

	* src/compose.c: compose_reply(), compose_quote_parse_fmt():
	  modified so that it parses the quotation mark too.
	  Added %I that means the initial of sender to the format.
	* src/codeconv.[ch]: added GB2312 and Big5 to the codesets.
	  Fixed a bug that set the wrong outgoing codeset.
	* src/mainwindow.c
	  src/prefs_common.c: modified the menu item of Chinese codeset.

2000-11-17

	* src/codeconv.[ch]
	  src/prefs_common.[ch]: modified so that outgoing charset is
	  saved as a string, not a number.

2000-11-16

	* src/textview.c: textview_set_font(): changed the scheme of
	  selecting between font and fontset. And changed the default
	  font of ISO-8859-1.
	* src/headerview.c: headerview_show_xface(): made it ignore
	  invalid X-Face.
	* src/codeconv.c: conv_codeset_strdup(), conv_get_code_conv_func():
	  modified so that it consider the source codeset as ISO-2022-JP if
	  it is NULL and the current locale is Japanese.

2000-11-14

	* src/textview.c: textview_destroy(): fixed a bug that caused
	  segmentation fault if textview->msgfont is NULL (thanks to
	  Hiramatu).
	* src/main.c
	  src/defs.h: applied the patch from Yanase that enables to
	  save the shortcuts of the menus (thanks!).

2000-11-11

	* src/mainwindow.[ch]: added main_window_set_menu_sensitive() that
	  toggles the sensitivity of menu items.
	* src/summaryview.c: renamed summary_set_popup_sensitive() to
	  summary_set_menu_sensitive(), and made it set the sensitivity of
	  the main menu.

2000-11-09

	* src/textview.c: textview_init(): fixed a bug that didn't disable
	  the theme engine of GtkText (thanks to Hiramatu).
	* src/compose.c: compose_quote_parse_fmt(): added %n and %N that
	  means the full name of sender and the first name.
	* manual/ja/*.??ml: updated to the latest version.

2000-11-07

	* version 0.4.4

	* src/defs.h: separated the definitions from main.h and applied the
	  patch from TOGAWA that sets DEFAULT_SPOOL_PATH and MAXPATHLEN
	  from the system headers (thanks!).
	* src/codeconv.c: conv_get_current_charset(): fixes for lt_LT and
	  UTF-8 locale.
	* src/textview.c: textview_set_font(): modified so that it sets
	  the correct font when the locale is multi-byte.
	  textview_destroy(): added proper codes for destruction.
	  textview_show_header(): fixed the coloration of X-Mailer.

2000-11-06

	* src/textview.[ch]: made TextView have single-byte and multi-byte
	  GtkText, and switch between them according to the given codeset.
	* src/compose.c: compose_create(): modified the font setting
	  routine.

2000-11-02

	* src/textview.[ch]: moved the message font variable into TextView.
	  textview_set_font(): modified so that it uses gdk_font_load()
	  if the given codeset is US-ASCII or ISO-8859-*.

2000-11-01

	* src/codeconv.c
	  src/procmime.c
	  src/prefs_common.c
	  src/textview.c
	  src/compose.c: workaround for the 8bit code issue (used
	  gdk_font_load() instead of gdk_fontset_load() when the locale is
	  C, or not set).

2000-11-01

	* version 0.4.3

	* src/compose.[ch]: added `Draft' tool button.
	* src/imap.c: imap_parse_envelope(): fixed a parsing bug.
	* README, README.jp: added the explanation of the locale setting.

2000-10-31

	* src/compose.c: made it overwrite the previous draft message when
	  reedited the draft and saved it again.
	* src/procmsg.[ch]: added procmsg_msg_exist() that examine whether
	  the message really exists.
	* src/folderview.[ch]: added folderview_scan_folder_a() and
	  folderview_scan_folder_foreach_a() that scan the specified
	  folders for each folderviews.
	* src/mainwindow.[ch]: removed main_window_scan_folder() and
	  main_window_scan_folder_all().
	  Added `Reedit' to the menu.
	* src/import.[ch]: removed MainWindow from the argument of
	  import_mbox().
	* src/summaryview.c: removed the unnecessary items from the popup
	  menu. Changed summary_reedit_cb() to summary_reedit(), and made
	  it public.

2000-10-30

	* src/compose.h: added a member msginfo to Compose.
	* src/procmsg.[ch]: added procmsg_msginfo_copy() that duplicates
	  the MsgInfo object.

2000-10-25

	* src/summaryview.c: made the the popup menu change the sensitivity
	  according to the context. Fixed a bug that showed the `clean trash'
	  dialog repeatedly if `D' key was pressed when the focus was on the
	  summary view.
	* src/pixmaps/unread.xpm: changed the color of unread mark to blue.

2000-10-22

	* src/main.c: fixed g_thread initialization.

2000-10-21

	* src/codeconv.c: added pt_BR to locale_table.
	* src/prefs_common.c: prefs_send_create(): added `US-ASCII',
	  `ISO-8859-1', and Japanese codeset to the option menu of outgoing
	  codeset when not using libjconv.
	* src/compose.c: fixed the bug on saving draft again.

2000-10-19

	* src/compose.c: compose_write_headers(): fixed a bug that failed
	  to write headers if To: was empty when saving draft.

2000-10-18

	* src/procmime.[ch]
	  src/compose.c
	  src/headerwindow.[ch]
	  src/summaryview.c
	  src/messageview.[ch]
	  src/mimeview.c
	  src/textview.c
	  src/procmsg.[ch]
	  src/procheader.[ch]: modified so that they can handle queue folder
	  properly.
	* src/compose.[ch]
	  src/summaryview.c: implemented draft-reediting function.
	* src/mainwindow.c
	  src/summaryview.c
	  src/mimeview.c: replaced *(GtkWidget **) with the macro
	  GTK_WIDGET_PTR().

2000-10-17

	* src/procmsg.[ch]: procmsg_msginfo_free(): fixed a memory leak bug.
	  Added MSG_QUEUED and MSG_DRAFT to MsgFlags, and made it set them
	  if the folder is QUEUE_DIR or DRAFT_DIR.

2000-10-14

	* version 0.4.2

	* src/headerview.c
	  src/messageview.c: modified the border of the headerview.
	* src/gtkutils.h: added the macro GTK_WIDGET_PTR() that casts
	  an Sylpheed object to GtkWidget.
	* src/utils.c: remove_return(), remove_space(): fixed a bug that
	  possibly caused segmentation fault.
	* src/compose.[ch]
	  src/mainwindow.c
	  src/summaryview.c: implemented `forward as an attachment'.
	* src/utils.[ch]: open_uri(): brought on URI opening function from
	  textview.c and manual.c.

2000-10-13

	* src/mainwindow.c
	  src/summaryview.c
	  src/compose.[ch]
	  src/prefs_common.[ch]: removed `Reply with quote', and added
	  `Reply to all', and added the option that decides whether to
	  quote message on replying.

2000-10-12

	* src/folderview.c: modified so that it uses gtkut_wait_for_draw()
	  instead of GTK_EVENTS_FLUSH() for statusbar redraw.
	* src/codeconv.[ch]
	  src/mainwindow.c
	  src/prefs_common.c: added Baltic (ISO-8859-4,13) to the code sets.
	* src/compose.c: compose_send(): modified so that it shows error
	  dialog when failed to send a message.

2000-10-11

	* src/account.c: account_edit_close(): fixed a bug that didn't set
	  current account when creating an account for the first time.
	* configure.in: added es to ALL_LINGUAS.

2000-10-10

	* src/codeconv.c: conv_codeset_strdup(): made it use libkcc if
	  possible.
	  conv_get_code_conv_func(): modified so that it doesn't convert
	  codeset if it is unknown.
	* src/folderview.c: folderview_update_msg_num(): modified style
	  changing routine.

2000-10-09

	* src/codeconv.c: conv_codeset_strdup(): modified so that it sets
	  codesets automatically if the arguments are NULL.
	* src/textview.c: textview_write_line(): made it output warning
	  message on the text view if conversion failed.

2000-10-06

	* README, README.jp: modified the author of the manual.

2000-10-05

	* src/headerview.[ch]
	  src/messageview.[ch]: modified so that it uses GtkLabel widget
	  instead of GtkText.
	* src/codeconv.c: conv_unmime_header(): modified so that it deletes
	  unreadable codes if the current locale is EUC-JP and libjconv is
	  used.

2000-10-04

	* src/procmime.[ch]
	  src/messageview.c
	  src/mimeview.c
	  src/textview.c: modified so that it parses MIME message more
	  preferably.
	* src/imap.c: imap_parse_address(): fixed a bug.

2000-10-03

	* src/procmsg.[ch]: added procmsg_get_message_file_path().
	* src/recv.c: recv_bytes_write(): added CR+LF -> LF conversion
	  routine.
	* src/imap.[ch]: changed the name of the member `group' in
	  IMAPSession to `mbox'.
	  imap_gen_send(): modified so that it doesn't output the password
	  to the log.
	  Modified session destroying routine.
	* src/folderview.c: folderview_write_cache(): made it preserve
	  the IMAP folder list.
	* src/procmime.c: procmime_scan_multipart_message(): fixed a bug
	  that showed boundary at the end of an attached RFC822 part.
	* src/prefs_common.c: changed the default of toolbar style to
	  both icon and text.

2000-10-02

	* src/imap.c: imap_get_uncached_messages(): modified so that it
	  doesn't get the cached envelopes.
	  imap_session_get_message_info(): made it read only the cache
	  if the session is not established.
	* src/procmsg.c: procmsg_set_flags(): supported IMAP folder.
	* src/news.c: news_get_article_info(): made it read only the cache
	  if the session is not established.

2000-10-01

	* src/textview.c: textview_write_line(): fixed a memory leak bug.
	* src/folderview.[ch]: made it create IMAP4 folders from the
	  account information.
	* src/imap.[ch]: imap_session_get(): modified so that it creates
	  IMAP4 session from the account information.

2000-09-30

	* src/imap.[ch]: added for IMAP4 support.
	* src/summaryview.[ch]
	  src/procmsg.c
	  src/recv.[ch]: modified for IMAP4 support.
	* src/folderview.c: more IMAP4 implementation.
	* src/procmsg.[ch]: added procmsg_get_message_file() that retrieves
	  the specified message and return the file name.
	* src/gtkutils.c: gtkut_widget_wait_for_draw(): fixed a bug that
	  locked up the process if the given widget was invisible.

2000-09-28

	* src/folderview.[ch]: added IMAP4-related code.

2000-09-28

	* version 0.4.1

	* src/main.h: added IMAP_CACHE_DIR.
	* src/utils.[ch]: added get_imap_cache_dir().
	* src/procmsg.h: added M_IMAP to MsgType, and MSG_IMAP to MsgFlags.
	  Added macro MSG_IS_IMAP().
	* src/codeconv.c: added `#include <locale.h>' for setlocale().
	* sylpheed.spec: fixed %files section.

2000-09-27

	* version 0.4.0

	* src/codeconv.c: conv_get_current_charset(): made it compare
	  string with strncasecmp().
	* src/compose.c: comopse_reply_parse_header(): workaround for
	  the malformed References: header generated by OE5 :(

2000-09-26

	* src/prefs_common.c
	  src/prefs_account.c: modified the layout of the widgets.

2000-09-26

	* version 0.3.99

	* src/*.[ch]: added copyright notice to the top of the source files.
	* src/compose.c: compose_write_attach(): modified filename encode
	  routine.

2000-09-25

	* src/mainwindow.c: fixed the menu entry of manual.
	* src/compose.c
	  src/codeconv.[ch]: moved compose_encode_header() into codeconv.c,
	  and applied the libjconv patch.
	* src/utils.c: strdup_mbstowcs(), strdup_wcstombs(): used g_realloc()
	  to reduce the alloc'd memory to the optimal size.
	* src/prefs_common.[ch]: added outgoing codeset option menu.
	* src/compose.c: compose_send(): added exclusive lock to prevent
	  multiple-sending.
	* configure.in: made '--enable-ipv6=no' the default.
	* src/compose.c: compose_write_attach(): made it encode the name
	  of the attached file.
	* src/procmsg.c: procmsg_get_last_message_number(): fixed a bug that
	  didn't check the type of file.
	  procmsg_move_messages_with_dest(): fixed a bug that failed to
	  move message if a directory that had the same name existed.
